2012-06-25 02:46  brlcad

	* [r51315] NEWS:
	  looks like 25th will be the tagging date (last phase of testing)

2012-06-24 17:14  tbrowder2

	* [r51314] src/anim/anim_sort.1, src/anim/anim_time.1,
	  src/canon/canonize.1, src/tab/tabinterp.1, src/tab/tabsub.1,
	  src/util/pixrot.1:
	  change: .sp .5
	  to : .sp 1
	  for better spacing
	  put blank line BEFORE .nf and AFTER .fi
	  correct subtle format issues with [args] of form [{1-99}] and
	  [{arg|arg}]
	  eliminate parens in [args] of form [arg (arg)]

2012-06-24 16:30  phoenixyjll

	* [r51313] src/librt/primitives/part/part_brep.cpp:
	  Add necessary comment.

2012-06-24 16:22  phoenixyjll

	* [r51312] src/librt/primitives/part/part_brep.cpp:
	  Reverse the interval so that the surface normal points to the
	  correct direction.

2012-06-24 14:55  brlcad

	* [r51311] NEWS:
	  since it's not technically being distributed just yet, don't
	  declare complete victory on the step importer on windows even if
	  the issues remaining should be rather trivial. say isn't in
	  progress since someone will undoubtedly go looking for it.

2012-06-24 14:40  brlcad

	* [r51310] NEWS:
	  wordsmithing the 7.22.0 release notes

2012-06-24 12:09  tbrowder2

	* [r51309] bench/pixcmp.1, misc/brlcad-config.1,
	  src/anim/anim_script.1:
	  corrected copyright based on earliest svn log entry (including
	  parent
	  doc for changed paths)
	  added missing AUTHOR, COPYRIGHT, and BUG REPORTS sections
	  deleted any suprious, single quotation marks in header comments
	  corrected internal file names where needed
	  ensured AUTHOR, COPYRIGHT, and BUG REPORTS sections are at the
	  end
	  special copyright on ./src/tab/scriptsort.1 handled consistently
	  changed lines of this form:
	  .\" THIS DOCUMENTATION IS PROVIDED BY THE AUTHOR AS IS'' AND ANY
	  to this (added correc matching quotes):
	  .\" THIS DOCUMENTATION IS PROVIDED BY THE AUTHOR ``AS IS'' AND
	  ANY
	  ensured "BUG REPORTS" sections had consistent, surrounding double
	  quotes
	  eliminated reference to using the deprecated './sh/cadbug.sh'
	  script for
	  BUG REPORTS

2012-06-24 01:59  cprecup

	* [r51308] src/conv/g-voxel.c:
	  replaced the function strcmp by bu_strcmp because it caused make
	  distcheck to fail

2012-06-24 01:46  crdueck

	* [r51307] src/libged/analyze.c:
	  factored repeated code in findang() into for loop, ws changes

2012-06-24 01:17  crdueck

	* [r51306] src/libged/analyze.c:
	  use DIST_PT_PT macro instead of 'VSUB2 then MAGNITUDE' in
	  analyze_edge(), made ws in analyze_arb() nice and consistent

2012-06-24 00:19  crdueck

	* [r51305] src/librt/globals.c:
	  changed the order of vertices in second face of ARB6 so that
	  analyze_face() in src/libged/analyze.c correctly uses diagonal
	  vertices, this should not cause any change in behaviour in the
	  few other places where rt_arb_faces is used

2012-06-24 00:15  crdueck

	* [r51304] src/libged/analyze.c:
	  typo in commit message for r51300, should read 'removed dead code
	  in an '#if 0' block'

2012-06-24 00:12  crdueck

	* [r51303] src/libged/analyze.c:
	  rewrote analyze_face() to use much more efficent algorithm for
	  calculating the surface area of a face, some ws changes

2012-06-23 23:09  tbrowder2

	* [r51302] bench/benchmark.1, doc/bw.5, doc/cmap.5, doc/pix.5,
	  doc/plot3.5, src/anim/anim_sort.1, src/anim/anim_time.1,
	  src/anim/anim_track.1, src/anim/anim_turn.1,
	  src/anim/chan_mult.1, src/anim/chan_permute.1,
	  src/canon/canonize.1, src/conv/asc/asc2pix.1,
	  src/conv/asc/g2asc.1, src/conv/asc/pix2asc.1,
	  src/conv/bot_dump.1, src/conv/bot_shell-vtk.1,
	  src/conv/comgeom/comgeom-g.1, src/conv/conv-vg2g.1,
	  src/conv/cy-g.1, src/conv/dbclean.1, src/conv/dbupgrade.1,
	  src/conv/dxf/dxf-g.1, src/conv/dxf/g-dxf.1, src/conv/enf-g.1,
	  src/conv/euclid/euclid-g.1, src/conv/euclid/g-euclid.1,
	  src/conv/fast4-g.1, src/conv/g-acad.1, src/conv/g-egg.1,
	  src/conv/g-nff.1, src/conv/g-obj.1, src/conv/g-shell-rect.1,
	  src/conv/g-var.1, src/conv/g-vrml.1, src/conv/g-x3d.1,
	  src/conv/iges/g-iges.1, src/conv/iges/iges-g.1,
	  src/conv/nastran-g.1, src/conv/nmg/asc-nmg.1,
	  src/conv/nmg/g-nmg.1, src/conv/nmg/nmg-bot.1,
	  src/conv/nmg/nmg-rib.1, src/conv/patch/patch-g.1,
	  src/conv/patch/rpatch.1, src/conv/ply-g.1, src/conv/poly-bot.1,
	  src/conv/proe-g.1, src/conv/stl/g-stl.1, src/conv/stl/stl-g.1,
	  src/conv/tankill/g-tankill.1, src/conv/tankill/tankill-g.1,
	  src/conv/vdeck/vdeck.1, src/conv/viewpoint-g.1, src/fb/bw-fb.1,
	  src/fb/cell-fb.1, src/fb/cmap-fb.1, src/fb/fb-bw.1,
	  src/fb/fb-cmap.1, src/fb/fb-fb.1, src/fb/fb-orle.1,
	  src/fb/fb-pix.1, src/fb/fb-png.1, src/fb/fb-rle.1,
	  src/fb/fbanim.1, src/fb/fbcbars.1, src/fb/fbclear.1,
	  src/fb/fbcmap.1, src/fb/fbcmrot.1, src/fb/fbcolor.1,
	  src/fb/fbfade.1, src/fb/fbframe.1, src/fb/fbfree.1,
	  src/fb/fbgamma.1, src/fb/fbgrid.1, src/fb/fbhelp.1,
	  src/fb/fblabel.1, src/fb/fbline.1, src/fb/fbpoint.1,
	  src/fb/fbscanplot.1, src/fb/fbstretch.1, src/fb/fbzoom.1,
	  src/fb/gif-fb.1, src/fb/gif2fb.1, src/fb/orle-fb.1,
	  src/fb/pix-fb.1, src/fb/pixautosize.1, src/fb/pl-fb.1,
	  src/fb/png-fb.1, src/fb/polar-fb.1, src/fb/pp-fb.1,
	  src/fb/rle-fb.1, src/fbed/fbed.1, src/fbserv/fbserv.1,
	  src/gtools/g_diff.1, src/gtools/g_lint.1, src/gtools/remapid.1,
	  src/halftone/halftone.1, src/irprep/firpass.1, src/irprep/ir-X.1,
	  src/irprep/irdisp.1, src/irprep/pictx.1, src/irprep/secpass.1,
	  src/irprep/shapefact.1, src/irprep/showtherm.1, src/lgt/lgt.1,
	  src/libbn/libplot3.3, src/libbu/htond.3, src/libbu/redblack.3,
	  src/libcursor/libcursor.3, src/liborle/liborle.3,
	  src/librt/librt.3, src/libwdb/libwdb.3, src/mged/cad_boundp.1,
	  src/mged/cad_parea.1, src/nirt/showshot.1, src/remrt/remrt.1,
	  src/rt/reshoot.1, src/rt/rt_bot_faces.1, src/rt/rtg3.1,
	  src/rt/rthide.1, src/rt/rtpp.1, src/rt/rtrange.1, src/rt/rtray.1,
	  src/rt/rtregis.1, src/rt/rtscale.1, src/rt/rtshot.1,
	  src/rt/rtwalk.1, src/rt/rtweight.1, src/rt/rtxray.1,
	  src/rttherm/rttherm.1, src/rttherm/ssamp-bw.1,
	  src/tab/scriptsort.1, src/tab/tabinterp.1, src/tab/tabsub.1,
	  src/util/ap-pix.1, src/util/asc-pl.1, src/util/azel.1,
	  src/util/bary.1, src/util/brlcad.1, src/util/buffer.1,
	  src/util/bw-imp.1, src/util/bw-pix.1, src/util/bw-png.1,
	  src/util/bw-ps.1, src/util/bw-rle.1, src/util/bw3-pix.1,
	  src/util/bwcrop.1, src/util/bwdiff.1, src/util/bwfilter.1,
	  src/util/bwhist.1, src/util/bwhisteq.1, src/util/bwmod.1,
	  src/util/bwrect.1, src/util/bwrot.1, src/util/bwshrink.1,
	  src/util/bwstat.1, src/util/bwthresh.1, src/util/cv.1,
	  src/util/dbcp.1, src/util/decimate.1, src/util/dpix-pix.1,
	  src/util/dunncolor.1, src/util/dunnsnap.1, src/util/gencolor.1,
	  src/util/hex.1, src/util/imgdims.1, src/util/loop.1,
	  src/util/mac-pix.1, src/util/morphedit.1, src/util/orle-pix.1,
	  src/util/pix-alias.1, src/util/pix-bw.1, src/util/pix-bw3.1,
	  src/util/pix-orle.1, src/util/pix-png.1, src/util/pix-ppm.1,
	  src/util/pix-ps.1, src/util/pix-rle.1, src/util/pix-sun.1,
	  src/util/pixbackgnd.1, src/util/pixbgstrip.1,
	  src/util/pixblend.1, src/util/pixborder.1, src/util/pixbustup.1,
	  src/util/pixclump.1, src/util/pixcolors.1, src/util/pixcut.1,
	  src/util/pixdiff.1, src/util/pixdsplit.1, src/util/pixfade.1,
	  src/util/pixfilter.1, src/util/pixhalve.1, src/util/pixhist.1,
	  src/util/pixhist3d-pl.1, src/util/pixhist3d.1,
	  src/util/pixinterp2x.1, src/util/pixmatte.1, src/util/pixmerge.1,
	  src/util/pixmorph.1, src/util/pixrect.1, src/util/pixrot.1,
	  src/util/pixsaturate.1, src/util/pixscale.1,
	  src/util/pixshrink.1, src/util/pixstat.1, src/util/pixsubst.1,
	  src/util/pixtile.1, src/util/pixuntile.1, src/util/pl-X.1,
	  src/util/pl-asc.1, src/util/pl-hpgl.1, src/util/pl-pl.1,
	  src/util/pl-ps.1, src/util/pl-tek.1, src/util/plcolor.1,
	  src/util/pldebug.1, src/util/plgetframe.1, src/util/plline2.1,
	  src/util/plrot.1, src/util/png-bw.1, src/util/png-pix.1,
	  src/util/png_info.1, src/util/random.1, src/util/rle-pix.1,
	  src/util/sun-pix.1, src/util/terrain.1, src/util/wavelet.1:
	  corrected copyright based on earliest svn log entry (including
	  parent
	  doc for changed paths)
	  added missing AUTHOR, COPYRIGHT, and BUG REPORTS sections
	  deleted any suprious, single quotation marks in header comments
	  corrected internal file names where needed
	  ensured AUTHOR, COPYRIGHT, and BUG REPORTS sections are at the
	  end
	  special copyright on ./src/tab/scriptsort.1 handled consistently
	  changed lines of this form:
	  .\" THIS DOCUMENTATION IS PROVIDED BY THE AUTHOR AS IS'' AND ANY
	  to this (added correc matching quotes):
	  .\" THIS DOCUMENTATION IS PROVIDED BY THE AUTHOR ``AS IS'' AND
	  ANY
	  ensured "BUG REPORTS" sections had consistent, surrounding double
	  quotes
	  eliminated reference to using the deprecated './sh/cadbug.sh'
	  script for
	  BUG REPORTS

2012-06-23 19:37  brlcad

	* [r51301] NEWS:
	  this is easily the biggest release we've made since going open
	  source. add write-up details on some of the bigger changes
	  occuring with this release including the completion of coverity
	  fixes, nurbs enhancements and v&v, importer improvements, doc
	  translations, introduction of the socis simulation project,
	  ambient occlusion, integration of rtwizard, and more. should have
	  released before the coverity backlogging... and pressed for it
	  harder/sooner after. still, lots of great awesome.

2012-06-23 17:32  crdueck

	* [r51300] src/libged/analyze.c:
	  ws changes, removed dead code in an 'src/libbn/plane.cif 0' block

2012-06-23 17:18  starseeker

	* [r51299] CMakeLists.txt:
	  Remove what look like stray leftover lines - distclean is handled
	  with cmake script files now.

2012-06-23 06:10  crdueck

	* [r51298] src/librt/primitives/arb8/arb8.c:
	  restructured rt_arb_get_cgtype(): simplified code using better
	  vector macros, changed logic for storing duplicate points, lots
	  of ws changes

2012-06-23 02:32  phoenixyjll

	* [r51297] src/librt/primitives/part/part_brep.cpp:
	  Add conditional logic to deal with spheres.

2012-06-22 21:53  bob1961

	* [r51296] src/tclscripts/lib/Ged.tcl:
	  Putting back a line of code that accidentally got clobbered.

2012-06-22 21:37  starseeker

	* [r51295] include/raytrace.h, src/librt/primitives/bot/bot.c,
	  src/librt/test_botpatches.c:
	  make bots instead of plot files.

2012-06-22 21:37  bob1961

	* [r51294] src/tclscripts/archer/ArcherCore.tcl,
	  src/tclscripts/archer/GeometryEditFrame.tcl,
	  src/tclscripts/archer/ShaderEdit.tcl:
	  Using ::cadwidgets:Ged::isdouble.

2012-06-22 21:26  r_weiss

	* [r51293] src/tclscripts/mged/grouper.tcl:
	  Updated the mged gr/grouper command in file grouper.tcl. Fixed a
	  bug where the display state was not reset when grouper exited.
	  This was causing the frame buffer to not display correctly.
	  Improved logic to ignore a selection box with zero area. Changed
	  the output of the contents of the selection box to list on a
	  single line. This change was to make easier copying and pasting
	  of this list. Improved status messages while grouper is
	  processing.

2012-06-22 20:48  bob1961

	* [r51291] src/tclscripts/lib/Ged.tcl:
	  Minor mod to cadwidgets::Ged::isdouble.

2012-06-22 20:27  bob1961

	* [r51290] src/tclscripts/archer/ArcherCore.tcl,
	  src/tclscripts/lib/Ged.tcl:
	  Moved the ArcherCore::isdouble functionality to cadwidgets::Ged.

2012-06-22 20:02  bob1961

	* [r51289] src/tclscripts/lib/TkTable.tcl:
	  Updated the TkTable::keyVisible and TkTable::handleKey methods to
	  do a better job of recognizing visible keys.

2012-06-22 19:41  brlcad

	* [r51288] src/other/libpng/configure.ac:
	  need AC_PROG_LIBTOOL for LT_INIT else we can get an error about
	  LIBTOOL being undefined.

2012-06-22 16:58  starseeker

	* [r51287] CMakeLists.txt:
	  tweak

2012-06-22 16:56  starseeker

	* [r51286] INSTALL:
	  This option name has changed

2012-06-22 16:34  starseeker

	* [r51285] src/librt/CMakeLists.txt, src/librt/test_botpatches.c:
	  Checkpoint some test code - not terribly useful yet.

2012-06-22 15:55  bob1961

	* [r51284] src/tclscripts/archer/ArcherCore.tcl:
	  Added ArcherCore::isdouble. This recognizes "." as a double.

2012-06-22 14:28  phoenixyjll

	* [r51283] src/librt/CMakeLists.txt, src/librt/Makefile.am,
	  src/librt/primitives/part/part_brep.cpp,
	  src/librt/primitives/table.c:
	  A raw version of brep conversion for part. Some special cases
	  need to be considered later.

2012-06-22 11:49  bob1961

	* [r51282] src/tclscripts/archer/Archer.tcl:
	  Added a statement to insure the temporarily disabled tree columns
	  feature doesn't get enabled via the startup file.

2012-06-22 11:47  bob1961

	* [r51281] src/tclscripts/archer/ArcherCore.tcl:
	  Remove unnecessary statement.

2012-06-22 07:34  anrgmrty

	* [r51280] src/conv/g-voxel.c:
	  corrected mistake in calculation of numVoxels in each direction

2012-06-21 20:58  starseeker

	* [r51279] src/librt/CMakeLists.txt, src/librt/test_nurbsfit.cpp:
	  Fix importing of bot verts, stash resulting nurb in .g database

2012-06-21 17:00  bob1961

	* [r51278] src/libtclcad/tclcad_obj.c:
	  Get rid of TO_MAX_RT_ARGS (i.e. replace uses with TO_UNLIMITED).

2012-06-21 14:25  r_weiss

	* [r51277] src/tclscripts/mged/grouper.tcl:
	  Update to mged gr/grouper command to only allow one instance of
	  grouper to be running at a time.

2012-06-21 13:15  starseeker

	* [r51276] src/librt/CMakeLists.txt, src/librt/opennurbs_fit.cpp,
	  src/librt/opennurbs_fit.h, src/librt/test_nurbsfit.cpp:
	  Adapt some of Thomas Moerwald's NURBS surface fitting code from
	  PCL to BRL-CAD - needs Eigen for solver. Not currently building.

2012-06-21 12:39  bob1961

	* [r51275] src/tclscripts/mged/mouse.tcl:
	  Need to catch the call to mouse_shoot_ray.

2012-06-21 12:38  bob1961

	* [r51274] src/tclscripts/mged/ray.tcl:
	  Need to catch the call to rt_gettrees.

2012-06-21 12:15  bob1961

	* [r51273] src/libged/wdb_obj.c:
	  MGED dumps core when trying to pick an edit primitive from the
	  display when nothing is displayed. The problem was in
	  wdb_rt_gettrees_cmd(). We need to keep checking argc since it's
	  being decremented as we process args. Also modified wdb_cmd()
	  ===> needed to pass a pointer to ret in the call to bu_cmd so we
	  get the correct return value.

2012-06-20 22:19  n_reed

	* [r51272] src/other/step/src/base/scl_memmgr.h:
	  s/cstddef/stddef.h/ for benefit of borland; SCL git e45d705

2012-06-20 22:08  anrgmrty

	* [r51271] src/conv/g-voxel.c:
	  g-voxel.c modified so it gives voxels.txt with co-ordinates and
	  fill distances of each region

2012-06-20 21:47  n_reed

	* [r51270] src/other/step/src/fedex_plus/classes.c:
	  remove extra semicolons; SCL git 17cec63

2012-06-20 20:27  tbrowder2

	* [r51269] src/libbu/redblack.3:
	  change man catergory number to remove B suffix

2012-06-20 17:53  n_reed

	* [r51268] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/cleditor/STEPfile.inline.cc:
	  support for checking read/write progress; SCL git 0bea3ef

2012-06-20 17:17  bob1961

	* [r51267] src/tclscripts/archer/Archer.tcl:
	  Disabling tree attributes.

2012-06-20 16:57  r_weiss

	* [r51266] doc/docbook/system/mann/en/rtarea.xml:
	  Update to mged rtarea command documentation.

2012-06-20 16:48  r_weiss

	* [r51265] doc/docbook/system/mann/en/CMakeLists.txt,
	  doc/docbook/system/mann/en/rtarea.xml:
	  Add documentation for mged rtarea command.

2012-06-20 16:46  bob1961

	* [r51264] src/tclscripts/archer/Archer.tcl:
	  In Archer::raytracePlus, need to add braces around the
	  orientation and eye_pt.

2012-06-20 15:23  n_reed

	* [r51263] src/other/step/src/cleditor/instmgr.h,
	  src/other/step/src/clutils/gennodearray.h:
	  mark some member functions const; SCL git 225180f

2012-06-20 14:50  phoenixyjll

	* [r51262] src/librt/CMakeLists.txt, src/librt/Makefile.am,
	  src/librt/primitives/brep/brep_debug.cpp,
	  src/librt/primitives/half/half_brep.cpp,
	  src/librt/primitives/pnts/pnts_brep.cpp,
	  src/librt/primitives/table.c:
	  Use ft_brep functions for half and pnts, returning a NULL brep
	  pointer, and check within brep_conversion() and
	  brep_conversion_tree().

2012-06-20 14:21  n_reed

	* [r51261] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/clstepcore/STEPcomplex.h:
	  fix memory leaks; SCL git 5aca337 and dd6ef88

2012-06-20 13:56  bob1961

	* [r51260] src/tclscripts/archer/Archer.tcl:
	  Added --no-gui and --input options to the rtwizard commands that
	  are being written out to a file.

2012-06-20 13:06  bob1961

	* [r51259] src/tclscripts/archer/Archer.tcl:
	  Added an optional argument to Archer::raytracePlus (i.e.
	  _batch_list) which allows raytracePlus to write render commands
	  to a file

2012-06-20 02:01  phoenixyjll

	* [r51258] src/librt/primitives/tgc/tgc.c:
	  Fix typo.

2012-06-19 20:19  n_reed

	* [r51257] src/other/step/src/clstepcore/ExpDict.cc,
	  src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/clstepcore/ExpDict.inline.cc:
	  fix memory leaks; SCL git a1d6b25

2012-06-19 20:02  n_reed

	* [r51256] src/other/step/src/clstepcore/STEPaggregate.cc,
	  src/other/step/src/fedex_plus/classes.c:
	  fix STEPaggregate memory leaks; SCL git 8a2665e

2012-06-19 19:53  n_reed

	* [r51255] src/other/step/src/cleditor/SdaiHeaderSchemaInit.cc,
	  src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/clstepcore/ExpDict.inline.cc,
	  src/other/step/src/fedex_plus/classes.c:
	  stash unnamed types in a list so they can be freed; SCL git
	  04f4c1d

2012-06-19 19:44  n_reed

	* [r51254] src/other/step/src/clstepcore/STEPattribute.h,
	  src/other/step/src/clstepcore/STEPattribute.inline.cc,
	  src/other/step/src/clstepcore/STEPattributeList.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc:
	  free attributes list; SCL git c77471a

2012-06-19 19:18  n_reed

	* [r51253] src/other/step/src/cleditor/STEPfile.inline.cc,
	  src/other/step/src/clstepcore/Registry.inline.cc:
	  fix Registry memory leaks; SCL git a9173c8 and 626bb73

2012-06-19 18:54  n_reed

	* [r51252] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h:
	  print aggregate name instead of data member name; SCL git a72fa6e

2012-06-19 18:51  bob1961

	* [r51251] src/tclscripts/archer/Archer.tcl,
	  src/tclscripts/archer/ArcherCore.tcl:
	  Archer::buildObjRtImageView now returns a value (i.e. the last
	  row occupied). Minor cleanup.

2012-06-19 18:46  n_reed

	* [r51250] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  cleanup from SCL git a86b035 and 6f60a8a

2012-06-19 18:40  r_weiss

	* [r51249] doc/docbook/system/mann/en/CMakeLists.txt,
	  doc/docbook/system/mann/en/bot_split.xml:
	  Add documentation for the mged bot_split command.

2012-06-19 18:39  crdueck

	* [r51248] src/librt/primitives/tgc/tgc.c:
	  fixed error in rt_tgc_centroid() not accounting for the actual
	  position of the tgc. made use of VJOIN1 to combine some
	  operations. some ws and formatting changes

2012-06-19 18:17  n_reed

	* [r51247] src/other/step/src/cleditor/SdaiHeaderSchemaInit.cc,
	  src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/express/expr.c,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  partial support for aggregate bounds that aren't compile-time
	  constants; SCL git 7425e55d

2012-06-19 18:03  bob1961

	* [r51246] src/tclscripts/archer/Archer.tcl:
	  Save the nonedge color, occlusion mode and ghost intensity in the
	  preferences file.

2012-06-19 17:32  r_weiss

	* [r51245] doc/docbook/system/mann/en/CMakeLists.txt,
	  doc/docbook/system/mann/en/bot_flip.xml:
	  Add documentation for the mged bot_flip command.

2012-06-19 16:53  r_weiss

	* [r51244] doc/docbook/system/mann/en/bot_face_sort.xml:
	  Correct a syntax error in the xml file of the bot_face_sort
	  command documentation.

2012-06-19 16:49  r_weiss

	* [r51243] doc/docbook/system/mann/en/CMakeLists.txt,
	  doc/docbook/system/mann/en/bot_sync.xml:
	  Added documentation for mged command bot_sync.

2012-06-19 16:31  n_reed

	* [r51242] src/other/step/src/base/scl_memmgr.cc:
	  more verbose warning message; SCL git c84330b

2012-06-19 16:24  n_reed

	* [r51241] src/other/step/src/express/resolve.c:
	  remove #if 0 code; SCL git ee13cda

2012-06-19 16:19  n_reed

	* [r51240] src/other/step/src/fedex_plus/multpass.c:
	  fix memory leaks reported by scl_memmgr; SCL git f7cde9f

2012-06-19 16:09  n_reed

	* [r51239] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc,
	  src/other/step/src/fedex_plus/selects.c:
	  fix memory leaks reported by scl_memmgr; SCL git 3010afa

2012-06-19 15:53  n_reed

	* [r51238] src/other/step/include/express/dict.h,
	  src/other/step/include/express/error.h,
	  src/other/step/include/express/expr.h,
	  src/other/step/include/express/express.h,
	  src/other/step/include/express/linklist.h,
	  src/other/step/include/express/object.h,
	  src/other/step/include/express/resolve.h,
	  src/other/step/include/express/schema.h,
	  src/other/step/include/express/type.h,
	  src/other/step/src/express/dict.c,
	  src/other/step/src/express/error.c,
	  src/other/step/src/express/expr.c,
	  src/other/step/src/express/express.c,
	  src/other/step/src/express/fedex.c,
	  src/other/step/src/express/lexact.c,
	  src/other/step/src/express/linklist.c,
	  src/other/step/src/express/object.c,
	  src/other/step/src/express/resolve.c,
	  src/other/step/src/express/schema.c,
	  src/other/step/src/express/type.c:
	  add fedex_plus/express memory cleanup function; SCL git f5d0cc5

2012-06-19 15:39  r_weiss

	* [r51237] doc/docbook/system/mann/en/CMakeLists.txt,
	  doc/docbook/system/mann/en/reid.xml:
	  Add documentation for the mged reid command.

2012-06-19 15:19  n_reed

	* [r51236] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/selects.c:
	  avoid generating 'else if' to avoid MSVC limit of 128; SCL git
	  dea7f8c

2012-06-19 15:12  n_reed

	* [r51235] src/conv/step/CMakeLists.txt,
	  src/conv/step/STEPWrapper.cpp, src/conv/step/STEPWrapper.h,
	  src/conv/step/step-g.cpp, src/other/step/data/CMakeLists.txt,
	  src/other/step/src/clutils/errordesc.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc,
	  src/other/step/src/fedex_plus/write.cc:
	  Use scl_memmgr in generated schema libraries. Since scl_memmgr.h
	  makes "new" a macro, it has to be included after uses of
	  placement new to avoid breakage. SCL git d8d293b.

2012-06-19 13:22  erikgreenwald

	* [r51234] src/libpkg/CMakeLists.txt, src/libpkg/tpkg.c:
	  Apply Andrei's tpkg patch to set the packet size.
	  http://sourceforge.net/tracker/index.php?func=detail&aid=3529853&group_id=105292&atid=640804

2012-06-19 13:15  d_rossberg

	* [r51233] CMakeLists.txt, include/config_win.h,
	  include/config_win_cmake.h.in:
	  made the asinh() handling a twin of hypot()

2012-06-19 12:34  starseeker

	* [r51232] INSTALL:
	  Sync minor install file changes

2012-06-19 12:32  starseeker

	* [r51231] CMakeLists.txt, include/common.h,
	  include/config_win_cmake.h.in:
	  asinh is like hypot test - can't handle it as a
	  check_function_exists call. needs testing on Windows

2012-06-19 12:03  bob1961

	* [r51230] src/libged/wdb_obj.c:
	  Don't need the call to bu_log_hook_delete_all() because the
	  previous call to bu_log_hook_save_all() empties the list.

2012-06-19 11:45  d_rossberg

	* [r51229] CMakeLists.txt, include/common.h:
	  build error in MSVS: asinh() is C99, implement it with log() and
	  sqrt() if not present
	  (and there where lots of trailing white spaces removed)

2012-06-19 10:58  phoenixyjll

	* [r51228] src/librt/Makefile.am:
	  correct .c => .cpp

2012-06-19 08:41  d_rossberg

	* [r51227] src/librt/CMakeLists.txt:
	  corrected a typing mistake: .c => .cpp

2012-06-19 06:19  phoenixyjll

	* [r51226] src/librt/CMakeLists.txt, src/librt/Makefile.am,
	  src/librt/primitives/ars/ars_brep.cpp,
	  src/librt/primitives/table.c:
	  Add brep conversion function to ars.

2012-06-19 06:11  phoenixyjll

	* [r51225] src/librt/primitives/brep/brep_debug.cpp:
	  Remove unnecessary logic.

2012-06-19 06:06  phoenixyjll

	* [r51224] src/librt/primitives/arb8/arb8_brep.cpp,
	  src/librt/primitives/arbn/arbn_brep.cpp:
	  Modify wrong comments.

2012-06-19 04:08  phoenixyjll

	* [r51223] src/librt/primitives/arb8/arb8.c,
	  src/librt/primitives/brep/brep_debug.cpp,
	  src/librt/primitives/ell/ell.c, src/librt/primitives/rpc/rpc.c,
	  src/librt/primitives/tgc/tgc.c:
	  ws

2012-06-19 04:05  crdueck

	* [r51222] src/librt/primitives/rpc/rpc.c:
	  combined 'VSCALE then VADD2' operations with VJOIN1 macro

2012-06-19 03:26  crdueck

	* [r51221] src/libged/analyze.c:
	  updated analyze_rpc() to use the new callbacks, use
	  print_volume_table() for displaying results

2012-06-19 02:40  crdueck

	* [r51220] src/librt/primitives/table.c:
	  updated rt_functab entry for rpc to use the new callbacks

2012-06-19 02:38  crdueck

	* [r51219] src/librt/primitives/rpc/rpc.c:
	  added surface area function for rpc

2012-06-19 01:58  crdueck

	* [r51218] src/librt/primitives/rpc/rpc.c:
	  added a centroid function for rpc

2012-06-19 01:14  brlcad

	* [r51217] doc/docbook/articles/en/oed.xml:
	  fix a couple obvious typos

2012-06-18 21:22  crdueck

	* [r51216] src/librt/primitives/rpc/rpc.c:
	  added volume function for rpc

2012-06-18 16:29  phoenixyjll

	* [r51214] src/librt/primitives/pnts/pnts.c:
	  Check whether count == 0 to avoid segmentation fault.

2012-06-18 16:28  phoenixyjll

	* [r51213] src/librt/primitives/brep/brep_debug.cpp:
	  Export correctly and modify the output message.

2012-06-18 15:42  starseeker

	* [r51212] TODO:
	  Problem was not with the red regressions, but a deeper issue
	  involving syncing low level data structures and attributes - red
	  editing saw appropriate region flag, but some other tools
	  wouldn't. Fixed now - may possible be worth adding a different
	  test to check specifically for this in the future, but it's only
	  likely to come up in the next big attribute handling refactor.

2012-06-18 15:20  starseeker

	* [r51211] TODO:
	  The g-nff crash appears to have been fixed - succeeds on Linux
	  and Mac

2012-06-18 15:20  phoenixyjll

	* [r51210] src/librt/primitives/brep/brep_debug.cpp:
	  Add pnts to the ignore list.

2012-06-18 15:15  starseeker

	* [r51209] TODO:
	  mged -c + attach X + draw works on Linux and Mac

2012-06-18 15:00  starseeker

	* [r51208] TODO:
	  Made circles in sketch editor, unable to reproduce problem - if
	  re-occurs, request bug submission with more detail.

2012-06-18 14:34  starseeker

	* [r51207] TODO:
	  Tried the example in build_region's man page, and it succeeded.

2012-06-18 12:21  cprecup

	* [r51206] src/libged/Makefile.am:
	  Add the file dag.cpp for the OLD build system

2012-06-18 12:19  cprecup

	* [r51205] src/libged/CMakeLists.txt:
	  Fix distcheck error that appears because of SVN_FILE_NOT_IN_BUILD
	  for dag.cpp in the case when the AVOID library is not found.

2012-06-18 11:54  erikgreenwald

	* [r51204] src/librt/primitives/metaball/metaball_tri.c:
	  Adjust facetization grid size to a more reasonable value.
	  (generation resolution was way too fine, may've been caused by
	  tightening of bounding volume)

2012-06-18 10:19  brlcad

	* [r51203] TODO:
	  richard tested facetize on windows, works. testing illuminate+Z
	  is not a release stopper

2012-06-18 10:16  brlcad

	* [r51202] TODO:
	  the brep class inlining is not a release item, push down to
	  unsheduled

2012-06-18 10:13  brlcad

	* [r51201] TODO:
	  idents first column bug was investigated and found to be
	  unworthy. review and testing has been on-going.

2012-06-18 02:45  starseeker

	* [r51200] src/fb/orle-fb.c:
	  Apply patch 3527258 from Ksenija Slivko

2012-06-18 01:44  cprecup

	* [r51199] src/libged/dag.cpp:
	  Model for a directed acyclic graph constructed by using the
	  Adaptagrams' libraries. Methods that, for now, construct a
	  rectangle for each object in a given database.

2012-06-18 01:38  cprecup

	* [r51198] src/libged/CMakeLists.txt:
	  Add search for libavoid

2012-06-18 01:36  cprecup

	* [r51197] src/conv/CMakeLists.txt:
	  Eliminate search for the library libavoid

2012-06-16 19:03  crdueck

	* [r51196] src/librt/primitives/table.c:
	  quell some warnings, pointer (NULL) instead of the expected int
	  (0) in a functab entry

2012-06-16 18:05  starseeker

	* [r51195] doc/docbook/system/man1/en/rtwizard.xml:
	  PDF testing was worthwhile, caught an error - 3 columns in this
	  table, not 2

2012-06-16 17:37  starseeker

	* [r51194] src/other/CMakeLists.txt:
	  New SCL setting to flag as advanced

2012-06-16 13:10  brlcad

	* [r51193] include/vmath.h:
	  ws

2012-06-16 13:10  brlcad

	* [r51192] NEWS:
	  insignificant edit so we can restate the commit log, needed for
	  sh/news2tracker.sh which pulls the last commit comment for review
	  meetings: tom browder fixed a bug in the comgeom-g importer that
	  was causing a problem due to improper memory deallocation after
	  mk_ars().

2012-06-16 13:02  brlcad

	* [r51191] src/other/incrTcl/itk/CMake/FindX11.cmake,
	  src/other/tk/CMake/FindX11.cmake,
	  src/other/tkhtml/CMake/FindX11.cmake,
	  src/other/tkpng/CMake/FindX11.cmake,
	  src/other/tktable/CMake/FindX11.cmake,
	  src/other/togl/CMake/FindGL.cmake:
	  sync FindGL and FindX11

2012-06-16 13:00  brlcad

	* [r51190] misc/CMake/FindGL.cmake, misc/CMake/FindX11.cmake:
	  synchronize the search ordering while also adjusting the order
	  slightly. intentionally preferring X11 include directories before
	  searching common system and common package manager paths.

2012-06-16 12:42  tbrowder2

	* [r51189] NEWS:
	  correct typo

2012-06-16 12:07  tbrowder2

	* [r51188] doc/docbook/system/man1/en/asc2dsp.xml:
	  improve note about validity of output for mged use

2012-06-16 11:58  tbrowder2

	* [r51187] doc/docbook/system/man1/en/asc2dsp.xml:
	  add note about easy ascii creation, reference to tac(1)

2012-06-16 08:00  starseeker

	* [r51186] src/tclscripts/lib/RtImage.tcl,
	  src/tclscripts/rtwizard/rtwizard.tcl:
	  Reverse pid archer work

2012-06-16 07:59  starseeker

	* [r51185] src/tclscripts/lib/RtImage.tcl,
	  src/tclscripts/rtwizard/rtwizard.tcl:
	  Checkpointing work to make rtwizard pids available for Archer to
	  abort when abort button is pressed. Will immediately revert, as
	  this won't be ready in time for release

2012-06-16 07:00  crdueck

	* [r51184] src/libged/analyze.c:
	  updated analyze_arb to use the new volume callback

2012-06-16 06:18  crdueck

	* [r51183] src/libged/analyze.c:
	  cleaned up formatting in analyze_tgc

2012-06-16 06:16  crdueck

	* [r51182] src/libged/analyze.c:
	  cleaned up formatting for bu_vls_printf in analyze_ell and
	  analyze_tor, planning on using this format throughout analyze.c
	  for consistency

2012-06-16 05:32  starseeker

	* [r51181] src/libged/simulate/simrt.c,
	  src/libged/simulate/simulate.c, src/libged/simulate/simutils.c,
	  src/libged/simulate/simutils.h:
	  simulate kill code was interfering with other uses of kill - add
	  a prefix to avoid collision until details can be sorted out.

2012-06-16 04:43  brlcad

	* [r51180] src/librt/primitives/arb8/arb8.c:
	  DIST_PT_PLANE() takes a point first, plane second. detected
	  during compilation since it causes an array to read out of
	  bounds.

2012-06-15 21:35  bob1961

	* [r51179] include/bu.h, src/libbu/hook.c, src/libbu/log.c,
	  src/libged/wdb_obj.c:
	  Added functions for save_all, delete_all and restore_all hooks
	  and log_hooks. Used by wdb_cmd to eliminate blather when a
	  command is not found in wdb_newcmds.

2012-06-15 20:13  erikgreenwald

	* [r51178] src/librt/primitives/nmg/nmg_tri_mc.c:
	  remove unnecessary blather

2012-06-15 19:26  brlcad

	* [r51177] src/other/libregex/engine.c:
	  partial revert of r51054. passing ssize_t to %ld is not portable
	  nor follows the documented type.

2012-06-15 19:22  anrgmrty

	* [r51176] src/conv/g-voxel.c:
	  EQUAL used for equality of two floating pt. numbers instead of
	  roundabout way using ZERO

2012-06-15 19:19  brlcad

	* [r51175] src/libged/red.c:
	  revert r51012. it's unclear how the comment is true, improving
	  reliability on Windows, because the casts are not right. they
	  describe an array of character pointers (char*[]), but then
	  that's repeatedly used as a 'char *' with casts forced
	  everywhere. needing casts pervasively like that is a sign
	  something is fundamentally wrong. casts should be rare.

2012-06-15 19:11  brlcad

	* [r51174] src/libged/brep.c:
	  ws

2012-06-15 18:31  starseeker

	* [r51173] doc/docbook/system/man1/en/rtwizard.xml:
	  Add some examples to rtwizard man page - could probably stand to
	  have some more, given the number of options available

2012-06-15 18:30  brlcad

	* [r51172] src/libbu/vls_internals.h:
	  mark them with BU_EXPORT so they'll dllexport/dllimport
	  correctly, but keep them in this internal header so they're not
	  published

2012-06-15 18:24  starseeker

	* [r51171] src/fb/fblabel.c:
	  fblabel needs to use bu_setprogname, since it relies on
	  bu_brlcad_data to find vfont.

2012-06-15 18:09  brlcad

	* [r51170] src/libbu/vls_internals.h:
	  declare extern

2012-06-15 18:08  brlcad

	* [r51169] include/bu.h, src/libbu/vls_internals.h:
	  revert r50816 and 50817. cannot just move declarations into
	  public headers as it pollutes the public API. moreover, it's not
	  necessary (and doesn't address the real problem)

2012-06-15 18:01  bob1961

	* [r51168] src/tclscripts/archer/Archer.tcl,
	  src/tclscripts/archer/ArcherCore.tcl:
	  This fixes some of the issues that were encountered using the
	  rtwizard interface in Archer. The fix was to compute the eye_pt
	  (i.e. a call to get_eyemodel computes this) whenever the display
	  changes and convert it to view coordinates before comparing to
	  the mSavedViewEyePt. The eye_pt with the largest Z value wins.
	  This value, if set, is used to override libged/rtwizard.c.

2012-06-15 17:48  brlcad

	* [r51167] src/conv/g-voxel.c:
	  ws

2012-06-15 17:45  brlcad

	* [r51166] src/libbu/test_ctype.c:
	  clean up ws & style, mark ac/av as UNUSED

2012-06-15 17:43  brlcad

	* [r51165] src/libbu/test_ctype.c:
	  typo, mime type is text/plain

2012-06-15 17:42  brlcad

	* [r51164] NEWS:
	  Daniel Roßberg added a new geometry importer for the 'raw' file
	  format, which is a simple ascii list of vertices representing a
	  triangle mesh, imported as a BoT

2012-06-15 17:34  bob1961

	* [r51163] src/tclscripts/lib/RtImage.tcl:
	  Put back the previous specification of occlusion objects to
	  rtedge.

2012-06-15 16:15  starseeker

	* [r51162] doc/docbook/system/man1/en/rtwizard.xml,
	  src/tclscripts/rtwizard/rtwizard.tcl:
	  Fix rtwizard options to better match what they're actually doing
	  under the hood.

2012-06-15 15:00  d_rossberg

	* [r51161] src/conv/g-voxel.c:
	  another unused variable: rtip in hit()

2012-06-15 14:55  d_rossberg

	* [r51160] src/conv/g-voxel.c:
	  removed numVoxel from hit() function because of a compiler error
	  "variable set but not used"

2012-06-15 14:04  anrgmrty

	* [r51159] src/conv/g-voxel.c:
	  ZERO() macro used for comparison with 0.0 instead of previously
	  used inefficient comparison

2012-06-15 13:14  bob1961

	* [r51158] src/libged/wdb_obj.c:
	  Removed wdb_put_tcl.

2012-06-15 12:08  bob1961

	* [r51157] src/libged/rtwizard.c:
	  Quoting all arguments used to create the string for the call to
	  CreateProcess(). Minor cleanup.

2012-06-15 06:01  brlcad

	* [r51156] TODO:
	  quick-test the build_region command in mged to make sure it works
	  after recent get/put/adjust changes

2012-06-15 06:00  brlcad

	* [r51155] src/tclscripts/mged/build_region.tcl:
	  call get/put/adjust directly instead of going through the
	  deprecated wdb_obj db interface

2012-06-15 05:59  brlcad

	* [r51154] src/libged/wdb_obj.c:
	  put is a new command, reference the right callback

2012-06-15 05:49  brlcad

	* [r51153] NEWS:
	  Across the board, Tom's made several dozen improvements and
	  corrections to various manual pages in response to issues found
	  by Eric Raymond's doclifter. also tidyed up some spacing and
	  formatting.

2012-06-15 05:46  brlcad

	* [r51152] NEWS:
	  consolidate the new manual page additions tom worked on into one
	  entry for all four (asc2dsp, dsp, asc2pix, and asc2g). (plus,
	  recommit since r51121 commit message was nondescript)

2012-06-15 05:09  crdueck

	* [r51151] src/librt/primitives/table.c:
	  updated the rt_functab entry for arb to include the new volume
	  callback

2012-06-15 03:29  crdueck

	* [r51150] src/librt/primitives/arb8/arb8.c:
	  added rt_arb_volume() for arb8

2012-06-15 02:53  starseeker

	* [r51149] regress/asc2dsp.sh:
	  Add quotes in asc2dsp test as well.

2012-06-15 02:46  starseeker

	* [r51148] regress/dsp.sh:
	  regress-dsp failing in odd pathnames distcheck - add quotes

2012-06-14 23:01  n_reed

	* [r51147] src/other/step/src/cleditor/CMakeLists.txt,
	  src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.inline.cc,
	  src/other/step/src/cleditor/SdaiHeaderSchema.cc,
	  src/other/step/src/cleditor/SdaiHeaderSchemaAll.cc,
	  src/other/step/src/cleditor/SdaiHeaderSchemaInit.cc,
	  src/other/step/src/cleditor/SdaiSchemaInit.cc,
	  src/other/step/src/cleditor/cmdmgr.cc,
	  src/other/step/src/cleditor/dispnode.cc,
	  src/other/step/src/cleditor/dispnodelist.cc,
	  src/other/step/src/cleditor/instmgr.cc,
	  src/other/step/src/cleditor/mgrnode.cc,
	  src/other/step/src/cleditor/mgrnodearray.cc,
	  src/other/step/src/cleditor/mgrnodelist.cc,
	  src/other/step/src/cleditor/needFunc.cc:
	  use scl_memmgr in cleditor; SCL git 3be4220

2012-06-14 22:39  n_reed

	* [r51146] src/other/step/src/cldai/CMakeLists.txt,
	  src/other/step/src/cldai/sdaiApplication_instance_set.cc,
	  src/other/step/src/cldai/sdaiBinary.cc,
	  src/other/step/src/cldai/sdaiDaObject.cc,
	  src/other/step/src/cldai/sdaiEntity_extent.cc,
	  src/other/step/src/cldai/sdaiEntity_extent_set.cc,
	  src/other/step/src/cldai/sdaiEnum.cc,
	  src/other/step/src/cldai/sdaiModel_contents.cc,
	  src/other/step/src/cldai/sdaiModel_contents_list.cc,
	  src/other/step/src/cldai/sdaiObject.cc,
	  src/other/step/src/cldai/sdaiSession_instance.cc,
	  src/other/step/src/cldai/sdaiString.cc:
	  use scl_memmgr in cldai; SCL git b49d2be

2012-06-14 21:44  n_reed

	* [r51145] src/other/step/src/clstepcore/CMakeLists.txt,
	  src/other/step/src/clstepcore/ExpDict.cc,
	  src/other/step/src/clstepcore/ExpDict.inline.cc,
	  src/other/step/src/clstepcore/Registry.inline.cc,
	  src/other/step/src/clstepcore/STEPaggregate.cc,
	  src/other/step/src/clstepcore/STEPattribute.cc,
	  src/other/step/src/clstepcore/STEPattribute.inline.cc,
	  src/other/step/src/clstepcore/STEPattributeList.cc,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/clstepcore/STEPundefined.cc,
	  src/other/step/src/clstepcore/SingleLinkList.cc,
	  src/other/step/src/clstepcore/SingleLinkList.inline.cc,
	  src/other/step/src/clstepcore/collect.cc,
	  src/other/step/src/clstepcore/complexlist.cc,
	  src/other/step/src/clstepcore/entlist.cc,
	  src/other/step/src/clstepcore/entnode.cc,
	  src/other/step/src/clstepcore/match-ors.cc,
	  src/other/step/src/clstepcore/multlist.cc,
	  src/other/step/src/clstepcore/non-ors.cc,
	  src/other/step/src/clstepcore/orlist.cc,
	  src/other/step/src/clstepcore/print.cc,
	  src/other/step/src/clstepcore/read_func.cc,
	  src/other/step/src/clstepcore/sdai.cc,
	  src/other/step/src/clstepcore/trynext.cc:
	  use scl_memmgr in clstepcore; SCL git 245ff14

2012-06-14 21:37  starseeker

	* [r51144] src/conv/Makefile.am:
	  pix2asc needs libbu too

2012-06-14 21:13  tbrowder2

	* [r51143] src/libbu/test_vls_vprintf.c:
	  remove one test for now--an internal failure

2012-06-14 20:49  tbrowder2

	* [r51142] regress/CMakeLists.txt, regress/Makefile.am,
	  regress/asc2dsp.sh, regress/dsp/asc2dsp-new.asc,
	  regress/dsp/asc2dsp-old.asc:
	  add new regression test; turn on dsp and asc2dsp regression
	  tests; distcheck seems okay

2012-06-14 20:48  n_reed

	* [r51141] src/other/step/src/clutils/CMakeLists.txt,
	  src/other/step/src/clutils/dirobj.cc,
	  src/other/step/src/clutils/errordesc.cc,
	  src/other/step/src/clutils/gennode.cc,
	  src/other/step/src/clutils/gennodearray.cc,
	  src/other/step/src/clutils/gennodelist.cc,
	  src/other/step/src/clutils/scl_hash.cc:
	  use scl_memmgr in clutils; SCL git 010e02b

2012-06-14 19:29  r_weiss

	* [r51140] src/libged/wdb_obj.c:
	  Update to file 'wdb_obj.c' to prevent the mged 'build_region'
	  command from incorrectly reporting that the 'put' command does
	  not exist.

2012-06-14 19:18  anrgmrty

	* [r51139] src/conv/g-voxel.c:
	  g-voxel outputs voxels.txt, voxelArray stores information from
	  one ray at a time only instead of for entire object

2012-06-14 19:00  bob1961

	* [r51138] src/libged/rtwizard.c:
	  Needed to set gedp->ged_gdp->gd_rt_cmd_len before the call to
	  _ged_run_rtwizard. This was needed on Windows.

2012-06-14 18:59  brlcad

	* [r51137] misc/CMake/FindX11.cmake:
	  check for the X11/Xlib.h header instead of a main X11 directory
	  (the directory might simply be empty)

2012-06-14 18:58  starseeker

	* [r51136] src/libged/Makefile.am:
	  Add rtwizard.c to libged's Makefile.am

2012-06-14 18:03  brlcad

	* [r51135] src/libbu/parallel.c:
	  include the sys/resource.h header conditionally on its test
	  result. fixes a decl warning on old gcc compilation.

2012-06-14 18:02  brlcad

	* [r51134] CMakeLists.txt:
	  check for the sys/resource.h header for
	  setpriority()/getpriority()

2012-06-14 16:04  r_weiss

	* [r51133] doc/docbook/system/mann/en/gr.xml:
	  Update to the mged 'gr/grouper' command documentation.

2012-06-14 14:48  starseeker

	* [r51132] src/conv/Makefile.am:
	  asc2dsp needs libbu - let autotools build know that

2012-06-14 14:43  bob1961

	* [r51131] src/libtclcad/tclcad_obj.c:
	  Bumped the maxargs for the view command from 3 to 7.

2012-06-14 14:41  r_weiss

	* [r51130] src/tclscripts/mged/grouper.tcl:
	  Update to the mged 'gr/grouper' command correcting problems with
	  keyboard and mouse button associations.

2012-06-14 14:08  d_rossberg

	* [r51129] src/conv/asc/asc2dsp.c:
	  compiler error with MSVC: obviously MAXSHORT is already defined
	  there
	  now we test with UINT16_MAX if an unsigned int can be casted to
	  uint16_t

2012-06-14 14:05  bob1961

	* [r51128] src/libged/rt.c:
	  This fixes an issue in _ged_rt_set_eye_model() where displayed
	  geometry was not showing up in a raytrace due to the eye_model
	  not getting adjusted at all or an adjustment was made
	  incorrectly. The first problem was that the eye_model was not
	  getting adjusted unless the view center was inside the bounding
	  box of the displayed solids. This breaks depending on the view.
	  If not zclipping the eye_model is now always getting adjusted.
	  The second problem was that the eye_model was getting adjusted by
	  the extent of the bounding box diagonal alone. We also need to
	  consider how far away the center of displayed geometry is from
	  the view center.

2012-06-14 13:59  starseeker

	* [r51127] regress/CMakeLists.txt:
	  Add dsp.pix to regress clean list

2012-06-14 12:47  tbrowder2

	* [r51126] regress/CMakeLists.txt:
	  correct name of missing prereq

2012-06-14 12:45  tbrowder2

	* [r51125] regress/CMakeLists.txt:
	  add missing prereq

2012-06-14 12:44  tbrowder2

	* [r51124] regress/CMakeLists.txt:
	  add missing file

2012-06-14 12:41  tbrowder2

	* [r51123] regress/dsp/dsp-common.sh:
	  add required file

2012-06-14 12:07  starseeker

	* [r51122] regress/CMakeLists.txt:
	  Apparently need dsp-common.sh, which has not been checked in yet.

2012-06-14 11:55  tbrowder2

	* [r51121] NEWS:
	  doc new things

2012-06-14 11:42  erikgreenwald

	* [r51120] src/other/step/src/base/scl_memmgr.cc:
	  use stdlib.h instead of malloc.h

2012-06-14 11:30  tbrowder2

	* [r51119] src/conv/asc/asc2dsp.c:
	  add comment

2012-06-14 11:24  tbrowder2

	* [r51118] doc/docbook/system/man1/en/asc2dsp.xml:
	  comma instead of period

2012-06-14 11:22  brlcad

	* [r51117] src/conv/asc/asc2dsp.c:
	  include bin.h instead of arpa/inet.h directly so that we build on
	  windows

2012-06-14 11:20  tbrowder2

	* [r51116] doc/docbook/system/man1/en/asc2dsp.xml,
	  doc/docbook/system/man5/en/dsp.xml, src/conv/asc/asc2dsp.c:
	  expand comments and info

2012-06-14 04:44  starseeker

	* [r51115] src/conv/asc/asc2dsp.c:
	  clear error building asc2dsp - not checking return value of
	  fwrite

2012-06-14 04:01  brlcad

	* [r51114] NEWS:
	  cliff worked extensively on getting rtwizard to work as a
	  command-line renderer (sans gui). bob integrated it into libged
	  and into archer with numerous fixes along the way.

2012-06-14 03:46  brlcad

	* [r51113] src/liborle/rle.c:
	  tis old, but not that old!

2012-06-14 03:41  brlcad

	* [r51112] src/libfb/if_X24.c, src/libfb/if_disk.c,
	  src/util/pixdsplit.c:
	  specify O_BINARY on a few other places that call open() for some
	  binary file. should behave better/correctly on windows.

2012-06-14 03:07  brlcad

	* [r51111] NEWS:
	  tom browder added a new asc2dsp conversion tool which creates a
	  dsp unsigned short binary data file from 0-to-65536 ascii data
	  values

2012-06-14 02:59  brlcad

	* [r51110] HACKING:
	  more language tweaking, ask for testing help.

2012-06-14 02:56  brlcad

	* [r51109] HACKING:
	  testing almost stabilized, clean up release e-mail snippet
	  language

2012-06-14 02:00  tbrowder2

	* [r51108] doc/docbook/system/man1/en/asc2dsp.xml,
	  doc/docbook/system/man5/en/dsp.xml, src/conv/asc/asc2dsp.c:
	  define the DSP acronym

2012-06-14 01:50  tbrowder2

	* [r51107] doc/docbook/system/man1/en/CMakeLists.txt,
	  doc/docbook/system/man1/en/asc2dsp.xml,
	  doc/docbook/system/man5/en/CMakeLists.txt,
	  doc/docbook/system/man5/en/dsp.xml, src/conv/CMakeLists.txt,
	  src/conv/Makefile.am, src/conv/asc/asc2dsp.c:
	  add a new utility to ease generation of DSP binary files; add
	  DocBook versions of man pages for the 'asc2dsp' program and the
	  'dsp' binary file format

2012-06-14 01:43  tbrowder2

	* [r51106] include/bio.h:
	  correct typo

2012-06-13 23:04  n_reed

	* [r51105] src/other/step/src/exppp/CMakeLists.txt,
	  src/other/step/src/exppp/exppp.c,
	  src/other/step/src/fedex_plus/CMakeLists.txt,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc,
	  src/other/step/src/fedex_plus/collect.cc,
	  src/other/step/src/fedex_plus/complexlist.cc,
	  src/other/step/src/fedex_plus/entlist.cc,
	  src/other/step/src/fedex_plus/entnode.cc,
	  src/other/step/src/fedex_plus/expressbuild.cc,
	  src/other/step/src/fedex_plus/fedex_main.c,
	  src/other/step/src/fedex_plus/match-ors.cc,
	  src/other/step/src/fedex_plus/multlist.cc,
	  src/other/step/src/fedex_plus/multpass.c,
	  src/other/step/src/fedex_plus/non-ors.cc,
	  src/other/step/src/fedex_plus/orlist.cc,
	  src/other/step/src/fedex_plus/print.cc,
	  src/other/step/src/fedex_plus/selects.c,
	  src/other/step/src/fedex_plus/trynext.cc,
	  src/other/step/src/fedex_plus/write.cc:
	  use scl_memmgr in exppp and fedex_plus; SCL git 7ce8bcb and
	  4e0d73d

2012-06-13 21:13  n_reed

	* [r51104] src/other/step/CMakeLists.txt,
	  src/other/step/src/base/CMakeLists.txt,
	  src/other/step/src/express/CMakeLists.txt,
	  src/other/step/src/express/alg.c,
	  src/other/step/src/express/caseitem.c,
	  src/other/step/src/express/dict.c,
	  src/other/step/src/express/entity.c,
	  src/other/step/src/express/error.c,
	  src/other/step/src/express/expr.c,
	  src/other/step/src/express/express.c,
	  src/other/step/src/express/fedex.c,
	  src/other/step/src/express/hash.c,
	  src/other/step/src/express/lexact.c,
	  src/other/step/src/express/linklist.c,
	  src/other/step/src/express/memory.c,
	  src/other/step/src/express/object.c,
	  src/other/step/src/express/resolve.c,
	  src/other/step/src/express/schema.c,
	  src/other/step/src/express/scope.c,
	  src/other/step/src/express/stmt.c,
	  src/other/step/src/express/symbol.c,
	  src/other/step/src/express/type.c,
	  src/other/step/src/express/variable.c:
	  use scl_memmgr in express; SCL git 82c84e7 and 4d6d249

2012-06-13 21:13  brlcad

	* [r51103] src/libbu/argv.c, src/libbu/basename.c,
	  src/libbu/bitv.c, src/libbu/color.c, src/libbu/ctype.c,
	  src/libbu/lex.c:
	  since the ctype API is often implemented as macros where the
	  parameter becomes an array index, avoid a gcc 4.1.3 warning about
	  using a char for the array index (auto-promoted). cast to int.

2012-06-13 21:10  starseeker

	* [r51102] src/tclscripts/rtwizard/rtwizard.tcl:
	  taskkill appears to need some extra arguments to wipe out the
	  headless fbserv on Windows.

2012-06-13 20:41  starseeker

	* [r51101] src/tclscripts/rtwizard/rtwizard.tcl:
	  Handle port number being suppled as argument to -F

2012-06-13 19:33  starseeker

	* [r51100] src/tclscripts/lib/RtImage.tcl:
	  Only pull image from framebuffer if we have to - seems to speed
	  up rtimage script in simple color-only cases.

2012-06-13 19:10  bob1961

	* [r51099] src/tclscripts/lib/RtImage.tcl:
	  More shinola for Windows.

2012-06-13 18:34  starseeker

	* [r51098] BUGS:
	  Add note about metaball tessellation bug

2012-06-13 17:16  n_reed

	* [r51097] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  eliminate a temp buffer; SCL git 1cc2774

2012-06-13 16:33  n_reed

	* [r51096] src/other/step.dist,
	  src/other/step/src/clstepcore/ExpDict.cc,
	  src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/clstepcore/ExpDict.inline.cc,
	  src/other/step/src/clutils/CMakeLists.txt,
	  src/other/step/src/clutils/scl_char_str_list.cc,
	  src/other/step/src/clutils/scl_char_str_list.h,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  Apply SCL git 3fd2222 which removes scl_char_str_list class, but
	  std::vector makes a better replacement than std::deque.

2012-06-13 16:27  starseeker

	* [r51095] NEWS:
	  Bob fixed a bug in libicv that was causing pix files to be
	  generated with corrupted data on Windows.

2012-06-13 16:13  bob1961

	* [r51094] src/libicv/fileformat.c:
	  Added an O_BINARY flag to the call to open() in
	  icv_image_save_open(). This fixes a breakage on windows.

2012-06-13 15:15  n_reed

	* [r51093] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc,
	  src/other/step/src/fedex_plus/multpass.c:
	  break up generated strings; SCL git 212c114

2012-06-13 13:03  bob1961

	* [r51092] src/libged/rtwizard.c:
	  Needs rtwizard.bat for windows.

2012-06-13 13:01  starseeker

	* [r51091] src/libged/rtwizard.c:
	  Fix perspective handling in rtwizard.c

2012-06-13 12:45  starseeker

	* [r51090] src/tclscripts/rtwizard/rtwizard.tcl:
	  Fix rtwizard.tcl for case where multiple .g args are specified
	  (toplevel components may have a .g name)

2012-06-13 11:30  tbrowder2

	* [r51089] src/anim/anim_track.1, src/conv/dbclean.1,
	  src/fbed/fbed.1, src/gtools/remapid.1, src/irprep/firpass.1,
	  src/irprep/ir-X.1, src/irprep/irdisp.1, src/irprep/pictx.1,
	  src/irprep/secpass.1, src/irprep/shapefact.1,
	  src/irprep/showtherm.1, src/nirt/showshot.1, src/remrt/remrt.1,
	  src/rt/reshoot.1, src/rt/rt_bot_faces.1, src/rt/rtg3.1,
	  src/rt/rthide.1, src/rt/rtscale.1, src/rttherm/rttherm.1,
	  src/util/asc-pl.1, src/util/bary.1, src/util/buffer.1,
	  src/util/dunnsnap.1, src/util/loop.1, src/util/pixcut.1,
	  src/util/pl-tek.1, src/util/plrot.1, src/util/random.1:
	  correct errors found by Eric Raymond's doclifter, tidy some
	  spacing and formats

2012-06-13 11:27  tbrowder2

	* [r51088] TODO:
	  add list of 'bad' man pages

2012-06-13 01:55  brlcad

	* [r51087] src/adrt/isst.bat:
	  consistency with the other .bat scripts, pass all arguments
	  instead of just the first

2012-06-13 01:53  brlcad

	* [r51086] src/librt/primitives/bot/tie.c:
	  memset for simplicity and more future-proof

2012-06-13 01:44  brlcad

	* [r51085] src/archer/archer.bat:
	  follow suit with rtwizard.bat, pass all arguments to archer. not
	  just the first.

2012-06-13 01:44  brlcad

	* [r51084] src/mged/mged.bat:
	  there is no -g option to mged any more. plus, pass all arguments
	  to mged if any (same as rtwizard.bat) instead of just the first
	  one.

2012-06-13 00:56  starseeker

	* [r51083] src/tclscripts/rtwizard/rtwizard.bat:
	  More tweaks to rtwizard.bat

2012-06-12 21:48  starseeker

	* [r51082] src/tclscripts/rtwizard/rtwizard.bat:
	  Don't want to exit after running rtwizard.bat, now that there is
	  a viable command line mode.

2012-06-12 21:32  tbrowder2

	* [r51081] src/fbserv/fbserv.1:
	  work around errors noted by doclifter

2012-06-12 21:19  starseeker

	* [r51080] regress/CMakeLists.txt:
	  dsp-common.sh not in repository...

2012-06-12 20:54  anrgmrty

	* [r51079] src/conv/g-voxel.c:
	  g-voxel.c has been modified to shoot multiple rays per
	  voxel(raysPerVoxel), unnecessary variables removed

2012-06-12 20:08  n_reed

	* [r51078] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/selects.c:
	  Allocate aggregate members on heap. SCL git 809e1dd, 260fd55, and
	  e421f70.

2012-06-12 20:03  tbrowder2

	* [r51077] regress/CMakeLists.txt, regress/Makefile.am,
	  regress/dsp.sh, regress/dsp/dsp-1-1.asc, regress/dsp/dsp-1-2.asc,
	  regress/dsp/dsp-2-1.asc, regress/dsp/dsp-2-2.asc,
	  regress/dsp/dsp-2-3.asc, regress/dsp/dsp-2-4.asc,
	  regress/dsp/dsp-2-5.asc, regress/dsp/dsp-3-1.asc,
	  regress/dsp/dsp-3-2.asc, regress/dsp/dsp-3-3.asc,
	  regress/dsp/dsp-3-4.asc, regress/dsp/dsp-3-5.asc,
	  regress/dsp/dsp-3-6.asc, regress/dsp/dsp-3-7.asc,
	  regress/dsp/dsp-3-8.asc, regress/dsp/run-dsp-case-set-0.sh,
	  regress/dsp/run-dsp-case-set-1.sh,
	  regress/dsp/run-dsp-case-set-2.sh,
	  regress/dsp/run-dsp-case-set-3.sh:
	  fill in preliminary dsp regressions tests for 2x2 and 3x3 cases;
	  null case and 1x1 cases need work (if they can be done at all
	  with current state of mged which seems to balk at creating such
	  corner cases)

2012-06-12 19:59  erikgreenwald

	* [r51076] src/librt/primitives/bot/tie.c:
	  0 out the treewalk stack

2012-06-12 19:16  bob1961

	* [r51075] src/tclscripts/archer/Archer.tcl,
	  src/tclscripts/archer/ArcherCore.tcl:
	  Work toward not using RtControl. Also tweaked things a bit to
	  better control autosizing when using the rtwizard modes.

2012-06-12 18:53  n_reed

	* [r51074] src/other/step/include/express/object.h,
	  src/other/step/include/express/type.h,
	  src/other/step/src/express/type.c,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/selects.c:
	  remove 'backwards compatiblity' symbols; SCL git 1481950 and
	  a63ac73

2012-06-12 18:40  bob1961

	* [r51073] src/tclscripts/lib/Accordian.tcl:
	  Added the -padding option.

2012-06-12 18:22  n_reed

	* [r51072] src/other/step/include/express/express.h,
	  src/other/step/src/express/expr.c,
	  src/other/step/src/express/express.c:
	  Warn about indexing binary types instead of failing. Allows
	  fedex_plus to produce output for ap221 and ap235 express schemas.
	  SCL git 4cd7e7c.

2012-06-12 18:22  starseeker

	* [r51071] src/tclscripts/rtwizard/rtwizard.tcl:
	  look for libtclcad and libdm in the right place on Windows
	  (really need 'package require' for BRL-CAD libs...)

2012-06-12 17:56  n_reed

	* [r51070] src/other/step/include/express/scope.h,
	  src/other/step/src/express/expparse.y,
	  src/other/step/src/express/resolve.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  put enums in separate table; SCL git c415e49

2012-06-12 17:36  n_reed

	* [r51069] src/other/step/src/cldai/sdaiDaObject.h,
	  src/other/step/src/fedex_plus/classes.c:
	  Borland-specific stuff from SCL git c0c423c and 3a9fa99.

2012-06-12 16:50  n_reed

	* [r51068] src/conv/step/MeasureValue.cpp,
	  src/conv/step/PCurveOrSurface.cpp,
	  src/other/step/src/cldai/sdaiBinary.cc,
	  src/other/step/src/cldai/sdaiBinary.h,
	  src/other/step/src/cldai/sdaiString.cc,
	  src/other/step/src/cldai/sdaiString.h,
	  src/other/step/src/clstepcore/read_func.cc,
	  src/other/step/src/clutils/errordesc.cc,
	  src/other/step/src/clutils/errordesc.h:
	  Have SDAI_String and SDAI_Binary wrap std::string rather than
	  inherit from it. SCL git 82898d7.

2012-06-12 16:26  n_reed

	* [r51067] src/other/step/src/express/expr.c,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  ws/style from SCL git 09f3472 and d94a449

2012-06-12 16:08  n_reed

	* [r51066] src/other/step/src/express/expr.c:
	  Warn about indexing a select with mixed base types. SCL git
	  67f8897.

2012-06-12 16:00  bob1961

	* [r51065] src/tclscripts/archer/Archer.tcl,
	  src/tclscripts/archer/ArcherCore.tcl,
	  src/tclscripts/archer/images/CMakeLists.txt,
	  src/tclscripts/archer/images/rtimage.png:
	  Added a new interface to Archer for creating rtwizard types of
	  images.

2012-06-12 15:57  bob1961

	* [r51064] src/libtclcad/tclcad_obj.c, src/tclscripts/lib/Ged.tcl:
	  Provided a tcl interface to the new rtwizard functionality in
	  libged.

2012-06-12 15:50  bob1961

	* [r51063] include/ged.h, src/libged/CMakeLists.txt,
	  src/libged/rtwizard.c:
	  Added a wrapper for calling rtwizard from libged.

2012-06-12 15:44  bob1961

	* [r51062] src/tclscripts/lib/Accordian.tcl:
	  Removed debug statement. Added a state argument indicating
	  whether or not a different button was pressed to the calls to the
	  toggle panel callbacks.

2012-06-12 11:51  tbrowder2

	* [r51061] regress/dsp:
	  add dir to segregate multiple dsp tests

2012-06-11 23:26  starseeker

	* [r51060] misc/CMake/BRLCAD_CMakeFiles.cmake:
	  Ignore a couple more add_library flags (should fix error Mesut is
	  encountering using FindQt.cmake)

2012-06-11 20:09  r_weiss

	* [r51059] src/tclscripts/mged/grouper.tcl:
	  Updates to the mged 'gr/grouper' command. Made the listing of
	  selected objects optional. Fixed a bug where the script would
	  hang when a large number of objects (ie vertices) were selected.
	  Removed unnecessary logic.

2012-06-11 17:12  n_reed

	* [r51058] src/other/step/include/express/type.h,
	  src/other/step/src/express/expr.c:
	  handle indexing on generics; SCL git ed76f0b

2012-06-11 16:49  n_reed

	* [r51057] src/other/step/src/express/expr.c,
	  src/other/step/src/fedex_plus/selects.c:
	  cleanup/ws from SCL git 1da31f6 and 3aee5f3

2012-06-11 04:28  n_reed

	* [r51056] src/other/step/src/fedex_plus/classes_misc.c:
	  suppress return warning; SCL git f688f2a

2012-06-11 04:13  n_reed

	* [r51055] src/other/step/src/express/fedex.c:
	  add process.h for getpid on windows; SCL git 870edbf

2012-06-10 19:17  r_weiss

	* [r51054] src/other/libregex/engine.c, src/other/libregex/regex.h,
	  src/other/libregex/regex2.h, src/other/libregex/regexec.c:
	  Updates to libregex to allow the mged/archer 'red' command to
	  work on 64bit windows. Updated files in 'src/other/libregex/' ...
	  'regex.h' 'regex2.h' 'regexec.c' and 'engine.c'.

2012-06-09 16:29  tbrowder2

	* [r51053] HACKING:
	  grammar

2012-06-09 13:58  tbrowder2

	* [r51052] src/anim/anim_sort.1:
	  tidy spacing, correct errors found by doclifter

2012-06-09 13:57  tbrowder2

	* [r51051] src/anim/anim_track.1:
	  tidy spacing, correct errors found by doclifter, correct spelling
	  of 'catenary'

2012-06-09 13:56  tbrowder2

	* [r51050] src/conv/nmg/asc-nmg.1:
	  tidy spacing, correct errors found by doclifter

2012-06-09 13:55  tbrowder2

	* [r51049] src/conv/viewpoint-g.1:
	  tidy spacing, correct errors found by doclifter

2012-06-09 13:55  tbrowder2

	* [r51048] src/conv/fast4-g.1:
	  tidy spacing, correct errors found by doclifter

2012-06-09 13:54  tbrowder2

	* [r51047] src/conv/dbclean.1:
	  tidy spacing, correct errors found by doclifter

2012-06-09 13:53  tbrowder2

	* [r51046] src/fb/cell-fb.1:
	  tidy spacing, correct errors found by doclifter

2012-06-09 13:40  tbrowder2

	* [r51045] src/anim/anim_track.c, src/anim/cattrack.c:
	  typo

2012-06-09 11:31  tbrowder2

	* [r51044] src/conv/CMakeLists.txt, src/conv/Makefile.am,
	  src/conv/asc/asc2g.1:
	  add man page for asc2g

2012-06-09 11:27  tbrowder2

	* [r51043] src/conv/asc/g2asc.1:
	  make man page references consistent with their parens, change rsh
	  to ssh, tidy synopsis format

2012-06-09 11:19  tbrowder2

	* [r51042] src/conv/asc/asc2pix.1, src/conv/asc/pix2asc.1:
	  make man page references consistent with their parens, tidy
	  synopsiz format

2012-06-09 00:11  tbrowder2

	* [r51041] src/anim/anim_script.1:
	  remove invalid markup

2012-06-09 00:07  tbrowder2

	* [r51040] bench/benchmark.1:
	  remove invalid markup

2012-06-08 23:08  tbrowder2

	* [r51039] src/nirt/showshot.1, src/util/bary.1, src/util/hex.1,
	  src/util/imgdims.1, src/util/pixborder.1, src/util/pixclump.1,
	  src/util/pixdsplit.1, src/util/pl-X.1, src/util/pl-pl.1,
	  src/util/pl-ps.1, src/util/pl-tek.1, src/util/terrain.1:
	  make standard man page headers

2012-06-08 22:37  n_reed

	* [r51038] src/other/step/include/express/express.h,
	  src/other/step/src/clstepcore/Registry.inline.cc,
	  src/other/step/src/clstepcore/STEPattribute.cc:
	  warning fixes from SCL git 07ed8f6, 0aa9b5d, and 2b0da3f

2012-06-08 22:31  tbrowder2

	* [r51037] src/gtools/g_lint.1:
	  make standard header

2012-06-08 22:29  tbrowder2

	* [r51036] src/gtools/g_diff.1:
	  make standard header

2012-06-08 22:26  tbrowder2

	* [r51035] src/conv/vdeck/vdeck.1:
	  change to standard header form

2012-06-08 20:54  starseeker

	* [r51034] regress/CMakeLists.txt, regress/red.sh:
	  Add combination with matrix to red regression testing.

2012-06-08 19:41  tbrowder2

	* [r51033] TODO:
	  add suggestion

2012-06-08 19:35  crdueck

	* [r51032] TODO:
	  note to add per-face analysis of primitives like tgc, arb to
	  their analyze commands in libged

2012-06-08 19:29  crdueck

	* [r51031] src/libged/analyze.c:
	  updated analyze_tgc() to use the new callbacks for tgc

2012-06-08 19:26  crdueck

	* [r51030] src/librt/primitives/tgc/tgc.c:
	  factored section of code which determines specific type of tgc.
	  added rt_tgc_surf_area(), missing cases for REC, TEC due to lack
	  of an exact formula

2012-06-08 19:19  n_reed

	* [r51029] src/other/step/src/exppp/exppp.c,
	  src/other/step/src/express/expparse.y,
	  src/other/step/src/express/resolve.c,
	  src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/selects.c:
	  warning fixes from SCL git 7712b9b and 03fd892

2012-06-08 19:19  crdueck

	* [r51028] src/librt/primitives/table.c:
	  update table entries for tgc, rec to include new callback
	  functions

2012-06-08 19:06  tbrowder2

	* [r51027] doc/docbook/system/README:
	  refer to another example for a user command

2012-06-08 17:11  starseeker

	* [r51026] misc/CMake/BRLCAD_Targets.cmake:
	  Add DLL definitions to the executables using the libs.

2012-06-08 17:11  anrgmrty

	* [r51025] src/conv/g-voxel.c:
	  g-voxel.c - outputs file voxels.txt that gives a frame-by-frame
	  representation of present and absent voxels(1 means present)

2012-06-08 16:10  starseeker

	* [r51024] db/CMakeLists.txt:
	  Oops - be more careful about string substitution when subbing
	  CMAKE_CFG_INTDIR

2012-06-08 15:57  starseeker

	* [r51023] src/librt/primitives/ell/ell.c:
	  Initialize variables

2012-06-08 15:53  starseeker

	* [r51022] src/conv/intaval/glob.h, src/conv/intaval/read_dra.cpp,
	  src/conv/intaval/read_dra.h, src/conv/intaval/regtab.h,
	  src/conv/intaval/tgf-g.cpp:
	  Fix intaval header inclusion order - OSX Xcode compilation
	  triggered.

2012-06-08 15:36  jimhunt

	* [r51021] src/librtserver/rtserver.c:
	  Changed useair from 0 to 1 for MUVES 3

2012-06-08 14:15  starseeker

	* [r51020] misc/CMake/BRLCAD_Targets.cmake:
	  Try to improve management of DLL flags on Windows.

2012-06-08 14:14  starseeker

	* [r51019] misc/CMake/BRLCAD_Targets.cmake:
	  Whoops, committed too many files

2012-06-08 14:13  starseeker

	* [r51018] misc/CMake/BRLCAD_Targets.cmake,
	  misc/CMake/CompilerFlags.cmake:
	  Check the debug flags for both C and CXX

2012-06-08 14:11  starseeker

	* [r51017] CMakeLists.txt, sh/CMakeLists.txt:
	  It's COPYONLY, not COPY_ONLY

2012-06-08 13:22  starseeker

	* [r51016] bench/CMakeLists.txt:
	  Whoops - fix COPYONLY tag

2012-06-08 09:39  phoenixyjll

	* [r51015] src/librt/primitives/brep/brep_debug.cpp:
	  Skip the conversion of half when converting a comb. The implicit
	  primitive of half remains in the hierarchy.

2012-06-08 05:28  crdueck

	* [r51014] src/libged/analyze.c:
	  analyze_tor() now uses the new volume and surface area callbacks
	  for tor

2012-06-08 05:14  crdueck

	* [r51013] src/libged/analyze.c, src/librt/primitives/ell/ell.c:
	  analyze_ell() now uses the new volume and surface area callbacks
	  for ell. fixed typo in rt_ell_surf_area()

2012-06-08 04:51  r_weiss

	* [r51012] src/libged/red.c:
	  Update to mged/archer 'red' command to improve reliability on
	  windows. Added more type casting of arrays.

2012-06-08 04:39  crdueck

	* [r51011] src/librt/primitives/ell/ell.c:
	  found math error in current rt_ell_surf_area(), applied sf
	  3515075 with some modifications

2012-06-08 00:40  brlcad

	* [r51010] include/raytrace.h:
	  move the bundle shooter up with the others, mark them private

2012-06-07 23:55  starseeker

	* [r51009] NEWS:
	  Added support to the brlman script for viewing html versions of
	  man pages, either when explicitly requested via the -g (i.e.
	  graphical) option or (on platforms such as Windows) no man
	  command is available to view the traditional man page.

2012-06-07 23:53  starseeker

	* [r51008] NEWS:
	  Add support to brlman script for specifying section numbers -
	  e.g. brlman 1 rt will show the man page for the command line rt
	  tool and brlman n rt will show the man page for MGED's rt
	  command.

2012-06-07 23:46  starseeker

	* [r51007] bench/CMakeLists.txt, db/CMakeLists.txt,
	  doc/docbook/CMakeLists.txt, src/mged/CMakeLists.txt,
	  src/other/iwidgets/doc/CMakeLists.txt,
	  src/other/tcl/library/CMakeLists.txt,
	  src/other/tk/CMakeLists.txt, src/other/tktable/CMakeLists.txt:
	  Improve handling of file output locations in multi-configuration
	  situations.

2012-06-07 22:59  starseeker

	* [r51006] src/brlman/brlman.bat:
	  Fix brlman script on Windows - works now.

2012-06-07 22:14  crdueck

	* [r51005] src/librt/primitives/tor/tor.c:
	  fix rt_surf_area name

2012-06-07 22:02  n_reed

	* [r51004] src/other/step/src/exppp/exppp.c,
	  src/other/step/src/express/error.c,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/selects.c:
	  warning fixes from SCL git 166425a and dcdd77a

2012-06-07 21:52  starseeker

	* [r51003] CMakeLists.txt:
	  Remove debugging message

2012-06-07 21:51  crdueck

	* [r51002] src/librt/primitives/table.c:
	  updated rt_functab entries for tor, tgc, ell, and sph to include
	  new functions

2012-06-07 21:47  n_reed

	* [r51001] src/other/step/include/express/hash.h,
	  src/other/step/src/clutils/scl_hash.cc,
	  src/other/step/src/express/fedex.c,
	  src/other/step/src/express/hash.c,
	  src/other/step/src/fedex_plus/fedex_main.c:
	  warning fixes from SCL git 2179c8a and ca4940e

2012-06-07 21:43  crdueck

	* [r51000] src/librt/primitives/ell/ell.c:
	  made changes to rt_ell_sfa to comply with the new rt_functab
	  interface, some unrelated ws changes

2012-06-07 21:36  crdueck

	* [r50999] src/librt/primitives/table.c:
	  updated RT_DECLARE_INTERFACE() to include new primitive callback
	  functions for vol, surface area and centroid

2012-06-07 21:33  crdueck

	* [r50998] src/librt/primitives/tgc/tgc.c:
	  added general centroid function for tgc. missing case for tec,
	  need to confirm formula

2012-06-07 21:25  n_reed

	* [r50997] src/other/step/src/clstepcore/Registry.inline.cc,
	  src/other/step/src/clutils/scl_hash.cc,
	  src/other/step/src/clutils/scl_hash.h,
	  src/other/step/src/express/hash.c:
	  Prefix scl_hash routines with SCL_. SCL git 4740f4d and 737c53e.

2012-06-07 21:22  n_reed

	* [r50996] src/other/step/data/CMakeLists.txt,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  Have fedex_plus generate dll import/export symbols. SCL git
	  80208dc.

2012-06-07 19:52  n_reed

	* [r50995] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/clstepcore/read_func.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.h:
	  support comments in entities; SCL git 4ddce86

2012-06-07 19:38  starseeker

	* [r50994] CMakeLists.txt:
	  Make CMAKE_BUILD_TYPE case insensitive for Release and Debug

2012-06-07 19:17  n_reed

	* [r50993] src/other/step/src/fedex_plus/classes_misc.c:
	  fix buffer overrun based on SCL git 5e9dfd7

2012-06-07 18:29  n_reed

	* [r50992] src/other/step/include/express/error.h,
	  src/other/step/src/cleditor/CMakeLists.txt,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/cleditor/SdaiHeaderSchema.h,
	  src/other/step/src/cleditor/SdaiHeaderSchemaClasses.h,
	  src/other/step/src/cleditor/SdaiSchemaInit.h,
	  src/other/step/src/cleditor/cmdmgr.h,
	  src/other/step/src/cleditor/dispnode.h,
	  src/other/step/src/cleditor/dispnodelist.h,
	  src/other/step/src/cleditor/instmgr.h,
	  src/other/step/src/cleditor/mgrnode.h,
	  src/other/step/src/cleditor/mgrnodearray.h,
	  src/other/step/src/cleditor/mgrnodelist.h,
	  src/other/step/src/cleditor/needFunc.h,
	  src/other/step/src/cleditor/seeinfodefault.h,
	  src/other/step/src/clstepcore/Registry.h:
	  add dll export symbols to cleditor; SCL git 2e01a01, c771b27, and
	  0869e41.

2012-06-07 17:54  n_reed

	* [r50991] src/other/step/src/clstepcore/CMakeLists.txt,
	  src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/clstepcore/Registry.h,
	  src/other/step/src/clstepcore/STEPaggregate.h,
	  src/other/step/src/clstepcore/STEPattribute.h,
	  src/other/step/src/clstepcore/STEPattributeList.h,
	  src/other/step/src/clstepcore/STEPcomplex.h,
	  src/other/step/src/clstepcore/STEPundefined.h,
	  src/other/step/src/clstepcore/SingleLinkList.h,
	  src/other/step/src/clstepcore/complexSupport.h,
	  src/other/step/src/clstepcore/read_func.h,
	  src/other/step/src/clstepcore/sdai.h,
	  src/other/step/src/clstepcore/sdaiApplication_instance.h,
	  src/other/step/src/clstepcore/sdaiSelect.h:
	  add dll export symbols to clstepcore; SCL git 0705c50

2012-06-07 17:16  r_weiss

	* [r50990] src/librt/primitives/nmg/nmg_fuse.c:
	  Update to file 'nmg_fuse.c' function 'v_ptr_comp' which is used
	  by qsort within function 'nmg_model_edge_fuse'. This change was
	  to correct a potential bug.

2012-06-07 17:01  n_reed

	* [r50989] src/other/step/src/cldai/CMakeLists.txt,
	  src/other/step/src/cldai/sdaiApplication_instance_set.h,
	  src/other/step/src/cldai/sdaiDaObject.h,
	  src/other/step/src/cldai/sdaiEntity_extent.h,
	  src/other/step/src/cldai/sdaiEntity_extent_set.h,
	  src/other/step/src/cldai/sdaiEnum.h,
	  src/other/step/src/cldai/sdaiModel_contents.h,
	  src/other/step/src/cldai/sdaiModel_contents_list.h,
	  src/other/step/src/cldai/sdaiObject.h,
	  src/other/step/src/cldai/sdaiSession_instance.h,
	  src/other/step/src/cldai/sdaiString.h:
	  add dll export symbols to cldai; SCL git c409145

2012-06-07 16:22  starseeker

	* [r50988] CMakeLists.txt:
	  Try suppressing regeneration with Visual Studio. Thanks to the
	  2010 IDE prompting manually to reload every target after a CMake
	  run, it's just not viable to re-run CMake from within Visual
	  Studio.

2012-06-07 16:13  n_reed

	* [r50987] src/other/step/src/clutils/CMakeLists.txt,
	  src/other/step/src/clutils/Str.h,
	  src/other/step/src/clutils/dirobj.h,
	  src/other/step/src/clutils/errordesc.h,
	  src/other/step/src/clutils/gennode.h,
	  src/other/step/src/clutils/gennodearray.h,
	  src/other/step/src/clutils/gennodelist.h,
	  src/other/step/src/clutils/scl_hash.h:
	  add dll export symbols to clutils; SCL git 457d51e

2012-06-07 15:45  n_reed

	* [r50986] src/other/step/include/xgetopt.h,
	  src/other/step/src/fedex_plus/xgetopt.cc:
	  actually add getopt sources

2012-06-07 15:40  n_reed

	* [r50985] src/other/step/include/express/basic.h,
	  src/other/step/include/express/dict.h,
	  src/other/step/src/exppp/exppp.c,
	  src/other/step/src/express/fedex.c,
	  src/other/step/src/fedex_plus/CMakeLists.txt:
	  Add public domain getopt implementation. SCL git c3f9ff5,
	  dc302ea, and 2d26da7.

2012-06-07 14:21  bob1961

	* [r50984] include/raytrace.h, src/librt/mkbundle.c,
	  src/rt/rtshot.c:
	  Move export statements for rt_shootray_bundle() and
	  rt_raybundle_maker() to raytrace.h. This fixes a breakage on
	  Windows.

2012-06-07 14:19  tbrowder2

	* [r50983] src/conv/asc/pix2asc.c:
	  use printf for consistency

2012-06-07 14:18  tbrowder2

	* [r50982] src/conv/asc/pix2asc.c:
	  expand comments a tad

2012-06-07 13:52  starseeker

	* [r50981] src/tclscripts/man_browser.tcl:
	  fix indentation

2012-06-07 13:48  starseeker

	* [r50980] src/brlman/brlman.tcl, src/tclscripts/man_browser.tcl:
	  With a little help from Bob, the brlman graphical viewer now
	  shows just the man page in question. Also report the section
	  number in the Window title.

2012-06-07 12:34  brlcad

	* [r50979] NEWS:
	  tom added a manpage for asc2pix converter

2012-06-07 11:38  tbrowder2

	* [r50978] src/conv/CMakeLists.txt, src/conv/Makefile.am,
	  src/conv/asc/asc2pix.1:
	  add asc2pix man page for completeness

2012-06-07 11:34  tbrowder2

	* [r50977] src/conv/asc/pix2asc.1:
	  add another reference

2012-06-07 05:37  brlcad

	* [r50976] src/conv/obj-g.c:
	  constness doesn't affect sizeof(), so reduce

2012-06-07 05:32  brlcad

	* [r50975] src/librt/primitives/nmg/nmg_extrude.c:
	  convert to EQUAL() where we were faking it with a subtraction in
	  ZERO()

2012-06-07 05:30  brlcad

	* [r50974] src/librt/primitives/nmg/nmg_mk.c:
	  pointer address is defined to fit in a uintptr_t, use it instead
	  of size_t

2012-06-07 05:21  brlcad

	* [r50973] src/conv/iges/g-iges.c:
	  reduce lines, convert to bu_file_directory() instead of directly
	  calling stat()

2012-06-07 03:26  brlcad

	* [r50972] BUGS:
	  several hours debugging rt, but still can't find the cause of the
	  crash. document what I've been able to figure out so far (i.e.,
	  not much). summary seems to be a crash using the noise shader
	  (turb) due to corruption in libbn noise bookkeeping or parallel
	  memory management while rendering our sample terra.g model.

2012-06-07 02:52  brlcad

	* [r50971] src/libbn/noise.c:
	  convert from ZERO() to EQUAL()

2012-06-07 02:35  brlcad

	* [r50970] src/libbn/noise.c:
	  start with a bigger table size, use powers of two for better
	  memory alignment

2012-06-07 02:34  brlcad

	* [r50969] src/conv/asc/pix2asc.c:
	  don't need stdio.h with bio.h

2012-06-07 01:17  phoenixyjll

	* [r50968] src/librt/primitives/pipe/pipe_brep.cpp:
	  Duplicate the curves to avoid destruction failure.

2012-06-06 23:03  starseeker

	* [r50967] src/brlman/brlman.tcl:
	  Base brlman's behavior (Tk graphical or man command) on what's
	  actually available on the system.

2012-06-06 22:37  anrgmrty

	* [r50966] src/conv/g-voxel.c:
	  multiple rays per voxel allowed and some bugs fixed

2012-06-06 22:29  n_reed

	* [r50965] src/other/step/include/exppp/exppp.h:
	  more symbols for MSVC dll import/export; SCL git f853b99

2012-06-06 21:58  tbrowder2

	* [r50964] src/conv/asc/pix2asc.c:
	  localize var pix

2012-06-06 21:57  tbrowder2

	* [r50963] src/conv/asc/pix2asc.c:
	  delete unused var

2012-06-06 21:57  tbrowder2

	* [r50962] src/conv/asc/pix2asc.c:
	  delete unused var

2012-06-06 21:56  tbrowder2

	* [r50961] src/conv/asc/pix2asc.c:
	  localize i

2012-06-06 21:55  tbrowder2

	* [r50960] src/conv/asc/pix2asc.c:
	  delete unused var

2012-06-06 21:55  tbrowder2

	* [r50959] src/conv/asc/pix2asc.c:
	  use simpler print statement

2012-06-06 21:54  tbrowder2

	* [r50958] src/conv/asc/pix2asc.c:
	  make the 'test' valid

2012-06-06 21:54  tbrowder2

	* [r50957] src/conv/asc/pix2asc.c:
	  make the 'test' valid

2012-06-06 21:53  tbrowder2

	* [r50956] src/conv/asc/pix2asc.c:
	  remove unnecessary multiple tests; fail on the first; test is
	  just for Coverity

2012-06-06 21:44  n_reed

	* [r50955] src/other/step/include/express/alg.h,
	  src/other/step/include/express/basic.h,
	  src/other/step/include/express/caseitem.h,
	  src/other/step/include/express/dict.h,
	  src/other/step/include/express/entity.h,
	  src/other/step/include/express/error.h,
	  src/other/step/include/express/expr.h,
	  src/other/step/include/express/express.h,
	  src/other/step/include/express/hash.h,
	  src/other/step/include/express/lexact.h,
	  src/other/step/include/express/linklist.h,
	  src/other/step/include/express/memory.h,
	  src/other/step/include/express/object.h,
	  src/other/step/include/express/resolve.h,
	  src/other/step/include/express/schema.h,
	  src/other/step/include/express/scope.h,
	  src/other/step/include/express/stmt.h,
	  src/other/step/include/express/symbol.h,
	  src/other/step/include/express/type.h,
	  src/other/step/include/express/variable.h,
	  src/other/step/include/scl_export.h:
	  start adding symbols for MSVC dll import/export; SCL git ba12196

2012-06-06 21:17  starseeker

	* [r50954] src/brlman/brlman.tcl, src/tclscripts/man_browser.tcl:
	  Add option to launch html man page viewer in brlman. Needs a
	  little more work to properly customize the gui for this
	  application.

2012-06-06 20:39  brlcad

	* [r50953] src/libbn/noise.c:
	  ws comment cleanup

2012-06-06 20:32  brlcad

	* [r50952] src/libbn/noise.c:
	  debugging some odd corruption, index into etbl directly instead
	  of incrementing with the loop

2012-06-06 19:45  starseeker

	* [r50951] src/brlman/brlman.tcl:
	  whoops - helps to add the tcl file

2012-06-06 19:43  tbrowder2

	* [r50950] src/conv/asc/pix2asc.c:
	  add some ws, tidy for ease of reading

2012-06-06 19:43  brlcad

	* [r50949] HACKING:
	  there are too many exceptions to the rule that have never been an
	  issue (such as var[i+2] or for (i=1; ..), remove the space around
	  operators rule. the intent was and still is to avoid complex math
	  expressions that are error-prone to interpret without whitespace
	  around some of the operators that logically group together. don't
	  need to spend time reformatting, up to the author/editor's
	  discretion as long as the file is self-consistent.

2012-06-06 19:38  tbrowder2

	* [r50948] src/conv/asc/pix2asc.c:
	  ease legibility & maintenance with an intermediate var

2012-06-06 19:33  tbrowder2

	* [r50947] src/conv/asc/asc2pix.c:
	  more ws, style

2012-06-06 19:30  tbrowder2

	* [r50946] src/conv/asc/asc2pix.c:
	  more ws

2012-06-06 19:28  tbrowder2

	* [r50945] src/conv/asc/asc2pix.c:
	  more ws, style

2012-06-06 19:26  tbrowder2

	* [r50944] src/conv/asc/asc2pix.c:
	  ws, style

2012-06-06 19:25  tbrowder2

	* [r50943] src/conv/asc/asc2pix.c:
	  uppercase labels

2012-06-06 19:23  tbrowder2

	* [r50942] src/conv/asc/asc2pix.c:
	  add some comments and white space; adjust other ws for style

2012-06-06 19:21  brlcad

	* [r50941] src/libbn/noise.c:
	  initialize the pointer to NULL in case we end up returning it
	  without setting it.

2012-06-06 19:21  n_reed

	* [r50940] src/other/step/include/express/basic.h,
	  src/other/step/include/express/linklist.h,
	  src/other/step/src/clutils/dirobj.cc:
	  MSVC fixes from SCL git 6226717 and 879f509

2012-06-06 19:14  tbrowder2

	* [r50939] src/conv/asc/asc2pix.c:
	  remove unused var

2012-06-06 18:07  starseeker

	* [r50938] configure.ac, src/Makefile.am,
	  src/brlman/CMakeLists.txt, src/brlman/Makefile.am,
	  src/brlman/brlman.1, src/brlman/brlman.bat,
	  src/brlman/brlman.sh.in:
	  Checkpoint rework of brlman - no graphical component yet, but a
	  good start on the command line side. Thanks to Nick for the
	  minimal workaround for Tcl not being able to launch man
	  interactively.

2012-06-06 17:13  tbrowder2

	* [r50937] doc/docbook/articles/en/TEMPLATE.xml,
	  doc/docbook/system/mann/en/edit.xml:
	  correct grammar: it's => its (possessive form of 'it')

2012-06-06 16:57  tbrowder2

	* [r50936] TODO:
	  add suggested TODO

2012-06-06 16:49  tbrowder2

	* [r50935] src/util/png-pix.1:
	  correct name of program

2012-06-06 16:40  tbrowder2

	* [r50934] src/anim/anim_track.1, src/fb/fbpoint.1,
	  src/fb/fbscanplot.1, src/other/URToolkit/man/rleClock.1,
	  src/remrt/remrt.1, src/tab/tabinterp.1, src/util/bwmod.1,
	  src/util/pix-bw.1, src/util/pixinterp2x.1, src/util/png-bw.1:
	  correct grammar: it's => its (possessive form of 'it')

2012-06-06 15:27  d_rossberg

	* [r50933] src/conv/intaval/regtab.cpp, src/conv/intaval/regtab.h:
	  the clang warning was about the 'char* = ""' as parameter, the
	  correct declaration is 'const char* = ""'
	  changed the declaration and implementation accordingly

2012-06-06 14:08  starseeker

	* [r50932] TODO, src/Makefile.am, src/libanalyze/CMakeLists.txt,
	  src/libanalyze/Makefile.am, src/libbn/CMakeLists.txt,
	  src/libbn/Makefile.am, src/libbu/CMakeLists.txt,
	  src/libbu/Makefile.am, src/libcursor/CMakeLists.txt,
	  src/libcursor/Makefile.am, src/libdm/CMakeLists.txt,
	  src/libdm/Makefile.am, src/libfb/CMakeLists.txt,
	  src/libfb/Makefile.am, src/libfft/CMakeLists.txt,
	  src/libfft/Makefile.am, src/libgcv/CMakeLists.txt,
	  src/libgcv/Makefile.am, src/libged/CMakeLists.txt,
	  src/libged/Makefile.am, src/libicv/CMakeLists.txt,
	  src/libicv/Makefile.am, src/libmultispectral/CMakeLists.txt,
	  src/libmultispectral/Makefile.am, src/liboptical/CMakeLists.txt,
	  src/liboptical/Makefile.am, src/liborle/CMakeLists.txt,
	  src/liborle/Makefile.am, src/libpc/CMakeLists.txt,
	  src/libpc/Makefile.am, src/libpkg/CMakeLists.txt,
	  src/libpkg/Makefile.am, src/librt/CMakeLists.txt,
	  src/librt/Makefile.am, src/librtserver/Makefile.am,
	  src/libsysv/CMakeLists.txt, src/libsysv/Makefile.am,
	  src/libtclcad/CMakeLists.txt, src/libtclcad/Makefile.am,
	  src/libtermio/CMakeLists.txt, src/libtermio/Makefile.am,
	  src/libwdb/CMakeLists.txt, src/libwdb/Makefile.am,
	  src/vfont/CMakeLists.txt:
	  Bump version number on BRL-CAD libraries from 19 to 20

2012-06-06 13:35  brlcad

	* [r50931] src/librt/primitives/nmg/nmg_misc.c:
	  cleanup calling INIT_ZERO scope initializers instead of manually
	  initializing, for readability and a smidgen performance boost.
	  also add the slew of missing semicolons on vmath routines that
	  were pooching formatting. finally, remove the excessive logging
	  hyperbole!!!!!

2012-06-06 13:08  brlcad

	* [r50930] NEWS:
	  richard changed some tolerances that were preventing some pipe
	  bends from tesselating. he changed some compares from 0.0 to
	  SMALL_FASTF affecting 90 degree bends (untested) and pipes with
	  inner/outer diameters. he also relaxed near-zero comparison of
	  the normal (which affects linear segments).

2012-06-06 13:01  brlcad

	* [r50929] NEWS:
	  bob added a new select command to archer for picking objects via
	  the gui (using rects), richard then enabled the command for mged
	  by adding it to the command table

2012-06-06 12:52  brlcad

	* [r50928] TODO:
	  make sure facetize/ev work on windows

2012-06-06 12:50  brlcad

	* [r50927] src/librt/primitives/nmg/nmg_fuse.c:
	  er, they're floating point -- use EQUAL for comparison

2012-06-06 12:48  brlcad

	* [r50926] src/librt/primitives/nmg/nmg_fuse.c:
	  it's a sort callback, so it should be reporting when values are
	  equal too with a zero-return. undoubtedly related to the bogus
	  sorting reported in r49898.

2012-06-06 12:35  phoenixyjll

	* [r50925] src/librt/primitives/pipe/pipe_brep.cpp:
	  startedge might points to the wrong place if adding endegde
	  expands the capacity of the edge array, so we need to fix the
	  pointer.

2012-06-06 12:34  brlcad

	* [r50924] NEWS:
	  keith added initial support for importing assembly hierarchies to
	  step-g in r49049

2012-06-06 12:17  brlcad

	* [r50923] src/librt/bundle.c:
	  reorder to avoid forward declarations, move comment

2012-06-06 12:16  brlcad

	* [r50922] src/librt/librt_private.h:
	  declare rt_advance_to_next_cell and rt_plot_cell in the private
	  header since shoot and bundle call it, pointing out that they
	  shouldn't have the rt prefix

2012-06-06 12:13  brlcad

	* [r50921] TODO:
	  mged is the last remaining caller to wdb_init_obj/wdb_create_cmd
	  needing to be converted (though it should probably convert to
	  libged, not libtclcad)

2012-06-06 12:12  brlcad

	* [r50920] src/gtools/g_diff.c:
	  add fixme to remove wdb_get_tcl

2012-06-06 12:10  brlcad

	* [r50919] src/gtools/Makefile.am:
	  g_diff doesn't use libged, ged comes before rt

2012-06-06 12:09  brlcad

	* [r50918] src/gtools/CMakeLists.txt:
	  g_diff doesn't use libged

2012-06-06 12:09  brlcad

	* [r50917] src/gtools/g_diff.c:
	  convert g_diff over from wdb_init_obj/wdb_create_cmd to libtclcad
	  using to_open_tcl. this removes one of the last remaining
	  vestiges on wdb_obj (there's still a wdb_get_tcl call that needs
	  to be removed). convert interp global to upper while we're at it
	  since we added an interp param.

2012-06-06 11:00  erikgreenwald

	* [r50916] src/librt/primitives/bot/bot.c:
	  un-comment the 4/5 cases and add in the missing break. Related to
	  Cov354/490354

2012-06-06 01:26  starseeker

	* [r50915] doc/docbook/system/man1/en/rtwizard.xml:
	  Get the rtwizard man page closer to complete - still need
	  examples and review.

2012-06-06 00:36  crdueck

	* [r50913] src/librt/primitives/tgc/tgc.c:
	  added missing break statement

2012-06-05 23:12  crdueck

	* [r50912] src/librt/primitives/tgc/tgc.c:
	  added general volume function for tgc

2012-06-05 22:43  brlcad

	* [r50911] src/proc-db/CMakeLists.txt, src/proc-db/csgbrep.cpp:
	  don't punt. less effort to actually fix the problem, especially
	  when there was already a commit showing exactly how to fix a
	  narrowing conversion warning. in this case, even simpler since
	  the cast was wrong.

2012-06-05 22:29  n_reed

	* [r50910] src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  cleanup from SCL git 0bb182b and ed8474e

2012-06-05 22:03  n_reed

	* [r50909] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc,
	  src/other/step/src/fedex_plus/multpass.c:
	  cleanup from SCL git cb35164 and 1cfb41d

2012-06-05 21:51  starseeker

	* [r50908] doc/docbook/system/man1/en/rtwizard.xml:
	  More work on rtwizard man page.

2012-06-05 21:50  starseeker

	* [r50907] src/libgcv/wfobj/CMakeLists.txt:
	  Strict issue with obj-g as well

2012-06-05 21:46  brlcad

	* [r50906] src/conv/intaval/regtab.cpp, src/conv/intaval/regtab.h:
	  NULL is not the same thing at all as an emptry string, especially
	  with c++. convert to an empty std::string initializer instead.
	  hopefully not intentionally avoiding stl in api?

2012-06-05 21:36  starseeker

	* [r50905] src/other/clipper/clipper.hpp:
	  Clear clang warning

2012-06-05 21:34  starseeker

	* [r50904] src/conv/intaval/regtab.h:
	  Clear deprecated string conversion warning with clang

2012-06-05 20:38  n_reed

	* [r50903] src/conv/step/Factory.cpp,
	  src/conv/step/STEPWrapper.cpp, src/conv/step/SurfaceCurve.cpp,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  Put generated globals in a namespace. Namespace declaration
	  written to *Names.h. SCL git 88e9634, da0a395, and 3ed8797.

2012-06-05 19:26  cprecup

	* [r50902] misc/CMake/FindADAPTAGRAMS.cmake:
	  Corrected header

2012-06-05 19:13  starseeker

	* [r50901] src/tclscripts/rtwizard/rtwizard.tcl:
	  Add support for explicitly setting the view model. Also wait more
	  robustly for fbserv to come up before trying to raytrace, and fix
	  one of the -F handling cases in framebuffer type option parsing.

2012-06-05 18:00  cprecup

	* [r50900] src/conv/CMakeLists.txt:
	  Uncommented harmless line for setting the source files
	  corresponding to libavoid

2012-06-05 17:57  cprecup

	* [r50899] src/conv/CMakeLists.txt:
	  Replaced find_library for libavoid with find_package

2012-06-05 17:56  cprecup

	* [r50898] misc/CMake/FindADAPTAGRAMS.cmake:
	  Added helper script FindADAPTAGRAMS.cmake to check for libavoid's
	  existence as a system-installed library and mark as advanced the
	  set variables.

2012-06-05 17:26  starseeker

	* [r50897] src/tclscripts/rtwizard/rtwizard.tcl:
	  Use verbose flag

2012-06-05 17:22  starseeker

	* [r50896] src/tclscripts/rtwizard/rtwizard.tcl:
	  Need to be able to specify both port and framebuffer type on
	  command line for rtwizard

2012-06-05 15:34  n_reed

	* [r50895] src/other/step/src/clstepcore/STEPattribute.inline.cc:
	  ensure constructors receive non-null AttrDescriptor; SCL git
	  e547807

2012-06-05 15:30  starseeker

	* [r50894] src/conv/raw/CMakeLists.txt:
	  Grr - still getting strict issues with raw-g. Flag it for now.

2012-06-05 15:20  n_reed

	* [r50893] src/other/step/src/clstepcore/STEPattribute.inline.cc:
	  Use UNKNOWN_TYPE when an attribute has no NonRefType. SCL git
	  6aa4695.

2012-06-05 15:10  n_reed

	* [r50892] src/other/step/src/fedex_plus/classes.c:
	  generate spaces instead of tabs; SCL git 86b9f12

2012-06-05 14:26  starseeker

	* [r50891] src/conv/CMakeLists.txt:
	  Don't print messages that will repeat every time - for message
	  handling, this should be turned into a FindADAPTAGRAMS.cmake file
	  (see misc/CMake/FindUTAHRLE.cmake for an idea of how to proceed)

2012-06-05 14:17  starseeker

	* [r50890] src/proc-db/CMakeLists.txt:
	  Oops - not a mixed source exec, just use NOSTRICT

2012-06-05 13:51  starseeker

	* [r50889] src/proc-db/CMakeLists.txt:
	  C++ strict issue - csgbrep.cpp:401:5: error: narrowing conversion
	  of '-1759248401l' from 'long int' to 'uint32_t {aka unsigned
	  int}' inside { } is ill-formed in C++11 [-Werror=narrowing] -
	  turn off CXX strict until resolved.

2012-06-05 13:08  starseeker

	* [r50888] src/conv/CMakeLists.txt:
	  Add NOSTRICT to 3dm-g until we can get the warning(s) sorted out

2012-06-05 12:18  phoenixyjll

	* [r50887] src/librt/primitives/pipe/pipe_brep.cpp:
	  There used to be bugs with the colinear parts.

2012-06-05 11:18  erikgreenwald

	* [r50886] src/librt/db5_io.c:
	  note that >>3 is to avoid overflow on the <<=3 in the next
	  statement

2012-06-05 11:05  brlcad

	* [r50885] src/proc-db/CMakeLists.txt:
	  interestingly enough, only two of the four opennurbs-using proc
	  db apps fail strict compilation due to opennurbs headerness.
	  still, disable strict for those two with a comment as to what the
	  issue is so compile may succeed (since a fix to quell the warning
	  was non-obvious)

2012-06-05 10:45  brlcad

	* [r50884] src/conv/3dm/3dm-g.cpp:
	  avoid c++ warnings about narrowing conversion within the curly
	  braces. cast accordingly outside initialization.

2012-06-05 07:59  d_rossberg

	* [r50883] src/anim/anim_hardtrack.c:
	  fixed a crash during build cause by typing error

2012-06-05 04:36  brlcad

	* [r50882] src/anim/anim_hardtrack.c:
	  use scope initialization where we can

2012-06-05 04:29  brlcad

	* [r50881] src/librt/db5_io.c:
	  use BU_EXTERNAL_INIT_ZERO scope initialization instead of
	  explicit init.

2012-06-05 04:27  brlcad

	* [r50880] src/libbu/parse.c:
	  use %zu for size_t instead of casting through long int

2012-06-05 04:15  brlcad

	* [r50879] src/libged/get_solid_kp.c:
	  re-enable the 'temporarily disabled' support for pipe
	  keypointing.

2012-06-05 04:00  brlcad

	* [r50878] src/libged/view_obj.c:
	  VINIT_ZERO scope initialization instead of explicit VSETALL

2012-06-05 03:59  brlcad

	* [r50877] src/libged/view_obj.c:
	  VINIT_ZERO instead of numeric literals

2012-06-05 03:57  brlcad

	* [r50876] src/conv/obj-g.c:
	  using bu_calloc() means we don't have to check for null. coverity
	  was complaining because we were already checking null in one
	  place implying that we need to check for it in other places, but
	  the real fix is to simply not check for null anywhere. (cid 1757,
	  r48342)

2012-06-05 03:52  brlcad

	* [r50875] src/liboptical/sh_scloud.c:
	  VINIT_ZERO instead of literals

2012-06-05 03:47  brlcad

	* [r50874] src/mged/mged.c:
	  now that coverity quellage has fully disabled it, remove the
	  half-assed log_event() mged event logging interface. simplify
	  maintainability on a feature rarely, if ever, used and costly to
	  keep.

2012-06-05 03:36  brlcad

	* [r50873] src/mged/setup.c:
	  cliff removed hideline.c in r48460 when it came up with a
	  coverity maintenance cost, but this reference to f_hidline()
	  lingered. upon investigating, it was commented out back in 3.1 by
	  phil with a note saying it doesn't work everyone, so sounds good
	  to finally fully kill it regardless. the command supposedly
	  produced a plotfile hidden line style rendering.

2012-06-05 03:34  r_weiss

	* [r50872] src/libged/red.c:
	  Updated the mged/archer 'red' command. Improved editing of
	  matrices in Windows.

2012-06-05 02:09  brlcad

	* [r50871] src/conv/raw/CMakeLists.txt:
	  nostrict no longer needed? compiles clean with gcc 4.6.3

2012-06-05 02:07  brlcad

	* [r50870] src/conv/raw/RegionList.h, src/conv/raw/raw-g.cpp:
	  give getPoint() a little more to do by passing a std::string.
	  make toValue() static since inline is but a hint. quells gcc
	  inline warnings.

2012-06-05 01:26  starseeker

	* [r50869] src/conv/raw/CMakeLists.txt, src/conv/raw/raw-g.cpp:
	  Reduces (but doesn't eliminate) strict compilation failures in
	  raw-g

2012-06-05 01:02  brlcad

	* [r50868] src/conv/intaval/regtab.cpp, src/conv/intaval/regtab.h:
	  combine constructors with default parameters and make the latter
	  be non-inline. gcc was unwilling to inline it anyways given the
	  WMEMBER_INIT() expansions are relatively lengthy.

2012-06-05 00:45  starseeker

	* [r50867] src/conv/raw/raw-g.cpp:
	  Assign toValue to a variable

2012-06-05 00:22  brlcad

	* [r50866] src/librt/bbox.c, src/librt/db5_io.c,
	  src/librt/db5_scan.c, src/librt/db5_types.c,
	  src/librt/db_fullpath.c, src/librt/db_tree.c, src/librt/dir.c,
	  src/librt/opennurbs_ext.cpp, src/librt/opennurbs_ext.h,
	  src/librt/prep.c, src/librt/primitives/arbn/arbn.c,
	  src/librt/primitives/ars/ars.c, src/librt/primitives/bot/bot.c,
	  src/librt/primitives/bot/btg.c,
	  src/librt/primitives/bot/g_bot_include.c,
	  src/librt/primitives/bot/tie_kdtree.c,
	  src/librt/primitives/cline/cline.c,
	  src/librt/primitives/dsp/dsp.c, src/librt/primitives/ehy/ehy.c,
	  src/librt/primitives/ell/ell_brep.cpp,
	  src/librt/primitives/epa/epa.c, src/librt/primitives/eto/eto.c,
	  src/librt/primitives/extrude/extrude.c,
	  src/librt/primitives/extrude/extrude_brep.cpp,
	  src/librt/primitives/hf/hf.c, src/librt/primitives/hyp/hyp.c,
	  src/librt/primitives/nmg/nmg_bool.c,
	  src/librt/primitives/nmg/nmg_ck.c,
	  src/librt/primitives/nmg/nmg_class.c,
	  src/librt/primitives/nmg/nmg_copy.c,
	  src/librt/primitives/nmg/nmg_extrude.c,
	  src/librt/primitives/nmg/nmg_fuse.c,
	  src/librt/primitives/nmg/nmg_index.c,
	  src/librt/primitives/nmg/nmg_info.c,
	  src/librt/primitives/nmg/nmg_inter.c,
	  src/librt/primitives/nmg/nmg_manif.c,
	  src/librt/primitives/nmg/nmg_misc.c,
	  src/librt/primitives/nmg/nmg_mk.c,
	  src/librt/primitives/nmg/nmg_mod.c,
	  src/librt/primitives/nmg/nmg_plot.c,
	  src/librt/primitives/nmg/nmg_rt_isect.c,
	  src/librt/primitives/nmg/nmg_tri.c,
	  src/librt/primitives/rec/rec.c,
	  src/librt/primitives/revolve/revolve_brep.cpp,
	  src/librt/primitives/rpc/rpc.c,
	  src/librt/primitives/superell/superell.c,
	  src/librt/primitives/tor/tor.c, src/librt/tree.c:
	  ws cleanup, mostly trailing space junk from suboptimally
	  configured editors. :)

2012-06-05 00:18  cprecup

	* [r50865] src/conv/CMakeLists.txt:
	  added check for libavoid's existence as a system-installed
	  library

2012-06-04 21:59  brlcad

	* [r50864] NEWS:
	  erik fixed a crash from icv_image when writing to a file failed.
	  (rewording r48211)

2012-06-04 21:15  brlcad

	* [r50863] TODO:
	  release issue, brep spatial partitioning sadness

2012-06-04 21:10  starseeker

	* [r50862] src/librt/CMakeLists.txt:
	  Add NOSTRICTCXX to librt for the moment - getting a warning when
	  compiled with optimization flags

2012-06-04 21:08  starseeker

	* [r50861] regress/Makefile.am:
	  Update regress Makefile.am clean list

2012-06-04 21:06  starseeker

	* [r50860] regress/solids.sh:
	  Try an alternative means of feeding the mged scripts - cat+sh
	  doesn't mix well with the odd pathnames regression test.

2012-06-04 20:17  brlcad

	* [r50859] HACKING:
	  doc/docbook also has a readme

2012-06-04 20:02  brlcad

	* [r50858] doc/docbook/README:
	  we don't have any hungarian docs. the hy translation is armenian.

2012-06-04 19:57  brlcad

	* [r50857] NEWS:
	  minor rewording. tom fixed rtweight to handle blanks, comment
	  lines, malformed lines, and the modified NIST materials file;
	  problem was fscanf stops scanning on input at first error and
	  thus the infinite loop: using fgets forces each line to be read;
	  an extra buffer is needed in that case to handle the line input
	  versus the sscan buffer for reading tokens (but I didn't try
	  using the same buffer for both). he also improved rtweight
	  behavior on windows by converting to bu_fgets() now reading unix
	  density files properly on windows and vice versa.

2012-06-04 19:53  brlcad

	* [r50856] src/rt/viewweight.c:
	  caps implies const, so convert to lower

2012-06-04 19:32  brlcad

	* [r50855] src/libged/gqa.c, src/rt/viewweight.c:
	  leave a note about rtweight's density file 32k index limitation
	  that browder noted in r48837. also worth noting that gqa
	  overcomes that limitation (but could also use some reuse
	  improvements.

2012-06-04 19:04  brlcad

	* [r50854] NEWS, src/libwdb/wdb.c:
	  fix a 7+ year old bug making 32-bit and 64-bit binary uniform
	  data objects (binunif). they were getting stored as 16-bit and
	  32-bit respectively. coverity noticed the unreachable 128-bit
	  condition, but the 'fix' in r48823 didn't catch the underlying
	  bit-offset error in the switch statement. commenting out the
	  128-bit case merely masked the problem further. fortunately, dsp
	  binunif and byte files (the two common use cases) are unaffected.

2012-06-04 18:36  brlcad

	* [r50853] NEWS:
	  bob fixed a bug in the edcodes command in r48741 where argc was
	  being incremented without changing av. overread detected by
	  coverity. would have made it hard to get help and probably caused
	  memory corruption.

2012-06-04 18:17  brlcad

	* [r50852] src/conv/CMakeLists.txt:
	  library ordering wrong, libtclcad is the highest-level lib so
	  should be listed first

2012-06-04 18:15  brlcad

	* [r50851] src/libged/preview.c:
	  add a readme about the static array that should become dynamic
	  memory

2012-06-04 16:22  starseeker

	* [r50850] src/conv/step/CMakeLists.txt:
	  step-g is fully C++, not mixed - use the plain NOSTRICT flag

2012-06-04 16:11  brlcad

	* [r50849] src/conv/step/PullbackCurve.cpp:
	  remove dead code instead of commenting it out. revision control
	  preserves what was there.

2012-06-04 16:07  starseeker

	* [r50848] misc/CMake/BRLCAD_Targets.cmake:
	  Rework C++ strict logic a bit.

2012-06-04 15:16  r_weiss

	* [r50847] src/conv/step/PullbackCurve.cpp:
	  Update to PullbackCurve.cpp to quiet build warnings.

2012-06-04 15:12  r_weiss

	* [r50846] src/conv/raw/RegionList.cpp:
	  Update to RegionList.cpp to fix build error.

2012-06-04 14:28  starseeker

	* [r50845] regress/CMakeLists.txt:
	  Add outputs from regression to clean list

2012-06-04 12:58  brlcad

	* [r50844] src/libpc/CMakeLists.txt:
	  libpc throws compilation warnings when building bundled boost due
	  to undefined symbols in their header fu

2012-06-04 12:12  bob1961

	* [r50843] src/tclscripts/lib/Accordian.tcl:
	  Added callbacks for when a panel is toggled open. Added a rename
	  command for renaming panels.

2012-06-04 09:42  phoenixyjll

	* [r50842] src/librt/opennurbs_ext.h,
	  src/librt/primitives/brep/brep_debug.cpp:
	  quell set-but-unused warnings.

2012-06-04 02:23  starseeker

	* [r50841] src/libpc/CMakeLists.txt:
	  update TODO in libpc

2012-06-04 02:21  starseeker

	* [r50840] CMakeLists.txt, misc/CMake/BRLCAD_CompilerFlags.cmake,
	  misc/CMake/BRLCAD_Targets.cmake, misc/CMake/BRLCAD_Util.cmake,
	  src/conv/step/CMakeLists.txt, src/libged/CMakeLists.txt:
	  By default, turn on STRICT for C++ as well as C files. Add a
	  specific option, NOSTRICTCXX, to allow targets to specifically
	  disable strict compilation for C++ files only (beneficial for
	  targets that use both C++ and C - allows the C to remain strict
	  enabled.)

2012-06-04 02:05  starseeker

	* [r50839] src/librt/primitives/brep/brep_debug.cpp:
	  default case doesn't use tmpname - fix for strict compilation

2012-06-04 00:19  cprecup

	* [r50838] src/conv/g-voxel.c:
	  set-but-unused warning for numVoxelX variable

2012-06-03 22:38  starseeker

	* [r50837] regress/CMakeLists.txt:
	  distcheck strikes again. Add new regression files to
	  regress/CMakeLists.txt

2012-06-03 22:30  brlcad

	* [r50836] src/conv/g-voxel.c:
	  quell set-but-unused warnings. coding complete means not stubbing
	  in variables, not adding until they're actually used.

2012-06-03 22:17  brlcad

	* [r50835] src/conv/g-voxel.c:
	  more cleanup, match our style. spaces after intrinsic keywords
	  and within comments.

2012-06-03 22:08  brlcad

	* [r50834] src/conv/g-voxel.c:
	  no spaces before semicolons

2012-06-03 22:08  brlcad

	* [r50833] src/conv/g-voxel.c:
	  ugh. looks like vim crapped all over the file. files should be
	  run through sh/ws.sh to remove trailing whitespace.

2012-06-03 22:06  starseeker

	* [r50832] misc/CMake/BRLCAD_CPackOptions.cmake.in:
	  consistency

2012-06-03 22:04  starseeker

	* [r50831] misc/CMake/BRLCAD_CPackOptions.cmake.in,
	  misc/CMake/Distcheck.cmake:
	  Make sure there aren't any stale source_archive_contents dirs
	  when creating packages

2012-06-03 21:56  brlcad

	* [r50830] src/libfb/tcl.c:
	  prevent a crash if we somehow try to configure a framebuffer that
	  has not yet been initialized. (crash reported by _fkr via irc
	  selecting Modes->Display\ Manager->Tk after opening a db)

2012-06-03 02:10  crdueck

	* [r50829] src/librt/primitives/table.c:
	  updated rt_functab entries for primitives to reflect changes in
	  r50828

2012-06-03 01:48  crdueck

	* [r50828] include/raytrace.h:
	  added pointers to new volume, surface area, and centroid callback
	  functions in functab struct. WIP

2012-06-02 23:15  tbrowder2

	* [r50827] regress/solids.sh, regress/tgms/dsp.dat,
	  regress/tgms/solids-simple.mged, regress/tgms/solids.mged:
	  extract TGM sources to external files, extract dsp data source to
	  external file; intent is to ease maintenance and debugging of
	  solids.sh

2012-06-02 19:41  tbrowder2

	* [r50826] src/util/gencolor.1:
	  correct grammar

2012-06-02 18:29  tbrowder2

	* [r50825] regress/solids-simplepix.asc, regress/solids.sh:
	  correct tgm and reference pix

2012-06-02 17:14  phoenixyjll

	* [r50824] src/librt/primitives/brep/brep_debug.cpp:
	  Fixed the wrong malloc size and free tmpname before returning.

2012-06-02 17:04  tbrowder2

	* [r50823] regress/solids.sh:
	  add a new, simple test that passses on 32-bit systems (tested on
	  Linux Mint LMDE 32-bit)

2012-06-02 17:03  tbrowder2

	* [r50822] regress/solids-simplepix.asc:
	  add another reference pix (asc format) for a new solids.sh test

2012-06-02 14:55  phoenixyjll

	* [r50821] src/librt/primitives/brep/brep_debug.cpp:
	  Deal with empty combs.

2012-06-02 01:35  r_weiss

	* [r50820] src/libged/red.c:
	  Update to mged/archer 'red' command to improve error reporting.

2012-06-01 22:44  tbrowder2

	* [r50819] src/conv/asc/g2asc.c:
	  ws, style

2012-06-01 21:30  anrgmrty

	* [r50818] src/conv/g-voxel.c:
	  This program prints out the voxels which are in(1) and which are
	  not(0) for each ray

2012-06-01 21:05  r_weiss

	* [r50817] include/bu.h:
	  Updated bu.h to allow test_vls_vprintf to build in visual studio
	  2008.

2012-06-01 21:04  r_weiss

	* [r50816] src/libbu/vls_internals.h:
	  Updated vls_internals.h to allow test_vls_vprintf to build in
	  visual studio 2008.

2012-06-01 19:55  n_reed

	* [r50815] src/other/step/src/express/lexact.c:
	  correct SCANsave_comment; SCL git c6bc7ec

2012-06-01 19:21  n_reed

	* [r50814] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/cleditor/STEPfile.inline.cc,
	  src/other/step/src/clstepcore/STEPattribute.cc,
	  src/other/step/src/clstepcore/STEPattribute.h,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/clstepcore/STEPcomplex.h,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.h:
	  Add strict flag to STEPread functions; affects handling of
	  missing attributes. SCL git de3495d and 373d415.

2012-06-01 19:15  starseeker

	* [r50813] regress/CMakeLists.txt:
	  Add more red regression outputs to clean

2012-06-01 19:06  r_weiss

	* [r50812] src/libged/kill.c:
	  Changed the 'ged_kill' function to not erase the ged result
	  string. This corrects the problem where, in some cases, error
	  messages were being erased.

2012-06-01 18:59  r_weiss

	* [r50811] src/libged/red.c:
	  Added more error checking to mged/archer 'red' command. Fixed a
	  one off problem which could cause issues.

2012-06-01 18:51  n_reed

	* [r50810] src/other/step/src/clstepcore/STEPattribute.cc:
	  Simplify STEPread a bit. SCL git 6871bc4.

2012-06-01 15:51  starseeker

	* [r50809] src/conv/Makefile.am:
	  Fix src/conv Makefile.am

2012-06-01 15:34  phoenixyjll

	* [r50808] sh/conversion.sh:
	  The whole elapsed time of each object is calculated, output in
	  %6.2f format.

2012-06-01 15:01  phoenixyjll

	* [r50807] src/libged/brep.c:
	  free memories and output duplication information correctly.

2012-06-01 14:59  phoenixyjll

	* [r50806] src/librt/primitives/brep/brep_debug.cpp:
	  handle some exceptions.

2012-06-01 14:54  phoenixyjll

	* [r50805] sh/conversion.sh:
	  the unevaluated conversion for comb has been implemented, change
	  conversion.sh accordingly.

2012-06-01 04:37  brlcad

	* [r50804] doc/README.Windows:
	  minor clean up, make interface agnostic

2012-06-01 04:22  brlcad

	* [r50803] src/librt/db5_types.c:
	  db5_is_boolean_attribute() and db_attr_add() are not public API,
	  don't need to be, so should be marked HIDDEN and can use a
	  simpler name

2012-06-01 04:17  brlcad

	* [r50802] src/librt/primitives/brep/brep_debug.cpp:
	  quell shadow warning

2012-06-01 04:03  brlcad

	* [r50801] src/other/step/AUTHORS:
	  don't believe I have any account names as morrison with stepcode
	  affiliation

2012-06-01 03:55  brlcad

	* [r50800] src/adrt/isst.h, src/adrt/isst_tcltk.c,
	  src/conv/g-obj.c, src/conv/g-shell-rect.c, src/conv/g4-g5.c,
	  src/conv/g5-g4.c, src/libicv/fileformat.c,
	  src/proc-db/surfaceintersect.h, src/rt/reshoot.c:
	  more header fixing

2012-06-01 03:45  brlcad

	* [r50799] src/libbn/randmt.c, src/libbu/whereis.c,
	  src/libdm/focus.c, src/libfb/if_X24.c,
	  src/libgcv/wfobj/obj_grammar_decls.h, src/libged/sphgroup.c,
	  src/liboptical/liboslrend.cpp, src/liboptical/liboslrend.h,
	  src/liboptical/render_svc.cpp, src/liboptical/render_svc.h,
	  src/librt/primitives/arb8/arb8.c,
	  src/librt/primitives/metaball/metaball.c,
	  src/librt/primitives/metaball/metaball.h,
	  src/librt/primitives/metaball/metaball_tri.c,
	  src/librt/primitives/revolve/revolve.h,
	  src/librt/primitives/xxx/xxx.h, src/libwdb/extrude.c,
	  src/libwdb/sketch.c:
	  fix headers. detected with:
	  for file in `find src/lib* \( -name \*.c -o -name \*.h \)` ; do
	  a=`basename $file | tr "a-z" "A-Z"` ; b=`head -1 $file | sed
	  's/[^-A-Z0-9_.]//g'` ; if test "x$a" != "x$b" ; then echo $file
	  \($a != $b\); fi ; done

2012-05-31 22:37  n_reed

	* [r50798] src/other/step/src/clstepcore/STEPattribute.cc,
	  src/other/step/src/clstepcore/STEPcomplex.cc:
	  better error printing; SCL git 99abb18 and 6b95067

2012-05-31 20:53  tbrowder2

	* [r50797] doc/README.Windows:
	  correct typo

2012-05-31 20:38  tbrowder2

	* [r50796] src/libbu/vls_vprintf.c:
	  remove spurious print statement

2012-05-31 19:41  n_reed

	* [r50795] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/clstepcore/read_func.cc,
	  src/other/step/src/clutils/Str.cc:
	  cleanup from SCL git c497168

2012-05-31 19:05  n_reed

	* [r50794] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/cleditor/STEPfile.inline.cc,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/clstepcore/STEPcomplex.h,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.h,
	  src/other/step/src/express/dict.c:
	  Another int/bool substitution. This is SCL git b277759; r50791
	  was actually SCL git 1b69382.

2012-05-31 18:52  tbrowder2

	* [r50793] regress/red.sh:
	  added a specific test for bug fix at rev 50521 (however, the test
	  may not be needed because a regression test using
	  src/libged/red.c at rev 50520, produced with a manual patch,
	  failed without the new test)

2012-05-31 18:40  n_reed

	* [r50792] src/other/step/src/fedex_plus/classes.c:
	  change return type to bool; SCL git 4dc0891

2012-05-31 18:23  n_reed

	* [r50791] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/cleditor/STEPfile.inline.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/clutils/dirobj.cc,
	  src/other/step/src/clutils/dirobj.h,
	  src/other/step/src/express/express.c:
	  Simplify filepath handling and use more std::string and bool. SCL
	  git 19a1bae and b277759.

2012-05-31 15:20  bob1961

	* [r50790] src/libtclcad/tclcad_obj.c:
	  Added a few bindings for rotating the view via the arrow keys.

2012-05-31 15:01  tbrowder2

	* [r50789] TODO:
	  oops, fix at r50521 not yet confirmed by regression test

2012-05-31 15:01  anrgmrty

	* [r50788] src/conv/CMakeLists.txt, src/conv/Makefile.am,
	  src/conv/g-voxel.c:
	  g-voxel.c (only a grid of rays shot right now)

2012-05-31 13:43  tbrowder2

	* [r50787] TODO:
	  looks like red has the requisite test which apparently works fine

2012-05-31 12:25  tbrowder2

	* [r50786] src/libbu/vls_vprintf.c:
	  expand error info, add back the old guess output for unknown or
	  obsolete conversion specifier; note bombing macro indicates bad
	  logic somewhere

2012-05-31 12:23  tbrowder2

	* [r50785] src/libbu/vls_internals.h:
	  VP_UNKNOWN needs a bit on for proper testing as used in
	  bu_vls_vprintf

2012-05-31 12:17  tbrowder2

	* [r50784] src/libbu/test_vls_vprintf.c:
	  add another test based on iges.c problem

2012-05-31 12:10  tbrowder2

	* [r50783] src/conv/iges/iges.c:
	  add missing format conversion specifier 'd' after length modifier
	  'z' so correct entry is '%zd'

2012-05-31 06:32  phoenixyjll

	* [r50782] src/librt/primitives/brep/brep_debug.cpp:
	  Fixed the bug in copying brep in r50871

2012-05-31 06:28  phoenixyjll

	* [r50781] src/libged/brep.c,
	  src/librt/primitives/brep/brep_debug.cpp:
	  Extend the functionality of the brep command in MGED to deal with
	  comb. Unevaluated breps are generated.

2012-05-31 04:35  brlcad

	* [r50780] NEWS:
	  fixed a bug reading v4 geometry files where it was spewing memory
	  free error debug messages. it was getting to the debug messages
	  in the first place due to a write to a null pointer dereference,
	  probably related to the endianness flipping (as it's the first
	  rt_memfree() after flipping).

2012-05-31 04:32  brlcad

	* [r50779] src/librt/db_scan.c:
	  casting the ftell() returns through off_t propagates bad addr
	  values. next and prev don't need to be off_t, so just let them
	  match ftell's return type and simplify

2012-05-31 04:29  brlcad

	* [r50778] src/librt/memalloc.c:
	  prevent memory corruption if we end up with a null pointer.
	  probably implies someting is wrong elsewhere in the book-keeping,
	  but since this is old v4 code there's minmal value hunting it
	  down. just avoids corruption which was leading to a bogus
	  rt_freemem() debug message getting printed extensively after the
	  endianness flip.

2012-05-31 04:25  brlcad

	* [r50777] src/librt/primitives/sph/sph.c:
	  we have the actual distance tolerance so use it during validity
	  testing

2012-05-30 23:23  crdueck

	* [r50774] src/libbu/lex.c:
	  rewrote section to improve readability and remove a goto loop, ws
	  changes

2012-05-30 20:49  n_reed

	* [r50772] src/other/step/src/express/dict.c:
	  Apply SCL git f5a130a. Loosens restriction on dictionary
	  duplicates.

2012-05-30 19:43  erikgreenwald

	* [r50771] sh/orbit.sh:
	  update ffmpeg usage for 0.11. add azimuth to animation (the
	  actual orbit part)

2012-05-30 19:38  n_reed

	* [r50770] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  Remove some unneeded functions. SCL git 1faaf69 and 2d7ed17.

2012-05-30 18:44  erikgreenwald

	* [r50769] sh/orbit.sh:
	  improve progress display

2012-05-30 18:41  erikgreenwald

	* [r50768] sh/orbit.sh:
	  Write frames directly to PNG instead of pix followed by pix-png.

2012-05-30 18:36  n_reed

	* [r50767] src/other/step/src/fedex_plus/selects.c:
	  optimize utype_member based on SCL git 27ce560

2012-05-30 18:28  erikgreenwald

	* [r50766] sh/orbit.sh:
	  fix getopt handling. allow actual execution. minor
	  simplification.

2012-05-30 18:02  erikgreenwald

	* [r50765] sh/CMakeLists.txt, sh/Makefile.am:
	  move orbit.sh to the installed script set

2012-05-30 17:51  tbrowder2

	* [r50764] src/libbu/vls_vprintf.c:
	  removed old test statement, added another error handler

2012-05-30 17:42  tbrowder2

	* [r50763] src/libbu/test_vls_vprintf.c, src/libbu/vls_internals.h,
	  src/libbu/vls_vprintf.c:
	  This is a major change to vsl_vprintf (and related files)
	  incorporating a more modular approach. In general, this change
	  tries
	  to separate the parsing of the format string from the handling of
	  the
	  result, both for valid as well as for obsolete or unknown parts.
	  The
	  approach is also intended to ease maintenance and future
	  enhancements.
	  
	  The function specification has also been modified somewhat.
	  
	  More specifically:
	  
	  src/libbu/vls_internals.h
	  =========================
	  
	  + make VP_* bit flags available for multiple files
	  + expand the set of VP_* bit flags
	  + make the vflags_t type available for multiple files
	  + make three of the vls_vprintf helper functions available for
	  multiple files
	  
	  src/libbu/test_vls_vprintf.c
	  ============================
	  
	  + add new test function 'check_format_chars' to ensure consistent
	  coverage of the defined valid and obsolete format characaters
	  
	  src/libbu/vls_vprintf.c
	  =======================
	  
	  + hoist the vflags_t definition into vls_internals.h for use by
	  the
	  regression test (test_vls_vprinf.c)
	  
	  + move functions
	  
	  + consolidate vls_printf helper functions into four:
	  
	  - format_part_status: uses bit flags to define, for each
	  character,
	  what category it's in and whether it's valid, obsolete, or
	  unknown
	  
	  - handle_obsolete_format_char: contains helper info messages for
	  the
	  user of obsolete chars
	  
	  - reset flags: resets an instance of the vflags_t to known values
	  
	  - handle_format_part: consolidates handling of the different
	  categories of valid format characters; only turned on at the
	  moment for
	  length modifier type
	  
	  + use the new 'handle_format_part' function to hoist handling of
	  the
	  length modifiers (LMs) out of the format parsing loop
	  
	  + add the formerly implicit handling of the 'c' conversion
	  specifier (CS)
	  to the CS handling section
	  
	  + consolidate CS error handling in the default section of the CS
	  switch statement
	  
	  + do some ws and style tidying
	  
	  Future changes planned
	  ======================
	  
	  + turn on modular handling of other categories of format chars
	  
	  + incorporate modular handling of compiler oddities such as the
	  'z'
	  length modifier for Visual Studio C
	  
	  + improve error handling

2012-05-30 16:48  n_reed

	* [r50762] src/other/step/src/express/expparse.y:
	  Allow local variables to have generic types; fixes failure on
	  ap239 express schema. SCL git 254b5a3.

2012-05-30 16:05  starseeker

	* [r50761] src/libbu/Makefile.am:
	  fix LDADD line for test_vls_vprintf

2012-05-30 14:55  starseeker

	* [r50760] configure.ac:
	  Need the makefile for raw dir

2012-05-30 14:38  brlcad

	* [r50759] BUGS, TODO:
	  need to investigate/fix the mged joints command and migrate it to
	  libged.

2012-05-30 14:21  starseeker

	* [r50758] src/other/CMakeLists.txt:
	  Generalize the disclean rules for libpng links

2012-05-30 14:19  bob1961

	* [r50757] src/tclscripts/lib/cursor.tcl:
	  Yet another Windows specific fix.

2012-05-30 14:16  starseeker

	* [r50756] src/libbu/Makefile.am:
	  Fix header name

2012-05-30 13:49  brlcad

	* [r50755] src/shapes/fence.c:
	  fix a memory corruption error where we incorrectly bu_free() a
	  pointer that was bu_calloc'd but then clobbered after set to
	  mk_addmember result. was causing a crash.

2012-05-30 12:45  d_rossberg

	* [r50754] src/libbu/CMakeLists.txt, src/libbu/Makefile.am,
	  src/libbu/test_ctype.c:
	  apply sourceforge parch 3528073 (test_ctype.patch) from anrgmrty:
	  "A test for ctype.c checking for printable and non-printable
	  strings test_ctype.c"

2012-05-30 01:12  crdueck

	* [r50753] src/mged/animedit.c:
	  the bug with 'joint holds' is related to 'joint solve' crashing
	  as well, both eventually make bad calls to hold_point_location(),
	  edited comment and error message

2012-05-30 00:06  tbrowder2

	* [r50752] regress/vls_vprintf.sh, src/libbu/test_vls_vprintf.c:
	  change internal file name to reflect external file name

2012-05-29 23:58  tbrowder2

	* [r50751] regress/vls.sh, src/libbu/test_vls.c:
	  old files disappear

2012-05-29 23:57  tbrowder2

	* [r50750] regress/CMakeLists.txt, regress/Makefile.am,
	  regress/vls_vprintf.sh, src/libbu/CMakeLists.txt,
	  src/libbu/Makefile.am, src/libbu/test_vls_vprintf.c:
	  rename vls regression script and test_vls to vls_vprintf and
	  test_vls_vprintf,respectively, to reflect true scope of this
	  regression test

2012-05-29 23:03  crdueck

	* [r50749] src/librt/primitives/tor/tor.c:
	  adds centroid function to tor

2012-05-29 22:58  crdueck

	* [r50748] src/libbu/fgets.c, src/libbu/lex.c:
	  accidently added to many files in r50747

2012-05-29 22:51  crdueck

	* [r50747] src/libbu/fgets.c, src/libbu/lex.c,
	  src/librt/primitives/tor/tor.c:
	  adds volume function to tor

2012-05-29 22:41  crdueck

	* [r50746] src/librt/primitives/tor/tor.c:
	  adds surface area function to tor

2012-05-29 22:24  n_reed

	* [r50745] src/other/step/src/cldai/sdaiBinary.cc,
	  src/other/step/src/cleditor/STEPfile.inline.cc,
	  src/other/step/src/clstepcore/STEPattribute.h:
	  Remove a few unnecessary extern declarations. SCL git aef6e73,
	  5c8c5aa, 15f9c40.

2012-05-29 22:17  crdueck

	* [r50744] src/mged/animedit.c:
	  'joint holds' no longer crashes MGED, reports error message
	  instead. still doesnt work properly though

2012-05-29 19:40  crdueck

	* [r50743] src/mged/animedit.c:
	  removed references to f_jtest(), fixing r50742

2012-05-29 19:30  crdueck

	* [r50742] src/mged/animedit.c:
	  removed unused 'joint test' subcommand

2012-05-29 19:06  n_reed

	* [r50741] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/cleditor/STEPfile.inline.cc:
	  Have STEPfile::schemaName return std::string instead of writing
	  char* arg. SCL git b8fc557.

2012-05-29 16:10  starseeker

	* [r50740] CMakeLists.txt:
	  Alter umask test to use POSIX -S output, per suggestion from
	  Sean.

2012-05-29 15:29  starseeker

	* [r50739] CMakeLists.txt:
	  Whoops, stray line

2012-05-29 15:19  starseeker

	* [r50738] CMakeLists.txt:
	  Check a variety of known 'OK' umask settings - avoids invalid
	  matches to the regex like 0222 (thanks Sean.)

2012-05-29 14:56  starseeker

	* [r50737] CMakeLists.txt:
	  As it turns out, umask settings do have some impact on
	  CMake/CPack builds. While CMake's install process does not
	  directly make use of umask, the temporary files staged in the
	  build directory do. The install process in turn makes use of the
	  permissions set on those files. It does not appear to be possible
	  to set umask from the CMake build itself, so instead warnings are
	  generated if the umask setting looks problematic.

2012-05-29 13:58  erikgreenwald

	* [r50736] NEWS:
	  mention rotate bug being fixed

2012-05-29 13:57  erikgreenwald

	* [r50735] src/rt/view.c:
	  fix call to icv writepixel where x and y were swapped. This fixes
	  the bug where 'just changing the size' rotated the image 90
	  degrees, with -s <= 96 switching to MODE_UNBUF and touching this
	  line.

2012-05-29 12:48  erikgreenwald

	* [r50734] NEWS, sh/CMakeLists.txt, sh/Makefile.am,
	  sh/ios-icons.sh:
	  Add shell script to generate icons suitable for IOS (Apple
	  mobile) applications

2012-05-29 12:45  phoenixyjll

	* [r50733] src/librt/primitives/eto/eto_brep.cpp:
	  eto_endvertex_pt was set but not used before.

2012-05-29 12:17  phoenixyjll

	* [r50732] src/librt/primitives/brep/brep_debug.cpp,
	  src/proc-db/csgbrep.cpp:
	  Use BN_DIST_TOL to replace the hard coded 0.0005. And set
	  revolve.r and revolve.ang in csgbrep.cpp.

2012-05-29 12:14  phoenixyjll

	* [r50731] src/libged/brep.c:
	  Check whether brep is converted successfully. (A failure will
	  return a NULL pointer like the conversion of old.s82 and old.s79
	  in m35.g)

2012-05-29 05:15  phoenixyjll

	* [r50730] sh/conversion.sh:
	  change the suffix brep2 to brep

2012-05-29 03:55  brlcad

	* [r50729] AUTHORS:
	  credit mesut (aka kane) with his sf patch 3527658 (refactor and
	  manage libbn tolerance uses by providing an interface default
	  (e.g., an init macro) and making everyone use that where it is
	  hardcoded to 0.0005 presently). comes to brl-cad from gsoc.

2012-05-29 02:58  brlcad

	* [r50728] AUTHORS:
	  credit alex taylor for his code contribution applied from sf
	  patch 3530033 related to his gsoc participation. note the other
	  recent gsoc/socis students too.

2012-05-29 02:48  brlcad

	* [r50727] src/librt/primitives/sph/sph.c:
	  since they're not documented, remove the 0.0001 magic tolerance
	  values with tighter hardware-centric tolerances via EQUAL()
	  testing.

2012-05-29 02:44  brlcad

	* [r50726] src/librt/primitives/ell/ell.c:
	  remove the 0.0001 magic tolerance values. instead, use the
	  default tolerance used within EQUAL(), which should be near what
	  the hardware is capable of distinguishing. better would probably
	  be to use a bn_tol->dist.

2012-05-29 02:38  brlcad

	* [r50725] src/librt/primitives/revolve/revolve_brep.cpp:
	  the plane isn't used (or deallocated), so remove it (and quell
	  the compilation verbage)

2012-05-29 02:32  brlcad

	* [r50724] src/librt/primitives/ell/ell.c:
	  apply sf patch 3530033 from Al_Da_Best ( aldabest ) - 'Adding
	  centroid and surface area for ellipsoid primitive' though the
	  patch now only adds surface area since someone else beat him to
	  the centroid function. the patch was slightly modified for strict
	  compilation and still has a problem using fabs() and a hard-coded
	  0.0001 magic tolerance value, but can't fault him too much for
	  that error since someone else apparently introduced that bad
	  practice in the bbox routine.

2012-05-28 10:25  phoenixyjll

	* [r50723] sh/conversion.sh:
	  Add implicit to brep conversion to conversion.sh.

2012-05-28 04:21  brlcad

	* [r50722] src/librt/primitives/ell/ell.c:
	  apply sf patch 3528940 from crdueck that adds an function to find
	  centroid of an ell (it's the v parameter)

2012-05-28 04:03  brlcad

	* [r50721] AUTHORS:
	  credit sachin jain with his patch from last year (sf patch
	  3275742 - Fix 'analyze' command output formatting) applied in
	  r48889 and sparking more work in that area by tom browder.

2012-05-27 20:45  tbrowder2

	* [r50720] src/libbu/vls_vprintf.c:
	  modify and expand specification, remove underscore from internal
	  function names

2012-05-27 20:30  tbrowder2

	* [r50719] src/libbu/vls_vprintf.c:
	  add target specifications for bu_vls_vprintf

2012-05-27 20:09  tbrowder2

	* [r50718] src/libbu/vls_vprintf.c:
	  correct comment

2012-05-27 20:09  tbrowder2

	* [r50717] src/libbu/vls_vprintf.c:
	  move struct and its reset function to the top

2012-05-27 19:41  tbrowder2

	* [r50716] src/libbu/vls_vprintf.c:
	  move vars to file scope, change some back to macros because
	  intializers aren't constant

2012-05-27 19:23  tbrowder2

	* [r50715] src/libbu/CMakeLists.txt, src/libbu/Makefile.am,
	  src/libbu/vls.c, src/libbu/vls_internals.h,
	  src/libbu/vls_vprintf.c:
	  split function bu_vls_vprintf into its own src file, put common
	  vls data into a new internal header, modify build structure
	  accordingly

2012-05-27 14:54  brlcad

	* [r50714] src/gtools/g_diff.c:
	  rename kill to killit to avoid a shadow warning on mac 10.4
	  (reported by _fkr via irc)

2012-05-27 13:23  brlcad

	* [r50713] include/rtgeom.h:
	  apply the patch file from crdueck's sf patch 3528940
	  (ell_centroid) that documents the ell parameters.

2012-05-27 01:10  tbrowder2

	* [r50712] src/libbu/vls.c:
	  change macros to local const ints

2012-05-27 00:00  tbrowder2

	* [r50711] doc/README.Linux:
	  freeglut not required based on last test with Linux Mint LMDE

2012-05-26 23:59  tbrowder2

	* [r50710] HACKING:
	  fix typo

2012-05-26 19:17  tbrowder2

	* [r50709] doc/deprecation.txt:
	  clarify instructions for the obsolete step

2012-05-26 19:03  brlcad

	* [r50708] src/libbu/parse.c:
	  remove the struct parse table support for '%S' since vls was just
	  removed.

2012-05-26 19:00  brlcad

	* [r50707] doc/deprecation.txt:
	  NEWS is only for (non-developer) user-visible changes. annotate
	  %S change to obsolete in doc/deprecation.txt

2012-05-26 19:00  brlcad

	* [r50706] NEWS:
	  NEWS is only for (non-developer) user-visible changes. annotate
	  %S change to obsolete in doc/deprecation.txt

2012-05-26 18:27  tbrowder2

	* [r50705] NEWS:
	  notified users of removal of formerly deprecated and now obsolete
	  %S bu_vls format specifier

2012-05-26 18:26  tbrowder2

	* [r50704] src/libbu/test_vls.c:
	  commented out %S test, retained for use in soon-to-come
	  bu_vls_vprintf mods

2012-05-26 18:25  tbrowder2

	* [r50703] src/libbu/vls.c:
	  removed obsolete bu_vls %S format specifier

2012-05-26 18:23  tbrowder2

	* [r50702] src/libbu/vls.c:
	  converted all flag variables in function bu_vls_vprintf to be
	  contained in a special struct; added a reset function for them

2012-05-26 17:55  tbrowder2

	* [r50701] doc/README.Linux:
	  update requirements based on more testing with Linux Mint LWDE
	  32-bit

2012-05-26 14:28  brlcad

	* [r50700] src/rt/rtexample.c:
	  apply spelling corrections from sf patch 3529931 by anuragmurty

2012-05-26 14:25  brlcad

	* [r50699] src/libbu/test_bitv.c:
	  there's not bu_strcpy() but there is bu_strlcpy(). using strcpy()
	  will cause regression testing to fail due to HACKING restrictions
	  on using unsafe libc functions.

2012-05-26 14:17  brlcad

	* [r50698] src/libbu/test_bitv.c, src/libbu/test_booleanize.c,
	  src/libbu/test_quote.c, src/libbu/test_vls.c:
	  ws cleanup, run sh/ws.sh

2012-05-26 11:20  tbrowder2

	* [r50697] src/libbu/test_bitv.c:
	  ws, style

2012-05-26 11:11  tbrowder2

	* [r50696] src/libbu/test_bitv.c:
	  bu_strcpy not found, use libc version

2012-05-25 20:29  brlcad

	* [r50695] AUTHORS:
	  add gsoc coder anurag murty for his sf patch 3527405 (Unit test
	  has been written for src/libbu/bitv.c) that got applied by
	  rossberg in r50684

2012-05-25 19:03  starseeker

	* [r50694] src/other/tk/CMakeLists.txt:
	  This might be why TK_ENABLE_XFT was incorrectly ON, but needs
	  testing.

2012-05-25 18:42  tbrowder2

	* [r50693] src/libbu/test_vls.c:
	  add more tests; provide for known failures during development

2012-05-25 18:17  brlcad

	* [r50692] src/libbu/vls.c:
	  move %S back down. it wasn't some long string format. it was like
	  %V is now, used everywhere in our code for printing our bu_vls
	  strings.

2012-05-25 17:31  starseeker

	* [r50691] src/libbu/test_bitv.c:
	  Use bu functions - might want to run make regress-repository when
	  working on this file...

2012-05-25 16:59  tbrowder2

	* [r50690] src/libbu/vls.c:
	  move S conversion specifier to more appropriate place, modify
	  comment to reflect correct alternative solution

2012-05-25 16:55  starseeker

	* [r50689] src/librt/primitives/revolve/revolve_brep.cpp:
	  tol is used now

2012-05-25 16:51  starseeker

	* [r50688] misc/CMake/BRLCAD_CheckFunctions.cmake:
	  remove debugging message

2012-05-25 16:42  tbrowder2

	* [r50687] src/libbu/vls.c:
	  add two more helper functions for bu_vls_vprintf; comment out
	  temporarily to prevent unused warning/error

2012-05-25 16:25  tbrowder2

	* [r50686] src/libbu/vls.c:
	  add local helper function for bu_vls_vprintf

2012-05-25 16:17  tbrowder2

	* [r50685] include/bu.h:
	  correct referenced function name

2012-05-25 15:33  d_rossberg

	* [r50684] src/libbu/CMakeLists.txt, src/libbu/Makefile.am,
	  src/libbu/test_bitv.c:
	  apply sourceforge parch 3527405 (test_bitv4.patch) from anrgmrty:
	  "Unit test for testing of src/libbu/bitv.c has been written with
	  appropriate changes to CMakelists.txt and Makefile.am"

2012-05-25 13:18  phoenixyjll

	* [r50683] src/librt/primitives/revolve/revolve_brep.cpp:
	  Deal with non-full revolution of revolve. Create two surfaces in
	  that case.

2012-05-24 22:57  n_reed

	* [r50682] src/other/step/src/cleditor/cmdmgr.cc,
	  src/other/step/src/cleditor/cmdmgr.h,
	  src/other/step/src/cleditor/instmgr.h,
	  src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/clstepcore/ExpDict.inline.cc,
	  src/other/step/src/clstepcore/Registry.inline.cc,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/clstepcore/collect.cc,
	  src/other/step/src/clstepcore/complexSupport.h,
	  src/other/step/src/clstepcore/complexlist.cc,
	  src/other/step/src/clstepcore/entlist.cc,
	  src/other/step/src/clstepcore/entnode.cc,
	  src/other/step/src/clstepcore/multlist.cc,
	  src/other/step/src/clstepcore/non-ors.cc,
	  src/other/step/src/clstepcore/orlist.cc:
	  apply SCL git e72ca29; remove some superfluous boolean types and
	  use std bool more often

2012-05-24 21:43  tbrowder2

	* [r50681] src/libbu/vls.c:
	  ws

2012-05-24 21:40  tbrowder2

	* [r50680] src/libbu/vls.c:
	  combine decl with initialization

2012-05-24 21:36  tbrowder2

	* [r50679] src/libbu/vls.c:
	  combine decl with initialization

2012-05-24 21:31  tbrowder2

	* [r50678] src/libbu/vls.c:
	  tidy one comment, move another

2012-05-24 21:26  tbrowder2

	* [r50677] src/libbu/vls.c:
	  add comment

2012-05-24 21:24  tbrowder2

	* [r50676] src/libbu/vls.c:
	  more idiomatic

2012-05-24 21:18  tbrowder2

	* [r50675] src/libbu/vls.c:
	  use a var for clarity and ease of maintenance

2012-05-24 21:10  tbrowder2

	* [r50674] src/libbu/vls.c:
	  typo in comment expansion

2012-05-24 21:09  tbrowder2

	* [r50673] src/libbu/vls.c:
	  style, ws

2012-05-24 21:06  tbrowder2

	* [r50672] src/libbu/vls.c:
	  ws

2012-05-24 21:03  tbrowder2

	* [r50671] src/libbu/vls.c:
	  expand comment for clarity

2012-05-24 20:59  tbrowder2

	* [r50670] src/libbu/vls.c:
	  add another valid char possibility

2012-05-24 20:56  tbrowder2

	* [r50669] src/libbu/vls.c:
	  eliminate unnecessary check

2012-05-24 20:53  tbrowder2

	* [r50668] src/libbu/vls.c:
	  align vars, correct spacing, clarify comment

2012-05-24 20:50  tbrowder2

	* [r50667] src/libbu/vls.c:
	  clarify comment

2012-05-24 20:48  tbrowder2

	* [r50666] src/libbu/vls.c:
	  reorder vars for ease of maintenance

2012-05-24 20:45  tbrowder2

	* [r50665] TODO:
	  32-bit vls failure fixed with rev 50664, confirmed on 32-bit
	  Linux Mint LMDE

2012-05-24 19:58  tbrowder2

	* [r50664] src/libbu/vls.c:
	  don't clear length flags for 'l' or 'h' UNTIL we check for
	  doubling--this should fix the 32-bit failure

2012-05-24 19:50  tbrowder2

	* [r50663] src/libbu/vls.c:
	  remove spurious spaces

2012-05-24 19:47  tbrowder2

	* [r50662] src/libbu/vls.c:
	  reorder length mod defs, add new length group

2012-05-24 19:38  tbrowder2

	* [r50661] src/libbu/vls.c:
	  correct position of comment

2012-05-24 19:34  tbrowder2

	* [r50660] src/libbu/vls.c:
	  move all length modifier checks to end of format specifier parse,
	  add comment to that effect

2012-05-24 19:30  tbrowder2

	* [r50659] src/libbu/vls.c:
	  eliminate check for field type here (even though it's a hybrid
	  length modifier)

2012-05-24 19:26  tbrowder2

	* [r50658] src/libbu/vls.c:
	  add another legitimate snprintf flag charcacter

2012-05-24 19:24  tbrowder2

	* [r50657] src/libbu/vls.c:
	  reformat for ease of seeing boolean choices

2012-05-24 19:22  tbrowder2

	* [r50656] src/libbu/vls.c:
	  correct operator for combining flags

2012-05-24 19:00  tbrowder2

	* [r50655] src/libbu/test_vls.c:
	  add new tests, some format tidying

2012-05-24 16:23  n_reed

	* [r50654] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/cleditor/seeinfodefault.h:
	  Apply changes from SCL git 4858af2 removing code supporting step
	  files (N279 files) that pre-date ISO 10303-21:1994.

2012-05-24 15:26  starseeker

	* [r50653] CMakeLists.txt, misc/CMake/BRLCAD_CheckFunctions.cmake:
	  This should improve the behavior and robustness of the type
	  checking macro in BRL-CAD. While we're at it, make the variable
	  names automatic and deduced from the type itself.

2012-05-24 13:22  d_rossberg

	* [r50652] include/bn.h, src/libbn/bntester.c, src/libbn/plane.c,
	  src/libbn/tcl.c:
	  apply sourceforge parch 3527658 (libbn_refactor_tolerance.diff)
	  from kane_: "refactor and manage libbn tolerance uses by
	  providing an interface default (e.g., an init macro) and making
	  everyone use that where it is hardcoded to 0.0005 presently"

2012-05-24 12:12  d_rossberg

	* [r50651] src/conv/CMakeLists.txt, src/conv/Makefile.am,
	  src/conv/raw, src/conv/raw/Bot.cpp, src/conv/raw/Bot.h,
	  src/conv/raw/CMakeLists.txt, src/conv/raw/Makefile.am,
	  src/conv/raw/RegionList.cpp, src/conv/raw/RegionList.h,
	  src/conv/raw/raw-g.cpp:
	  a raw (simple ASCII bag of triangles) to g geometry converter

2012-05-24 03:39  phoenixyjll

	* [r50650] src/librt/primitives/revolve/revolve_brep.cpp,
	  src/librt/primitives/sketch/sketch_brep.cpp:
	  The old version creates a circle just on the xy plane. Now it's
	  created on the sketch plane.

2012-05-24 03:15  phoenixyjll

	* [r50649] src/librt/primitives/extrude/extrude_brep.cpp:
	  Changed the position of the sketch in extrude according to the
	  parameters.
	  Some comment is added to make it clear.

2012-05-23 21:06  tbrowder2

	* [r50648] regress/vls.sh:
	  make more readable, add info on both log files in event of error

2012-05-23 20:59  bob1961

	* [r50647] src/libtclcad/tclcad_obj.c:
	  Calling bu_sscanf instead of sscanf. This eliminates more windows
	  specific problems.

2012-05-23 20:57  bob1961

	* [r50646] src/libbu/sscanf.c:
	  Special case for size_t on windows.

2012-05-23 20:56  starseeker

	* [r50645] misc/CMake/BRLCAD_CheckFunctions.cmake:
	  Add _T suffix to SIZEOF vars

2012-05-23 20:48  tbrowder2

	* [r50644] regress/vls.sh, src/libbu/quote.c,
	  src/libbu/test_quote.c, src/libbu/test_vls.c, src/libbu/vls.c,
	  src/tclscripts/mged/openw.tcl:
	  undoing bad commit rev 50643

2012-05-23 20:10  tbrowder2

	* [r50643] regress/vls.sh, src/libbu/quote.c,
	  src/libbu/test_quote.c, src/libbu/test_vls.c, src/libbu/vls.c,
	  src/tclscripts/mged/openw.tcl:
	  make more readable, add info on both log files in event of error

2012-05-23 15:55  phoenixyjll

	* [r50642] src/librt/primitives/revolve/revolve_brep.cpp:
	  Changed the plane origin of the sketch.

2012-05-23 15:10  phoenixyjll

	* [r50641] src/librt/primitives/revolve/revolve_brep.cpp:
	  Fixed the wrong revolution axis: the endpoint should be
	  v3d+axis3d. Further modifications are still needed.

2012-05-23 15:10  starseeker

	* [r50640] src/libbu/test_booleanize.c:
	  distcheck failure - use of strcmp

2012-05-23 14:22  phoenixyjll

	* [r50639] src/librt/primitives/pipe/pipe_brep.cpp:
	  A small change from double to fastf_t.

2012-05-23 13:21  tbrowder2

	* [r50638] regress/vls.sh:
	  make name consistency a little more robust

2012-05-23 12:51  tbrowder2

	* [r50637] regress/vls.sh:
	  correct name of error log

2012-05-23 11:04  bob1961

	* [r50636] src/tclscripts/lib/Ged.tcl:
	  Clear mLastDataIndex after data move.

2012-05-23 03:00  tbrowder2

	* [r50635] src/libbu/test_vls.c:
	  add another vls regression test

2012-05-22 22:03  brlcad

	* [r50634] TODO:
	  made edits to skt_ed.tcl without testing, make sure it still
	  works -- particularly for the user-reported failure case: circles

2012-05-22 21:54  tbrowder2

	* [r50633] doc/README.Linux:
	  add more info on required packages for Debian-based systems

2012-05-22 19:53  n_reed

	* [r50632] src/other/step/src/cleditor/SdaiHeaderSchemaClasses.h:
	  apply header guard symbol change from SCL git d1cd32b

2012-05-22 18:52  n_reed

	* [r50631] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc,
	  src/other/step/src/fedex_plus/multpass.c,
	  src/other/step/src/fedex_plus/selects.c:
	  apply rest of SCL git 290850a: change output suffix of aggregate
	  select types from 's' to '_agg'

2012-05-22 17:58  n_reed

	* [r50630] src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/selects.c:
	  apply more changes from SCL git 290850a: cleanup some multiple
	  inheritance code - passing around attribute list to print
	  routines instead of rebuilding it

2012-05-22 15:36  bob1961

	* [r50629] src/libtclcad/tclcad_obj.c:
	  Change bu_vls_printf format strings use of %llu to %zu. This
	  fixes a recent breakage on Windows.

2012-05-22 05:06  phoenixyjll

	* [r50628] src/librt/primitives/pipe/pipe_brep.cpp:
	  Add some control to deal with special cases and add a few
	  comments.

2012-05-21 23:06  starseeker

	* [r50627] regress/CMakeLists.txt, regress/rtwizard,
	  regress/rtwizard.sh, regress/rtwizard/rtwizard_test1_ref.asc.gz:
	  Put a framework for regression testing rtwizard in place. Need to
	  assemble more tests - just one example for now.

2012-05-21 21:07  starseeker

	* [r50626] src/tclscripts/rtwizard/rtwizard.tcl:
	  Support framebuffer specifications without the space for rt
	  compatibility

2012-05-21 20:53  brlcad

	* [r50625] src/librt/primitives/pipe/pipe_brep.cpp:
	  ran ws.sh, massive trailing ws

2012-05-21 20:52  starseeker

	* [r50624] src/tclscripts/util/getopt.tcl:
	  Allow negative numbers as values instead of treating them as
	  flags.

2012-05-21 20:37  starseeker

	* [r50623] src/tclscripts/rtwizard/rtwizard.tcl:
	  Add an option to specify the view center. Between this option,
	  the aet options, and zoom it should be possible to re-create most
	  (all?) raytracing views

2012-05-21 20:23  starseeker

	* [r50622] src/tclscripts/rtwizard/rtwizard.tcl:
	  argv arguments are now being handled by getopt for rtwizard or
	  not at all. clear argv after processing to avoid accidental
	  additional processing attempts.

2012-05-21 16:38  phoenixyjll

	* [r50621] src/librt/primitives/pipe/pipe_brep.cpp:
	  Deal with duplicated points. Delete duplicated points from the
	  linklist of pipe.

2012-05-21 13:55  phoenixyjll

	* [r50620] src/librt/primitives/pipe/pipe_brep.cpp:
	  Fixed the bug of wrong id & od for pipe, by changing some prevp
	  to curp.

2012-05-18 21:16  starseeker

	* [r50619] src/libbu/parse.c:
	  looks like a typo?

2012-05-18 21:14  brlcad

	* [r50618] src/tclscripts/mged/skt_ed.tcl:
	  qualify all of the calls to the dist proc as being in the
	  top-level namespace. apparently if you qualify one in a proc, but
	  not others, some version(s) of tcl assume the non-qualified one
	  are for a non top-level scope even if a local one doesn't exist.
	  problem reported by Csanyi Pal via brlcad-users mailing list
	  trying to use sketch editor.

2012-05-18 21:01  brlcad

	* [r50617] src/libbu/parse.c:
	  go ahead and still make the comparison case insensitive. thanks
	  to Stattrav (via irc) for pinpointing the cause of sphflake
	  failure introduced by r50582.

2012-05-18 20:58  brlcad

	* [r50616] src/libbu/parse.c:
	  Revert r50582 as it was just wrong. 'shader' is the whole string,
	  not just the name.

2012-05-18 20:13  brlcad

	* [r50615] src/librt/primitives/ell/ell.c:
	  apply sf patch 3515075 (rt_ell_surface_area) from crdueck adding
	  support for calculating ellipsoid surface areas.

2012-05-18 16:07  bob1961

	* [r50614] src/libtclcad/tclcad_obj.c:
	  Added calls to glPixelStorei(GL_PACK_ALIGNMENT, 1) in both
	  to_png() and to_pix().

2012-05-18 14:10  bob1961

	* [r50613] src/libtclcad/tclcad_obj.c:
	  More simplification of to_png() and to_pix().

2012-05-18 13:57  bob1961

	* [r50612] src/tclscripts/lib/Ged.tcl:
	  Added cadwidgets::Ged::pix.

2012-05-18 13:55  bob1961

	* [r50611] src/libtclcad/tclcad_obj.c:
	  Simplified to_png(). Added to_pix(). Not tested on Windows.

2012-05-18 05:24  phoenixyjll

	* [r50610] src/librt/primitives/hyp/hyp_brep.cpp:
	  Fixed the direction of shearing the hyp.

2012-05-18 03:30  brlcad

	* [r50609] NEWS:
	  tom added an italian translation of the intro to brl-cad. do not
	  know who the original author is. my records indicate it dates
	  back to at least sometime before july 2007 but is an unattributed
	  contribution. files had not identifying markers and no other
	  record in my logs all the way back to 2004.

2012-05-18 03:01  starseeker

	* [r50608] src/tclscripts/rtwizard/rtwizard.tcl:
	  remove debugging puts statement

2012-05-18 02:38  starseeker

	* [r50607] NEWS:
	  rtwizard now properly supports PNG output from all of its image
	  types. Bob's new tcl proc cadwidgets::RtImage is the heart of the
	  new features.

2012-05-18 00:56  starseeker

	* [r50606] src/tclscripts/rtwizard/rtwizard.tcl:
	  Ah - just needed to crank it into the initial view setup

2012-05-18 00:53  starseeker

	* [r50605] src/tclscripts/rtwizard/rtwizard.tcl:
	  Add option for perspective, although it doesn't seem to interact
	  well with zoom for some reason

2012-05-18 00:45  starseeker

	* [r50604] src/tclscripts/rtwizard/lib/PictureTypeBase.itcl,
	  src/tclscripts/rtwizard/lib/tclIndex:
	  Remove some unused commands

2012-05-18 00:40  starseeker

	* [r50603] src/tclscripts/rtwizard/lib/PictureTypeF.itcl:
	  And last but not least, type F images

2012-05-18 00:38  starseeker

	* [r50602] src/tclscripts/rtwizard/lib/PictureTypeD.itcl:
	  Fix background color for type D picture

2012-05-18 00:29  starseeker

	* [r50601] src/tclscripts/rtwizard/lib/PictureTypeE.itcl:
	  Picture type E converted

2012-05-18 00:19  starseeker

	* [r50600] src/tclscripts/rtwizard/lib/PictureTypeB.itcl,
	  src/tclscripts/rtwizard/lib/PictureTypeC.itcl,
	  src/tclscripts/rtwizard/lib/PictureTypeD.itcl:
	  Make picture types B, C and D use rtimage

2012-05-17 23:26  starseeker

	* [r50599] src/tclscripts/rtwizard/lib/PictureTypeA.itcl,
	  src/tclscripts/rtwizard/lib/PictureTypeBase.itcl:
	  Preview is just a smaller version of full scale, and they both
	  need the same rtimage calling logic. Refactor to reduce code
	  duplication

2012-05-17 22:06  n_reed

	* [r50598] src/other/step/src/fedex_plus/classes.c:
	  Add collectAttributes function based on the one added by SCL git
	  290850a.

2012-05-17 21:57  starseeker

	* [r50597] src/tclscripts/rtwizard/lib/FbPage.itk,
	  src/tclscripts/rtwizard/lib/PictureTypeA.itcl,
	  src/tclscripts/rtwizard/lib/PictureTypeBase.itcl:
	  Start transitioning rtwizard pages over to using rtimage script.
	  There is probably some intermediate breakage while this
	  progresses

2012-05-17 20:26  brlcad

	* [r50596] NEWS:
	  tom added an italian translation of the intro to brl-cad. not
	  sure if he's the original author but the commit didn't indicate
	  otherwise so going with that assumption.

2012-05-17 20:23  r_weiss

	* [r50595] include/raytrace.h:
	  Updated "raytrace.h" to change the definition of function
	  "db5_sync_attr_to_comb" to pass in the directory instead of the
	  combination name.

2012-05-17 20:20  r_weiss

	* [r50594] src/libged/red.c:
	  Updated function "build_comb" in file "libged/red.c". Changed the
	  call to function "db5_sync_attr_to_comb" to pass in the directory
	  instead of the combination name.

2012-05-17 20:18  r_weiss

	* [r50593] src/librt/db5_types.c, src/librt/db_tree.c:
	  Updated function "db5_sync_attr_to_comb" in file
	  "librt/db5_types.c". Changed the name input to the directory
	  structure. This was necessary so that the directory "d_flags"
	  region bit could be set/unset based on the "region" attribute.
	  Before this change, when using the mged "red" command to
	  add/remove attribute "region=R", the mged "attr show" command
	  would not indicate the change even though the attribute
	  "region=R" was successfully added or removed. Updated function
	  "db_recurse" in file "librt/db_tree.c". Changed the call to
	  function "db5_sync_attr_to_comb" to pass in the directory instead
	  of the combination name.

2012-05-17 20:03  brlcad

	* [r50592] NEWS:
	  cliff added support to rtwizard so that it'll write out a png
	  file from the framebuffer. if the filename indicates a png
	  extension, it's used and otherwise still defaults to pix.
	  previously, richard also added preliminary support for png output
	  to just the ghost image with insert (type e) output mode.

2012-05-17 20:00  brlcad

	* [r50591] HACKING:
	  move the discussion about branches out of the secion on commit
	  access and into the sections on organization. similarly, clean up
	  the testing section to avoid superfluous information.

2012-05-17 19:54  brlcad

	* [r50590] NEWS:
	  the archer bot selection gui lets the user pick what bot they
	  want to edit by displaying a combobox. the list was previously
	  unsorted, now sorted. r49182

2012-05-17 19:52  brlcad

	* [r50589] NEWS:
	  tom browder expanded the bb command help for mged, filling in
	  synopsis, options, and more. r48146

2012-05-17 18:44  starseeker

	* [r50588] src/tclscripts/rtwizard/RaytraceWizard.tcl,
	  src/tclscripts/rtwizard/rtwizard.tcl:
	  rtwizard.tcl is doing the sanity insurance for dbFile

2012-05-17 18:39  bob1961

	* [r50587] src/libtclcad/tclcad_obj.c:
	  The previous fix to call glReadPixels with GL_RGB instead of
	  GL_RGBA was flawed. This fixes the problem that was seen in
	  to_png().

2012-05-17 18:31  starseeker

	* [r50586] src/tclscripts/rtwizard/rtwizard.tcl:
	  Do something slightly more intelligent about fbserv ports - also,
	  have a use for a verbose flag now...

2012-05-17 18:07  brlcad

	* [r50585] BUGS:
	  out of date dm bugs seem to be no longer an issue

2012-05-17 16:58  n_reed

	* [r50584] src/other/step/src/cldai/sdaiString.cc,
	  src/other/step/src/clstepcore/read_func.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/clutils/Str.cc,
	  src/other/step/src/clutils/Str.h:
	  Apply changes based on SCL git 6e9b5a7. Creates GetLiteralStr
	  function to implement and extend functionality common to
	  SDAI_String::STEPread and PushPastString.

2012-05-17 16:12  cprecup

	* [r50583] src/libbu/test_booleanize.c:
	  Fixed the style and formatting

2012-05-17 15:24  brlcad

	* [r50582] src/libbu/parse.c:
	  use BU_STR_EQUIV for case-insensitive checking when a shader
	  string includes stack or envmap.

2012-05-17 15:21  brlcad

	* [r50581] NEWS:
	  nick added support in r47659 for braces around shader parameters,
	  e.g. "plastic {sp .5 di .5}" as well as "plastic sp=.5 di=.5" to
	  help improve usability and interaction with the mater command.

2012-05-17 15:16  brlcad

	* [r50580] NEWS:
	  nick improved the obj-g importer making it more robustly handle
	  bad geometry. more specifically, if faceuse creation fails, it'll
	  now propagate that failure and skip those faces (instead of
	  propagating bad geometry). fixed in r48312.

2012-05-17 15:13  brlcad

	* [r50579] NEWS:
	  numerous enhancements were made to NMG processing during the
	  coverity defect fixing including book-keeping fixes (incrementing
	  pointer instead of value), memory allocation problems, logic
	  problems, and more.

2012-05-17 15:07  brlcad

	* [r50578] NEWS:
	  tom browder fixed memory leaks in the comgeom-g importer. nick
	  also fixed a couple memory leak errors detected by coverity. as a
	  single-use-then-exit tool, the impact of the memory leaks is
	  minor, but potentially user-visible if there are lots of geometry
	  import failures (for whatever reason).

2012-05-17 15:03  brlcad

	* [r50577] NEWS:
	  nick fixed a bug in the conversion of ascii hyp objects into .g
	  format where it would fall-through and try to create an eto of
	  the same name. this undoubtedly resulted in either a crash,
	  (likely) error message saying it couldn't make the eto, or eto
	  replacing the hyp. fixed due to coverity cid 335, in r48532.

2012-05-17 14:59  brlcad

	* [r50576] NEWS:
	  nick fixed a bug in the keypoint selection of extrude geometry
	  while fixing a coverity-detected invalid array index (cid 426)

2012-05-17 13:45  brlcad

	* [r50575] configure.ac:
	  need libz even if we build opennurbs ourselves

2012-05-17 11:50  bob1961

	* [r50574] src/tclscripts/lib/Ged.tcl:
	  Added cadwidgets::Ged::perspective_all

2012-05-17 11:48  bob1961

	* [r50573] src/tclscripts/archer/Archer.tcl,
	  src/tclscripts/archer/ArcherCore.tcl:
	  Added a perspective angle preference.

2012-05-16 18:08  starseeker

	* [r50572] src/tclscripts/rtwizard/rtwizard.tcl:
	  Add a perspective slot to the rtimage call - zero for now, but
	  need to add the perspective option to rtwizard command line.

2012-05-16 17:56  starseeker

	* [r50571] src/librt/primitives/eto/eto_brep.cpp:
	  Apply patch 3526551 from Wu Jianbang fixing eto implicit to brep
	  conversion behavior.

2012-05-16 16:45  bob1961

	* [r50570] src/libged/perspective.c, src/libtclcad/tclcad_obj.c:
	  Don't need to compute the perspective matrix in
	  tclcad_obj.c/go_draw() (i.e. use the previously computed
	  gv_pmodel2view). Mod ged_perspective() to calculate gv_pmat if
	  gv_perspective is greater than 0.

2012-05-16 16:05  bob1961

	* [r50569] src/tclscripts/lib/RtImage.tcl:
	  Missed a perspective usage. Call fb-pix at the end of the color
	  object section.

2012-05-16 13:08  bob1961

	* [r50568] src/tclscripts/lib/Ged.tcl:
	  Minor mod to cadwidgets::get::make_image_local (i.e. need to call
	  perspective with a view).

2012-05-16 11:55  bob1961

	* [r50567] src/tclscripts/lib/Ged.tcl,
	  src/tclscripts/lib/RtImage.tcl:
	  Added a perspective parameter to cadwidgets::Ged::make_image,
	  cadwidgets::Ged::make_image_local and cadwidgets::rtimage. Also
	  added an extra rtedge call for color objects that are edged in
	  cadwidgets::rtimage.

2012-05-16 11:51  erikgreenwald

	* [r50566] src/libbu/CMakeLists.txt, src/libbu/Makefile.am,
	  src/libbu/booleanize.c, src/libbu/test_booleanize.c:
	  Apply patch for tracker ID 3519874. Adds a test program for
	  booleanize as well as fixing a bug in the implementation of
	  booleanize.
	  https://sourceforge.net/tracker/index.php?func=detail&aid=3519874&group_id=105292&atid=640804

2012-05-16 04:44  brlcad

	* [r50565] NEWS:
	  nick fixed a bug in the anim_keyread and anim_orient animation
	  tools in r49407 fixing a coverity-detected swapped argument bug.
	  looks like the bug should be evident if one tried to set an xyz
	  /ypr view. also affects anim_lookat.

2012-05-16 04:35  brlcad

	* [r50564] NEWS:
	  the same swapped arguments bug seen in some of the animation
	  tools is also true in libged/mged commands such as this one, ypr.
	  detected by coverity, fixed by nick.

2012-05-16 04:24  brlcad

	* [r50563] NEWS:
	  nick fixed a bug in the anim_keyread and anim_orient animation
	  tools in r49407 fixing a coverity-detected swapped argument bug.
	  looks like the bug should be evident if one tried to set an xyz
	  view angle.

2012-05-16 02:56  brlcad

	* [r50562] NEWS:
	  nick fixed a bug in the make_pnts command where the input
	  datafile wasn't being released. this is particularly problematic
	  on windows and other platforms that do not relinquish the file.
	  r49409.

2012-05-15 22:04  n_reed

	* [r50561] src/other/step/src/clstepcore/STEPaggregate.cc,
	  src/other/step/src/clstepcore/read_func.cc,
	  src/other/step/src/clstepcore/sdai.h,
	  src/other/step/src/clutils/Str.h:
	  consolidate definitions of STRING_DELIM

2012-05-15 21:34  brlcad

	* [r50560] AUTHORS:
	  credit cristina precup for her booleanize patch #3519874 (unit
	  test for the file src/libbu/booleanize.c) partially applied in
	  r50558

2012-05-15 21:16  brlcad

	* [r50559] src/libpkg/tpkg.c:
	  use TPKG_BUFSIZE here too

2012-05-15 20:58  erikgreenwald

	* [r50558] src/libbu/booleanize.c:
	  Apply fix to '0' test from sf tracker patch 3519874 (cprecup's
	  test_booleanize).

2012-05-15 19:40  n_reed

	* [r50557] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/clstepcore/sdaiSelect.cc,
	  src/other/step/src/clstepcore/sdaiSelect.h,
	  src/other/step/src/clutils/errordesc.cc,
	  src/other/step/src/clutils/errordesc.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  Apply changes from SCL git 1016b07. Use std::string more
	  frequently and move ErrorDescriptor message strings to stack to
	  simplify things.

2012-05-15 19:05  starseeker

	* [r50556] src/other/lemon/lemon.c:
	  While we're at it, pull the latest lemon.c file

2012-05-15 19:03  starseeker

	* [r50555] src/other/lemon/lempar.c:
	  if yyRuleName isn't defined, don't try to sizeof it.

2012-05-15 19:00  brlcad

	* [r50554] src/fbserv/server.c:
	  restructure to avoid forward declarations. make all of the
	  callback functions static.

2012-05-15 13:34  erikgreenwald

	* [r50553] src/adrt/isst_tcltk.c:
	  Isst_Init() is the name used by FreeBSD, Linux and MacOSX. Add a
	  comment breadcrumb mentioning that Issttcltk_Init() might be
	  required for certain platforms.

2012-05-15 13:20  erikgreenwald

	* [r50552] src/adrt/CMakeLists.txt:
	  put library in lib/ instead of lib/isst0.1/ so require can find
	  it

2012-05-15 12:59  brlcad

	* [r50551] AUTHORS:
	  credit ksenija silvko (ksuzee) with her sf code reduction
	  patches, one recently applied to isst/adrt with others pending.

2012-05-15 12:56  brlcad

	* [r50550] AUTHORS:
	  chris and wu made code contributions, attribute correctly

2012-05-15 12:52  brlcad

	* [r50549] src/adrt/isst_tcltk.c:
	  apply Ksenija Slivko's ( ksuzee ) sf patch 3526862 removing the
	  duplicitous Isst_Init() function. Issttcltk_Init() is identical
	  and actually called.

2012-05-15 11:52  erikgreenwald

	* [r50548] TODO:
	  mention VLS %lld regress failure

2012-05-15 04:32  brlcad

	* [r50547] NEWS:
	  add a line item for the conversion of implicit geometry into
	  boundary representation format now that they are predominantly
	  all implemented and seem to be working well (as seen by csgbrep
	  conversion testing and brep mged command). 95+% all cliff with
	  some support from wu on fixing up ehy, ell, hyp and 'brep'
	  command. also, a smidgen from yours truly fixing various memory
	  management bugs and stabbing in the initial solid bspline->brep
	  conversion.

2012-05-15 00:37  starseeker

	* [r50546] src/librt/primitives/ehy/ehy_brep.cpp,
	  src/librt/primitives/ell/ell_brep.cpp,
	  src/librt/primitives/hyp/hyp_brep.cpp:
	  Apply brep patches from 3513288 - slight alteration to the hyp
	  patch which seems to result in correct raytracing of the hyp,
	  although it probably needs a bit more checking to make sure all
	  the surfaces are facing the right way.

2012-05-14 21:23  brlcad

	* [r50545] NEWS:
	  keith fixed a surprising bug in the relatively new BoT mesh TIE
	  rendering bug where segments were being lost during
	  rt_bot_makesegs. it was using a hit_vpriv array that TIE was
	  never filling in, used for cleaning up odd hits, exiting before
	  entrance, and dangling entrace cases. this consequently was
	  related to another issue where hit segments were off by 1.01
	  units.

2012-05-14 21:17  brlcad

	* [r50544] NEWS:
	  keith fixed a surprising bug in the relatively new BoT mesh TIE
	  rendering bug where segments were being lost during
	  rt_bot_makesegs. it was using a hit_vpriv array that TIE was
	  never filling in, used for cleaning up odd hits, exiting before
	  entrance, and dangling entrace cases.

2012-05-14 21:13  brlcad

	* [r50543] NEWS:
	  keith improved nurbs raytracing (fixing the segment lists being
	  returned to analysis codes) when we're shooting from inside nurbs
	  geometry. before, it was ignoring hits from behind. r50167 makes
	  them look at those too so the negative hit point is properly
	  returned.

2012-05-14 21:10  brlcad

	* [r50542] TODO:
	  need to bump (most, but probably not all) libs version number ..
	  for any whose headers have changed

2012-05-14 20:59  brlcad

	* [r50541] TODO:
	  red has failed too many times. new failures such as r50521
	  necessitate a regression test.

2012-05-14 20:57  brlcad

	* [r50540] src/libged/red.c:
	  shouldn't muddle our own terminology with redundancy. regions and
	  groups are combinations. (plus the serial comma was missing and
	  the usage implied an option null set)

2012-05-14 20:54  brlcad

	* [r50539] NEWS:
	  richard fixed a region demotion bug in the mged 'red' command
	  (really, another bug? regression should test/catch this...) where
	  a region was being having the region-flag unset.

2012-05-14 20:41  brlcad

	* [r50538] NEWS:
	  cliff added support to rtwizard so that (at least in command-line
	  mode) it'll write out a png file from the framebuffer. if the
	  filename indicates a png extension, it's used and otherwise still
	  defaults to pix.

2012-05-14 20:36  brlcad

	* [r50537] NEWS:
	  credit wu jianbang (aka phoenix) with an initial code
	  contribution that added support to the brep command for
	  converting existing primitives to brep form. (sf patch 3515194
	  applied slightly tweaked in r50529 by starseeker). gsoc2012.

2012-05-14 20:33  brlcad

	* [r50536] AUTHORS:
	  credit wu jianbang (aka phoenix) with an initial code
	  contribution that added support to the brep command for
	  converting existing primitives to brep form. (sf patch 3515194
	  applied in r50529 by starseeker). thanks wu!

2012-05-14 19:31  starseeker

	* [r50535] src/tclscripts/rtwizard/rtwizard.tcl:
	  Want to pop up the GUI if all we have is the .g file specified

2012-05-14 19:04  starseeker

	* [r50534] doc/docbook/system/man1/en/rtwizard.xml:
	  Make some updates to the rtwizard man page.

2012-05-14 16:43  starseeker

	* [r50533] src/tclscripts/rtwizard/rtwizard.tcl:
	  If an output file is specified but doesn't have a pix or png
	  extension, assume pix

2012-05-14 13:46  starseeker

	* [r50532] src/tclscripts/rtwizard/rtwizard.tcl:
	  rename a few variables

2012-05-14 12:56  starseeker

	* [r50531] src/tclscripts/rtwizard/rtwizard.tcl:
	  Use 'C' for color

2012-05-14 12:49  starseeker

	* [r50530] src/tclscripts/rtwizard/rtwizard.tcl:
	  Make RtWizard namespace more explicitly toplevel, add extra check
	  to make sure we have a proposed output file before doing the file
	  exists test.

2012-05-13 00:14  starseeker

	* [r50529] src/libged/brep.c,
	  src/librt/primitives/brep/brep_debug.cpp:
	  Apply a slight tweak of patch 3515194 from Wu Jianbang (phoenix)
	  to add support to the brep command for converting existing
	  primitives to brep form.

2012-05-12 15:55  starseeker

	* [r50528] doc/docbook/system/mann/en/CMakeLists.txt,
	  doc/docbook/system/mann/en/rtwizard.xml:
	  rtwizard isn't an MGED command line command

2012-05-12 13:45  starseeker

	* [r50527] src/tclscripts/rtwizard/rtwizard.tcl:
	  If we aren't going to be able to create the out file we need,
	  bail early instead of wiping out during raytracing.

2012-05-12 12:21  starseeker

	* [r50526] src/tclscripts/rtwizard/rtwizard.tcl:
	  Add png ouput support, make the option handling a bit smarter -
	  can spot .g, .pix and .png file specifiers without needing -i and
	  -o options (although setting input and output files with the
	  options overrules no-option specifiers) and treats any remaining
	  unknown args as full color specifiers. Net result is rtwizard
	  feels a bit more like rt until you start adding on extra options,
	  although -F/dev/X still needs to be -F /dev/X with rtwizard for
	  now.

2012-05-12 11:42  starseeker

	* [r50525] src/tclscripts/rtwizard/rtwizard.tcl:
	  Fully specifiy RtWizard namespace as a child of the toplevel
	  namespace in getopt variables

2012-05-11 20:30  starseeker

	* [r50523] src/tclscripts/rtwizard/rtwizard.tcl:
	  The real beginning of rtwizard command line support. Can specify
	  a variety of options on the command line, although this may not
	  be the final form of all the options and the man page will need
	  to be synced with the actual options. Currently none of the
	  command line options can be used to initialize GUI options, but
	  that level of integration should be possible.

2012-05-11 20:30  r_weiss

	* [r50522] src/libged/editit.c:
	  Fixed a bug in function '_ged_editit' in file 'editit.c'. There
	  was an array which was not initialized causing intermittent
	  errors and seg-faults.

2012-05-11 20:26  r_weiss

	* [r50521] src/libged/red.c:
	  Updated function 'ged_red' in file 'red.c'. Fixed a bug where
	  regions were incorrectly being automatically converted to
	  combinations when editied with the mged 'red' command. Fixed bugs
	  in the mged 'red' command input parameter error checking.
	  Improved some of the error messages in the mged and archer 'red'
	  command.

2012-05-11 20:06  r_weiss

	* [r50520] src/mged/utility1.c:
	  Updated function 'f_red' in file 'utility1.c'. This change fixes
	  a bug where error messages were not displayed from the mged 'red'
	  command.

2012-05-11 19:33  brlcad

	* [r50519] NEWS:
	  richard expanded mged's 'l' list command documentation with
	  details on the -t (terse) and -r (recursive) options. also the
	  same for the listeval command (where -t also means terse output)

2012-05-11 19:30  brlcad

	* [r50518] NEWS:
	  richard expanded mged's 'l' list command documentation with
	  details on the -t (terse) and -r (recursive) options.

2012-05-11 19:16  brlcad

	* [r50517] TODO:
	  suprising this hasn't been provided by now, but add an option for
	  reading angles as radians or degrees. most of our tools take
	  degree angles but could just as easily take both. avoid 'R' since
	  it implies radius, but perhaps a 'rad' and 'deg' suffix would
	  help. probably best implemented as a libbn function.

2012-05-11 18:59  bob1961

	* [r50516] src/tclscripts/archer/ArcherCore.tcl:
	  Update ArcherCore::attr to not set the saveflag when calling the
	  "get" or "show" subcommands.

2012-05-11 18:36  brlcad

	* [r50515] NEWS:
	  richard added a new -m1 option to mged for drawing BoTs in shaded
	  mode if OpenGL support is enabled (along with lighting and
	  z-buffering), including user documentation.

2012-05-11 18:31  brlcad

	* [r50514] NEWS:
	  cliff added new command-line support to rtwizard including added
	  new manual page documentation. inclued are a variety of options
	  that provide a way to avoid the need for graphically picking
	  components. not yet fully non-graphical, but moving in support of
	  that end for regression testing.

2012-05-11 17:36  brlcad

	* [r50513] HACKING:
	  prompted by browder's mailing list inquiry and linux release
	  naming disconformity, include a new section on patching a
	  release. includes details on version numbering. uses the
	  versiontriplet-count convention in order to match the existing
	  linux binary release files and to avoid ambiguity, especially
	  since we already have a 'PATCH' version number that increments
	  sequentially.

2012-05-11 16:28  brlcad

	* [r50512] HACKING:
	  summarize the release process more clearly with the underlying
	  rationale. the emphasis isn't monthly iteration, so make the
	  steps clear on requirements for sync/tag and announcing release
	  intentions. include a copy-pasteable mail notification and
	  improve some of the other steps so they can similarly be
	  copy-pasted. get the last release rev and set MAJOR/MINOR/PATCH
	  for tagging.

2012-05-11 15:12  starseeker

	* [r50511] src/tclscripts/rtwizard/RaytraceWizard.tcl,
	  src/tclscripts/rtwizard/rtwizard.tcl,
	  src/tclscripts/util/getopt.tcl:
	  Make a couple things into package requireable packages and add a
	  couple other tweaks to make pkg_mkIndex happy - hopefully this
	  eliminates the error being reported trying to source getopt.tcl

2012-05-11 14:09  bob1961

	* [r50510] src/tclscripts/lib/CMakeLists.txt,
	  src/tclscripts/lib/Ged.tcl, src/tclscripts/lib/RtImage.tcl,
	  src/tclscripts/lib/pkgIndex.tcl:
	  Split out the guts of cadwidgets::Ged::make_image into
	  cadwidgets::rtimage.

2012-05-11 02:20  brlcad

	* [r50509] NEWS:
	  tom browder fixed a bug in the comgeom-g importer that was
	  causing a problem due to improper memory deallocation after
	  mk_ars().

2012-05-11 02:10  brlcad

	* [r50508] NEWS:
	  cliff fixed a bug in rtedge where it was giving a permission
	  denied error due to a double-open call. the double-open was
	  somehow fine before the conversion to bu_image/icv_image but was
	  now giving an "open: Permission denied" error. fix was to
	  eliminate the second open call.

2012-05-10 23:43  starseeker

	* [r50507] src/rt/viewedge.c:
	  icv_image_save_open is already called by do.c:795, resulting in a
	  failure to open the file when viewedge.c attempts to call it
	  again. Difference looks to be ICV_IMAGE_AUTO_NO_PIX vs
	  ICV_IMAGE_AUTO between the two calls - looking at
	  fileformat.c:278 the only difference is the icv_image_save_open
	  command will not default to returning a pix file if it doesn't
	  recognize the image format via extension. Unless there is a good
	  reason for rtedge to be a special case, this behavior should
	  probably be consistent across the rt commands one way or the
	  other.

2012-05-10 21:06  n_reed

	* [r50506] src/other/step/src/clstepcore/ExpDict.cc,
	  src/other/step/src/clstepcore/ExpDict.inline.cc,
	  src/other/step/src/clstepcore/Registry.h,
	  src/other/step/src/clstepcore/Registry.inline.cc,
	  src/other/step/src/clstepcore/STEPaggregate.cc,
	  src/other/step/src/clstepcore/STEPaggregate.h,
	  src/other/step/src/clstepcore/STEPattribute.cc,
	  src/other/step/src/clstepcore/STEPattribute.h,
	  src/other/step/src/clstepcore/STEPattribute.inline.cc,
	  src/other/step/src/clstepcore/STEPcomplex.h,
	  src/other/step/src/clstepcore/collect.cc,
	  src/other/step/src/clstepcore/complexSupport.h,
	  src/other/step/src/clstepcore/complexlist.cc,
	  src/other/step/src/clstepcore/entlist.cc,
	  src/other/step/src/clstepcore/entnode.cc,
	  src/other/step/src/clstepcore/match-ors.cc,
	  src/other/step/src/clstepcore/multlist.cc,
	  src/other/step/src/clstepcore/non-ors.cc,
	  src/other/step/src/clstepcore/orlist.cc,
	  src/other/step/src/clstepcore/print.cc,
	  src/other/step/src/clstepcore/read_func.cc,
	  src/other/step/src/clstepcore/read_func.h,
	  src/other/step/src/clstepcore/sdai.cc,
	  src/other/step/src/clstepcore/trynext.cc:
	  Cleanup in clstepcore. SCL git 239ce49 and f9b9383.

2012-05-10 21:06  brlcad

	* [r50505] NEWS:
	  tom browder fixed memory leaks in the comgeom-g importer. as a
	  single-use tool, the impact is minor, but potentially
	  user-visible if there are lots of geometry import failures (for
	  whatever reason).

2012-05-10 21:00  brlcad

	* [r50504] src/rt/viewedge.c:
	  revert r50298 that just commented out the file open call. the
	  file is still conditionally written to so this very likely broke
	  the -o output option and/or will cause a crash. regardless,
	  creating new dead code without a documented reason/explanation is
	  wrong too.

2012-05-10 20:45  brlcad

	* [r50503] HACKING:
	  it's been a while since one has been introduced, so expand
	  details on using global variables. be clear that we should not be
	  adding new globals to libraries and discourage use within
	  applications. note two dominant alternative solutions.

2012-05-10 20:31  brlcad

	* [r50502] src/libtclcad/tclcad.c, src/libtclcad/tclcad_obj.c,
	  src/libtclcad/tclcad_private.h:
	  rename tclcad_initialized() to library_initialized() since it is
	  not public API. add doxy comments and fix new file copyright
	  year.

2012-05-10 20:26  brlcad

	* [r50501] src/libtclcad/tclcad.c, src/libtclcad/tclcad_obj.c:
	  don't mark the library as initialized until after we're done
	  initializing (in case anyone ever tries to use the library from a
	  multithreaded context)

2012-05-10 20:24  brlcad

	* [r50500] src/libtclcad/tclcad.c, src/libtclcad/tclcad_obj.c,
	  src/libtclcad/tclcad_private.h:
	  we should not be introducing new globals in libraries. their cost
	  is far too great, are exceptionally error-prone, inherintly
	  unsafe, and they pollute the API. convert to an initialization
	  function holding the flag instead.

2012-05-10 20:09  brlcad

	* [r50499] NEWS:
	  keith made some improvements to the flatness testing (for grazing
	  hits) that should improve performance, give better curve
	  estimates, and handle joined trimmed edges better. a little
	  slower, but more robust with less speckling.

2012-05-10 20:02  brlcad

	* [r50498] NEWS:
	  bob fixed a bug in libfb ogl/wgl framebuffers where overlay
	  renderings were failing to be shown. notably seen with
	  rtedge/rtwizard rendering where the back buffer of the
	  double-buffered context wasn't being drawn during overlay.

2012-05-10 19:57  brlcad

	* [r50497] NEWS:
	  richard added an mged script command 'lc' for listing sets of
	  codes (attributes) of regions within a combination. attributes
	  listed include region_id, materia-id, los, and the region name.
	  unset is reported as '--' and is default sorted by region id with
	  options for sorting by any column. command is a tcl script.

2012-05-10 19:37  brlcad

	* [r50496] NEWS:
	  bob fixed a bug in mged's matrix edit mode where there appears to
	  have been an off-by-one error selecing a reference index that was
	  equal to the number of references.

2012-05-10 19:13  indianlarry

	* [r50494] src/librt/primitives/brep/brep.cpp:
	  Added UV pushback routine that keeps the newton iterate method
	  from walking out of the UV domain of the SBV versus the current
	  version that keeps it within the surface UV. Also added code to
	  make sure iterate does not step back past previous point along
	  iteration.

2012-05-10 18:16  brlcad

	* [r50493] NEWS:
	  keith made some improvements to the flatness testing (for grazing
	  hits) that should improve performance, give better curve
	  estimates, and handle joined trimmed edges better.

2012-05-10 18:08  n_reed

	* [r50492] src/other/step/include/express/alg.h,
	  src/other/step/include/express/error.h,
	  src/other/step/include/express/object.h,
	  src/other/step/include/express/symbol.h,
	  src/other/step/src/exppp/exppp.c,
	  src/other/step/src/express/alg.c,
	  src/other/step/src/express/caseitem.c,
	  src/other/step/src/express/dict.c,
	  src/other/step/src/express/entity.c,
	  src/other/step/src/express/error.c,
	  src/other/step/src/express/expr.c,
	  src/other/step/src/express/express.c,
	  src/other/step/src/express/object.c,
	  src/other/step/src/express/resolve.c,
	  src/other/step/src/express/schema.c,
	  src/other/step/src/express/scope.c,
	  src/other/step/src/express/stmt.c,
	  src/other/step/src/express/symbol.c,
	  src/other/step/src/express/type.c,
	  src/other/step/src/express/variable.c,
	  src/other/step/src/fedex_plus/classes.c:
	  Fix and doxify comments, plus misc cleanup. SCL git 3e8c116,
	  5dc0439, 5d36b32, and 65791a2.

2012-05-10 17:52  indianlarry

	* [r50490] src/librt/opennurbs_ext.cpp, src/librt/opennurbs_ext.h:
	  Changed flatness test back to to running product of the normal
	  vector of the frenet frame projected onto each other normal in
	  the frame set. Also added early bail once flatness criteria
	  fails. Added straightness test in a similar manner using the
	  tangent from the frenet frame. Changed
	  getCurveEstimateOfV()/getCurveEstimateOfU() to solve using
	  subdivision. Added tolerence value of BREP_EDGE_MISS_TOLERANCE so
	  we can get NEAR misses from isTrimmed().

2012-05-10 17:40  bob1961

	* [r50489] src/libtclcad/tclcad_obj.c:
	  Added specific bindings for releasing button-1 while in an
	  override mode. This eliminates events bleeding through to the
	  current mode.

2012-05-10 16:06  starseeker

	* [r50486] src/tclscripts/util/Makefile.am:
	  sync Makefile.am

2012-05-10 14:23  bob1961

	* [r50484] src/tclscripts/lib/TkTable.tcl:
	  Added TkTable::unselectRow.

2012-05-10 14:06  erikgreenwald

	* [r50483] src/librt/primitives/bot/tie_kdtree.c:
	  return the split value instead of filling a pointer and returning
	  void

2012-05-10 13:03  starseeker

	* [r50482] src/libfb/CMakeLists.txt:
	  Opps - partial conversions don't help much.

2012-05-10 12:47  starseeker

	* [r50481] src/libfb/CMakeLists.txt:
	  Whoops - use the new variable scheme for libfb too

2012-05-10 05:24  brlcad

	* [r50480] misc/CMake/FindSTL.cmake:
	  the test was always failing due to i never being used. use ac/av
	  instead and put them to 'use' so we always return 0.

2012-05-10 00:02  starseeker

	* [r50479] doc/docbook/system/mann/en/CMakeLists.txt,
	  misc/CMake/DocBook.cmake, misc/CMake/xsltproc.cmake.in:
	  The workaround for xsltproc's failure to place man output in the
	  correct location when odd pathnames are used is needed for ALL
	  outputs generated - was failing in the multi-file output case.
	  Scrap the extra macro, and instead make the extra outputs source
	  file properties in CMake. The standard macros then check for and
	  use the contents of those properties. Somewhat cleaner and should
	  be more robust. For the first time in a while, distcheck-full
	  passes on Linux with CMake.

2012-05-09 19:20  n_reed

	* [r50478] src/other/step/src/clstepcore/ExpDict.cc:
	  remove some commented code

2012-05-09 19:14  n_reed

	* [r50477] src/other/step/src/exppp/exppp.c:
	  SCL git de55c37, remove unused variables

2012-05-09 15:42  starseeker

	* [r50476] misc/CMake/DocBook.cmake:
	  Add some quotes to DOCBOOK_EXTRA_OUTPUT

2012-05-09 13:28  bob1961

	* [r50475] src/tclscripts/lib/Ged.tcl:
	  Added the make_image (makes rtwizard types of images),
	  make_image_local (calls make_image with view parameters from the
	  local display window) and win_size (returns the width and height
	  of the local display window) methods.

2012-05-09 02:32  brlcad

	* [r50474] BUGS, TODO:
	  crdueck tested and could not reproduce the 'attach X' bug
	  crashing console-mode mged. perhaps fixed during coverity cleanup
	  or some other patch. still warrants a quick check prior to
	  release, but hopefully fixed.

2012-05-09 01:16  brlcad

	* [r50473] BUGS:
	  expand with additional details about the invocation bug

2012-05-08 22:17  n_reed

	* [r50472] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.h:
	  Remove P21CommentRep() and move p21Comment string to stack to
	  simplify things. SCL git 219957d.

2012-05-08 20:17  starseeker

	* [r50471] regress/Makefile.am:
	  Try to add new outputs to Makefile.am for regression

2012-05-08 20:14  n_reed

	* [r50470] src/other/step/src/clutils/scl_hash.cc,
	  src/other/step/src/clutils/scl_hash.h:
	  Make HASHsearch item param const. SCL git defe0dd.

2012-05-08 20:12  starseeker

	* [r50469] regress/CMakeLists.txt, regress/g-nff.sh,
	  regress/iges.sh:
	  Odd pathname distcheck smoked out some weaknesses in the new
	  regression scripts. Address those, also have build logic clear
	  out iges test outputs.

2012-05-08 19:53  n_reed

	* [r50468] src/other/step/src/express/resolve.c:
	  apply SCL git 0d9c16d, which fixes fedex_plus failure on ap203e2
	  schema

2012-05-08 19:20  n_reed

	* [r50467] src/other/step/src/clstepcore/read_func.cc:
	  Rewrite PushPastString to avoid two consecutive get/putback as
	  identified by SCL git abb3add. Also if first char on stream isn't
	  string delimiter, don't take it off the stream.

2012-05-08 18:36  starseeker

	* [r50466] regress/CMakeLists.txt:
	  regress-quote is not ready to be added to the main regress
	  target.

2012-05-08 18:13  starseeker

	* [r50465] regress/CMakeLists.txt, regress/comgeom.sh,
	  regress/g-nff.sh:
	  Make clearing out the files the responsibility of the build
	  logic, in keeping with other tests. Update file output names to
	  respect the existing convention.

2012-05-08 17:52  starseeker

	* [r50464] regress/comgeom.sh, regress/g-nff.sh:
	  Ah hah. Use distinct filenames for the g-nff and comgeom tests,
	  so they play nice when regress in run in parallel.

2012-05-08 14:42  starseeker

	* [r50463] misc/CMake/BRLCAD_Targets.cmake,
	  misc/CMake/BRLCAD_Util.cmake, src/libdm/CMakeLists.txt,
	  src/librt/CMakeLists.txt, src/libwdb/CMakeLists.txt,
	  src/mged/CMakeLists.txt:
	  Reorganize some functionality to reduce logic duplication, few
	  tweaks. Will need to test this on Windows.

2012-05-08 12:55  starseeker

	* [r50462] misc/CMake/BRLCAD_Targets.cmake:
	  Ah, now I remember. Even REGEX substitution of non-alpha-numeric
	  characters isn't good enough - what if two paths differ only by
	  having different non-alpha-numeric characters? Use the IS_SUBPATH
	  macro created for the distcheck routines that have to deal with
	  similar issues.

2012-05-08 12:17  starseeker

	* [r50461] misc/CMake/BRLCAD_Targets.cmake:
	  Don't use REGEX if we don't need to

2012-05-08 10:59  starseeker

	* [r50460] misc/CMake/BRLCAD_Targets.cmake:
	  Sean called me on it, and he's right. Try getting the 'strip the
	  non-regex-friendly-chars-out-of-the-path' behavior to be more
	  robust...

2012-05-08 01:23  brlcad

	* [r50459] NEWS:
	  bob made a change to the way libbu parses argv array elements to
	  allow escaping of quoted strings. this fixes a problem one would
	  encounter if you used rtwizard and it tried to feed multiple
	  occlusion objects to rtwizard. now they parse and occlude
	  correctly.

2012-05-07 21:41  brlcad

	* [r50458] NEWS:
	  richard added new manpage documentation on the previously added
	  make_pnts command

2012-05-07 21:12  r_weiss

	* [r50457] doc/docbook/system/mann/en/CMakeLists.txt:
	  Updated file 'CMakeLists.txt' to add documentation for mged
	  command 'make_pnts'.

2012-05-07 21:08  r_weiss

	* [r50456] doc/docbook/system/mann/en/make_pnts.xml:
	  Added documentation for mged command 'make_pnts". Added file
	  'make_pnts.xml'.

2012-05-07 19:03  starseeker

	* [r50455] doc/docbook/system/mann/en/CMakeLists.txt,
	  misc/CMake/DocBook.cmake:
	  Hmm - more than one command ina man page means more than one
	  output file (with CMake not knowing in advance about the extras.)
	  Add a mechanism to tell CMake what to do with the extra output.

2012-05-07 16:22  r_weiss

	* [r50454] doc/docbook/system/mann/en/CMakeLists.txt:
	  Updated file 'CMakeLists.txt' to add the documention for the mged
	  command 'lc'.

2012-05-07 16:21  r_weiss

	* [r50453] doc/docbook/system/mann/en/lc.xml:
	  Added documention for the new mged command 'lc'. Added file
	  'lc.xml'.

2012-05-07 15:36  brlcad

	* [r50452] NEWS:
	  richard fixed a bug in gqa that was causing it to crash if the
	  requested object(s) did not exist. if rt_gettree() failed, it
	  continued processing and ended up crashing. now properly halts
	  after the error message.

2012-05-07 14:52  r_weiss

	* [r50451] src/libged/gqa.c:
	  Updated the mged 'gqa' command to exit with an error message if
	  the object specified does not exist. This change prevents a
	  seg-fault.

2012-05-05 14:30  starseeker

	* [r50450] src/other/CMakeLists.txt:
	  Use ON instead of 1

2012-05-05 11:41  starseeker

	* [r50449] src/other/CMakeLists.txt:
	  Make sure M_LIBRARY is tagged as advanced.

2012-05-04 23:16  starseeker

	* [r50448] src/mged/edsol.c:
	  Initialize new_pt instances in edsol.c

2012-05-04 18:40  bob1961

	* [r50447] src/tclscripts/rtwizard/lib/PictureTypeBase.itcl:
	  PictureTypeBase::rtedgeCmd needs backslashes and double quotes
	  around the occlusion objects being passed in to rtedge.

2012-05-04 18:37  bob1961

	* [r50446] src/tclscripts/rtwizard/lib/FbPage.itk:
	  Rtwizard mods to use /dev/oglsp and /dev/wglsp (i.e. single
	  buffering and private memory).

2012-05-04 18:32  bob1961

	* [r50445] src/libbu/argv.c:
	  Added support for escaping double quotes in
	  bu_argv_from_string(). This is necessary for feeding strings to
	  bu_struct_parse() and fixes rtedge (i.e. couldn't specify more
	  than one occlusion object).

2012-05-04 16:55  starseeker

	* [r50444] regress/comgeom.sh:
	  Need to quote paths in comgeom regression

2012-05-04 02:31  starseeker

	* [r50443] src/libged/simulate/simutils.c:
	  Initialize to VINIT_ZERO

2012-05-04 01:43  starseeker

	* [r50442] misc/CMake/BRLCAD_Targets.cmake:
	  If we're using MATCHES (and we need to here) make sure +
	  chracters don't cause issues.

2012-05-03 22:15  brlcad

	* [r50441] misc/CMake/FindSTL.cmake, src/libpc/CMakeLists.txt,
	  src/librt/CMakeLists.txt, src/other/perplex/CMakeLists.txt,
	  src/other/re2c/CMakeLists.txt,
	  src/other/step/cmake/SCL_Utils.cmake:
	  rename STDCXX_LINKLIB to STDCXX_LIBRARIES to comply with cmake's
	  documented convention (and it can require multiple libraries like
	  -lm and -lc, too)

2012-05-03 22:02  brlcad

	* [r50440] src/other/perplex/CMakeLists.txt,
	  src/other/re2c/CMakeLists.txt:
	  the conditional wasn't working, but shouldn't even be necessarly
	  since it's empty/unset when not found.

2012-05-03 21:33  brlcad

	* [r50439] src/libged/rt.c:
	  leave a comment explaining why we use this particular magic
	  number.

2012-05-03 21:31  n_reed

	* [r50438] src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  Apply SCL git 900d94d. fedex_plus no longer generates make_schema
	  file.

2012-05-03 21:28  brlcad

	* [r50437] src/libged/rt.c:
	  Investigating off-by-many errors in the solids regression test,
	  Keith noticed view script differences. Compared to Linux, Mac
	  viewscripts differed in the last/15th place after the decimal
	  point. Cliff observed calculations from cos() differing on the
	  16th digit prior to being written out, undoubtedly due to subtle
	  implementation differences (round vs truncate) as "real" value
	  was nearly halfway between cos() values being calculated for
	  Linux and Mac. Double-precision IEEE floating point only
	  guarantees 15-17 digits of precision, depending on the
	  calculation, so using a .15 precision specifier makes our printed
	  value dip into unreliable territory (1+15 significant digits). By
	  pulling the value up to .14, we get 15 digits of precision,
	  identical view scripts, and the solids test passes without
	  differences. Looking through our history, this seems to be safe
	  as the value prior to printing quaternions was %.9e. Anything
	  from 9->14 should be safe.

2012-05-03 21:08  n_reed

	* [r50436] src/other/step/src/clutils/scl_hash.cc,
	  src/other/step/src/fedex_plus/classes.c:
	  remove some goto statements based on SCL git a13ba21 and ecd400c

2012-05-03 21:06  brlcad

	* [r50435] src/libged/rt.c:
	  sort functions in order

2012-05-03 21:02  starseeker

	* [r50434] src/util/CMakeLists.txt:
	  Remove debug message

2012-05-03 20:45  starseeker

	* [r50433] misc/CMake/BRLCAD_Targets.cmake,
	  src/util/CMakeLists.txt:
	  Fix routine for sorting include dirs, and use it for util
	  directory. Seems to address issue on mac with using wrong png
	  lib/headers.

2012-05-03 20:28  n_reed

	* [r50432] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/cleditor/STEPfile.inline.cc,
	  src/other/step/src/cleditor/instmgr.cc,
	  src/other/step/src/cleditor/instmgr.h,
	  src/other/step/src/clstepcore/Registry.h,
	  src/other/step/src/clstepcore/STEPaggregate.cc,
	  src/other/step/src/clstepcore/STEPattribute.h,
	  src/other/step/src/clstepcore/STEPattribute.inline.cc,
	  src/other/step/src/clstepcore/STEPcomplex.h,
	  src/other/step/src/clstepcore/sdaiApplication_instance.h,
	  src/other/step/src/clstepcore/sdaiSelect.h,
	  src/other/step/src/clutils/scl_hash.cc,
	  src/other/step/src/clutils/scl_hash.h:
	  ws and old comment removal from SCL git 657a283

2012-05-03 20:23  n_reed

	* [r50431] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/clstepcore/ExpDict.cc,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/clstepcore/STEPundefined.cc:
	  Using std::string c_str() too much and empty() not enough. SCL
	  git 2295e71 and b759a0e.

2012-05-03 20:00  starseeker

	* [r50430] misc/CMake/FindSTL.cmake, src/libpc/CMakeLists.txt,
	  src/librt/CMakeLists.txt:
	  Switch to STDCXX_LINKLIB variable

2012-05-03 19:28  starseeker

	* [r50429] configure.ac, src/other/Makefile.am:
	  After discussion, concensus is to require a working libpng on the
	  system for autotools distcheck process. Putting forth the
	  resources required to get libpng's autotools logic working with
	  our distcheck (it still doesn't as of this commit) isn't
	  justified give the deprecated status of BRL-CAD's autools build.

2012-05-03 19:03  starseeker

	* [r50428] src/other/libpng/Makefile.am:
	  Don't worry about pngvalid with autotools build

2012-05-03 18:11  brlcad

	* [r50427] TODO:
	  add some fbserv/libfb items after talking with parker on a
	  variety of rtwizard and rendering issues. looks like the
	  long-standing ogl slowness was due to double-buffering being
	  absurdly slow compared to the render time for small models.

2012-05-03 17:41  starseeker

	* [r50426] CMakeLists.txt, src/other/perplex/CMakeLists.txt,
	  src/other/re2c/CMakeLists.txt,
	  src/other/step/cmake/SCL_Utils.cmake:
	  Try to make the stdc++ usage a matter of detection instead of
	  hardcoding. Untested on systems which would show the issue.

2012-05-03 17:27  starseeker

	* [r50425] doc/README.Linux:
	  List some of the more commonly missing devel packages on typical
	  Redhat/Fedora installs that are needed for BRL-CAD building.

2012-05-03 17:22  brlcad

	* [r50424] src/libpc/CMakeLists.txt, src/librt/CMakeLists.txt:
	  two of our C libs use C++ libraries, so specify the stl
	  dependency on their linker line in case we're going through
	  ccache, a C compiler, or some other configuration where we need
	  to explicitly link that library. needs to be abstracted in order
	  to support stlport, but completes a ccache build for now.

2012-05-03 17:16  brlcad

	* [r50423] src/libpkg/pkg.c:
	  somehow this passed compilation earlier but pkg needs the same
	  compatibility fix as the rest of brl-cad for the FD_SET
	  __extension__ keyword causing 'asm' compilation errors

2012-05-03 16:32  n_reed

	* [r50422] src/other/step/src/clstepcore/Registry.inline.cc,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/clstepcore/complexSupport.h,
	  src/other/step/src/fedex_plus/complexSupport.h:
	  cpp initialization warning fixes from SCL git f727293, b6bebbb,
	  and 3156ea7

2012-05-03 15:28  n_reed

	* [r50421] src/other/step/src/clutils/scl_hash.cc,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  signed/unsigned comparison changes based on SCL git f479cf4 and
	  402225e

2012-05-03 15:27  brlcad

	* [r50420] src/other/perplex/CMakeLists.txt,
	  src/other/step/cmake/SCL_Utils.cmake:
	  more stl linkages for external deps compiling through cache or
	  different compilers

2012-05-03 14:58  starseeker

	* [r50419] configure.ac, src/other/Makefile.am:
	  Turn libpng build back on in autotools

2012-05-03 14:52  brlcad

	* [r50418] src/other/re2c/CMakeLists.txt:
	  need to specify a c++ library for the stl if we happen to be
	  compiling under an environment that does not automatically
	  include it (e.g., ccache, gcc, others).

2012-05-03 01:29  starseeker

	* [r50417] regress/Makefile.am:
	  More files to clean in regress (autotools)

2012-05-03 00:28  starseeker

	* [r50416] src/libtclcad/Makefile.am:
	  add tclcad_private.h header to autotools extradist

2012-05-03 00:06  starseeker

	* [r50415] configure.ac:
	  Oops - couple more step items in autotools

2012-05-02 21:25  starseeker

	* [r50414] configure.ac, src/conv/Makefile.am,
	  src/other/Makefile.am:
	  Turn off step - Nick's improvements have now made the new step-g
	  build process too different from the original to be worth
	  re-implementing in autotools

2012-05-02 21:03  bob1961

	* [r50413] src/mged/chgview.c:
	  This fixes an issue in MGED where matrix edit was broken.

2012-05-02 20:29  starseeker

	* [r50412] src/libgcv/wfobj/CMakeLists.txt:
	  update wfobj CMakeLists.txt

2012-05-02 20:17  starseeker

	* [r50411] src/libgcv/Makefile.am, src/libgcv/wfobj/Makefile.am:
	  finish commenting out wfobj for autotools

2012-05-02 20:05  starseeker

	* [r50410] configure.ac:
	  No wfobj with autotools

2012-05-02 19:49  starseeker

	* [r50409] src/other/libutahrle/Makefile.am,
	  src/other/tcl/Makefile.am, src/other/tk/Makefile.am,
	  src/other/tkhtml/Makefile.am, src/other/tkpng/Makefile.am:
	  Switch other src/other Makefile.am files to just straight-up
	  ignore CMake dir

2012-05-02 15:54  n_reed

	* [r50408] src/other/step/src/clstepcore/ExpDict.cc,
	  src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/fedex_plus/classes.c:
	  apply cleanup changes from SCL git 9f83ece, 5e6ebb0, and ca50d53

2012-05-02 15:26  r_weiss

	* [r50407] src/tclscripts/mged/CMakeLists.txt,
	  src/tclscripts/mged/Makefile.am:
	  Updated files 'CMakeLists.txt' and 'Makefile.am' to add the tcl
	  script 'lc.tcl' to mged. This adds a new command called 'lc' to
	  mged which lists the codes (ie attributes) of regions within a
	  group.

2012-05-02 15:18  r_weiss

	* [r50406] src/tclscripts/mged/lc.tcl:
	  Added tcl script 'lc.tcl' for a new mged command 'lc' to list the
	  region codes (ie attributes) within a group.

2012-05-02 03:55  starseeker

	* [r50405] src/other/libz/Makefile.am:
	  zconf.h.in is no more

2012-05-02 03:37  starseeker

	* [r50404] CMakeLists.txt:
	  Add a note about the FIND_LIBRARY_USE_LIB32_PATHS bug, so we know
	  where to look if/when the issue comes up.

2012-05-02 03:34  starseeker

	* [r50403] src/other/incrTcl/itcl/Makefile.am,
	  src/other/incrTcl/itk/Makefile.am:
	  Just ignore all of CMake

2012-05-02 03:32  starseeker

	* [r50402] CMakeLists.txt, misc/CMake/distcheck_autotools.cmake.in:
	  This looks like it might be a viable way of regularly checking
	  the Autotools distcheck target (at least to the extent of making
	  sure it doesn't error out). Right now it looks like trunk
	  Autotools distcheck is not happy, so this breaks distcheck-full
	  until that gets sorted out.

2012-05-02 03:17  brlcad

	* [r50401] doc/deprecation.txt:
	  per IRC discussion in the aftermath of an autotools removal
	  revert, tighten up the deprecation language to specify two minor
	  release needing to include the deprecation notice. include an
	  example so it's even more explicit and not subject to
	  intepretation. strictly speaking, this reduces our deprecation
	  window by a minor but makes the policy about as tight as it can
	  get without being reckless or non-existent.

2012-05-02 03:14  starseeker

	* [r50400] autogen.sh, configure.ac, misc/Makefile.am,
	  src/other/Makefile.am:
	  Fix typos in deprecation messages, more Makefile.am changes
	  (untested in the misc case)

2012-05-02 02:53  starseeker

	* [r50399] Makefile.am:
	  Well, that's one issue already spotted - let Makefile.am know
	  there are no more .cmake toplevel doc files.

2012-05-02 02:05  brlcad

	* [r50398] CMakeLists.txt, Makefile.am, autogen.sh,
	  bench/CMakeLists.txt, bench/Makefile.am, configure, configure.ac,
	  configure.cmake.sh, db/CMakeLists.txt, db/Makefile.am,
	  db/include/Makefile.am, doc/CMakeLists.txt, doc/Makefile.am,
	  doc/html/CMakeLists.txt, doc/html/Makefile.am,
	  doc/html/ReleaseNotes/Makefile.am,
	  doc/html/ReleaseNotes/Rel5.0/Makefile.am,
	  doc/html/ReleaseNotes/Rel5.0/Summary/Makefile.am,
	  doc/html/ReleaseNotes/Rel6.0/Makefile.am,
	  doc/html/manuals/Anim_Tutorial/Makefile.am,
	  doc/html/manuals/Makefile.am,
	  doc/html/manuals/cadwidgets/Makefile.am,
	  doc/html/manuals/libbu/Makefile.am,
	  doc/html/manuals/libdm/Makefile.am,
	  doc/html/manuals/librt/Makefile.am,
	  doc/html/manuals/mged/Makefile.am,
	  doc/html/manuals/mged/animmate/Makefile.am,
	  doc/html/manuals/shaders/Makefile.am, doc/legal/CMakeLists.txt,
	  doc/legal/Makefile.am, include/CMakeLists.txt,
	  include/Makefile.am, include/conf/Makefile.am, m4,
	  m4/Makefile.am, m4/args.m4, m4/ax_boost_base.m4, m4/cache.m4,
	  m4/compiler.m4, m4/epsilon.m4, m4/mkdirp.m4, m4/patch.m4,
	  m4/prefix.m4, m4/search.m4, m4/stage.m4,
	  misc/CMake/configure_prefix.sh, misc/CMakeLists.txt,
	  misc/Makefile.am, misc/enigma/CMakeLists.txt,
	  misc/enigma/Makefile.am, misc/libtool.m4,
	  misc/macosx/Makefile.am, misc/macosx/Resources/Makefile.am,
	  misc/macosx/Resources/ReadMe.rtfd/Makefile.am,
	  misc/macosx/Resources/Welcome.rtfd/Makefile.am,
	  misc/pkgconfig/CMakeLists.txt, misc/pkgconfig/Makefile.am,
	  pix/CMakeLists.txt, pix/Makefile.am, regress/CMakeLists.txt,
	  regress/Makefile.am, regress/mged/Makefile.am, sh/CMakeLists.txt,
	  sh/Makefile.am, src/CMakeLists.txt, src/Makefile.am,
	  src/adrt/CMakeLists.txt, src/adrt/Makefile.am,
	  src/anim/CMakeLists.txt, src/anim/Makefile.am,
	  src/archer/CMakeLists.txt, src/archer/Makefile.am,
	  src/archer/plugins/Commands/Makefile.am,
	  src/archer/plugins/Core/Makefile.am,
	  src/archer/plugins/Makefile.am,
	  src/archer/plugins/Utility/Makefile.am,
	  src/archer/plugins/Utility/attrGroupsDisplayUtilityP/Makefile.am,
	  src/archer/plugins/Utility/botUtilityP/Makefile.am,
	  src/archer/plugins/Wizards/Makefile.am,
	  src/archer/plugins/Wizards/humanwizard/Makefile.am,
	  src/archer/plugins/Wizards/tankwizard/Makefile.am,
	  src/archer/plugins/Wizards/tankwizard/images/Makefile.am,
	  src/archer/plugins/Wizards/tirewizard/Makefile.am,
	  src/brlman/CMakeLists.txt, src/brlman/Makefile.am,
	  src/burst/CMakeLists.txt, src/burst/Makefile.am,
	  src/bwish/CMakeLists.txt, src/bwish/Makefile.am,
	  src/canon/CMakeLists.txt, src/canon/Makefile.am,
	  src/conv/CMakeLists.txt, src/conv/Makefile.am,
	  src/conv/iges/CMakeLists.txt, src/conv/iges/Makefile.am,
	  src/conv/intaval/CMakeLists.txt, src/conv/intaval/Makefile.am,
	  src/conv/step/CMakeLists.txt, src/conv/step/Makefile.am,
	  src/conv/vdeck/CMakeLists.txt, src/conv/vdeck/Makefile.am,
	  src/external/Cubit/Makefile.am, src/external/Makefile.am,
	  src/external/ProEngineer/Makefile.am,
	  src/external/Unigraphics/Makefile.am, src/fb/CMakeLists.txt,
	  src/fb/Makefile.am, src/fbed/CMakeLists.txt,
	  src/fbed/Makefile.am, src/fbserv/CMakeLists.txt,
	  src/fbserv/Makefile.am, src/gtools/CMakeLists.txt,
	  src/gtools/Makefile.am, src/gtools/beset/Makefile.am,
	  src/halftone/CMakeLists.txt, src/halftone/Makefile.am,
	  src/irprep/CMakeLists.txt, src/irprep/Makefile.am,
	  src/lgt/CMakeLists.txt, src/lgt/Makefile.am,
	  src/libanalyze/CMakeLists.txt, src/libanalyze/Makefile.am,
	  src/libbn/CMakeLists.txt, src/libbn/Makefile.am,
	  src/libbu/CMakeLists.txt, src/libbu/Makefile.am,
	  src/libcursor/CMakeLists.txt, src/libcursor/Makefile.am,
	  src/libdm/CMakeLists.txt, src/libdm/Makefile.am,
	  src/libfb/CMakeLists.txt, src/libfb/Makefile.am,
	  src/libfft/CMakeLists.txt, src/libfft/Makefile.am,
	  src/libgcv/CMakeLists.txt, src/libgcv/Makefile.am,
	  src/libgcv/wfobj/CMakeLists.txt, src/libgcv/wfobj/Makefile.am,
	  src/libged/CMakeLists.txt, src/libged/Makefile.am,
	  src/libicv/CMakeLists.txt, src/libicv/Makefile.am,
	  src/libmultispectral/CMakeLists.txt,
	  src/libmultispectral/Makefile.am, src/liboptical/CMakeLists.txt,
	  src/liboptical/Makefile.am, src/liborle/CMakeLists.txt,
	  src/liborle/Makefile.am, src/libpc/CMakeLists.txt,
	  src/libpc/Makefile.am, src/libpkg/CMakeLists.txt,
	  src/libpkg/Makefile.am, src/librt/CMakeLists.txt,
	  src/librt/Makefile.am, src/librtserver/CMakeLists.txt,
	  src/librtserver/Makefile.am, src/libsysv/CMakeLists.txt,
	  src/libsysv/Makefile.am, src/libtclcad/CMakeLists.txt,
	  src/libtclcad/Makefile.am, src/libtermio/CMakeLists.txt,
	  src/libtermio/Makefile.am, src/libwdb/CMakeLists.txt,
	  src/libwdb/Makefile.am, src/mged/CMakeLists.txt,
	  src/mged/Makefile.am, src/mged/points/CMakeLists.txt,
	  src/mged/points/Makefile.am, src/nirt/CMakeLists.txt,
	  src/nirt/Makefile.am, src/nirt/sfiles/Makefile.am,
	  src/other/CMakeLists.txt, src/other/Makefile.am,
	  src/other/libpng/Makefile.am, src/proc-db/CMakeLists.txt,
	  src/proc-db/Makefile.am, src/remrt/CMakeLists.txt,
	  src/remrt/Makefile.am, src/rt/CMakeLists.txt, src/rt/Makefile.am,
	  src/rttherm/CMakeLists.txt, src/rttherm/Makefile.am,
	  src/shapes/CMakeLists.txt, src/shapes/Makefile.am,
	  src/sig/CMakeLists.txt, src/sig/Makefile.am,
	  src/tab/CMakeLists.txt, src/tab/Makefile.am,
	  src/tclscripts/CMakeLists.txt, src/tclscripts/Makefile.am,
	  src/tclscripts/archer/CMakeLists.txt,
	  src/tclscripts/archer/Makefile.am,
	  src/tclscripts/archer/images/CMakeLists.txt,
	  src/tclscripts/archer/images/Makefile.am,
	  src/tclscripts/boteditor/CMakeLists.txt,
	  src/tclscripts/boteditor/Makefile.am,
	  src/tclscripts/geometree/CMakeLists.txt,
	  src/tclscripts/geometree/Makefile.am,
	  src/tclscripts/hv3/CMakeLists.txt,
	  src/tclscripts/hv3/Makefile.am,
	  src/tclscripts/lib/CMakeLists.txt,
	  src/tclscripts/lib/Makefile.am,
	  src/tclscripts/mged/CMakeLists.txt,
	  src/tclscripts/mged/Makefile.am,
	  src/tclscripts/pl-dm/CMakeLists.txt,
	  src/tclscripts/pl-dm/Makefile.am,
	  src/tclscripts/rtwizard/CMakeLists.txt,
	  src/tclscripts/rtwizard/Makefile.am,
	  src/tclscripts/rtwizard/examples/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeA/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeB/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeC/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeD/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeE/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeF/Makefile.am,
	  src/tclscripts/rtwizard/lib/CMakeLists.txt,
	  src/tclscripts/rtwizard/lib/Makefile.am,
	  src/tclscripts/sdialogs/CMakeLists.txt,
	  src/tclscripts/sdialogs/Makefile.am,
	  src/tclscripts/sdialogs/scripts/CMakeLists.txt,
	  src/tclscripts/sdialogs/scripts/Makefile.am,
	  src/tclscripts/swidgets/CMakeLists.txt,
	  src/tclscripts/swidgets/Makefile.am,
	  src/tclscripts/swidgets/images/CMakeLists.txt,
	  src/tclscripts/swidgets/images/Makefile.am,
	  src/tclscripts/swidgets/scripts/CMakeLists.txt,
	  src/tclscripts/swidgets/scripts/Makefile.am,
	  src/tclscripts/util/CMakeLists.txt,
	  src/tclscripts/util/Makefile.am, src/util/CMakeLists.txt,
	  src/util/Makefile.am, src/vfont/CMakeLists.txt,
	  src/vfont/Makefile.am:
	  revert r50386,50391-50393 as removal of prior build system is
	  very premature. it was just deprecated in 7.20.0 and is supposed
	  to exist deprecated across three minor releases. implies 7.24.0
	  would be the soonest (or 7.26.0 if interpreted strictly), and
	  we're not even to 7.22.0 yet.

2012-05-02 01:48  brlcad

	* [r50397] src/rt/viewedge.c:
	  note why this block is commented out for now until a fix can be
	  made. should always annotate an #if0 block, otherwise it's a real
	  pain in the ass to review later.

2012-05-02 01:45  brlcad

	* [r50396] include/raytrace.h, src/librt/db5_scan.c:
	  move the doxygen comments from source to header

2012-05-02 01:44  brlcad

	* [r50395] TODO:
	  make sure we can call db_dirbuild() multiple times without
	  creating duplicate entries.

2012-05-01 23:06  n_reed

	* [r50394] src/other/step/src/clstepcore/STEPattributeList.cc,
	  src/other/step/src/exppp/exppp.c,
	  src/other/step/src/express/expparse.y,
	  src/other/step/src/express/express.c,
	  src/other/step/src/express/hash.c,
	  src/other/step/src/express/object.c,
	  src/other/step/src/express/resolve.c,
	  src/other/step/src/express/variable.c,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/multpass.c,
	  src/other/step/src/fedex_plus/selects.c:
	  fix missing types, prototypes, and returns based on SCL git
	  562f4de, 6e6b8ca, 2dc4e7e, fd1d32c, 99407fb, and b5238df

2012-05-01 22:07  starseeker

	* [r50393] src/other/libpng/Makefile.am:
	  Revert libpng Makefile.am to vanilla

2012-05-01 22:01  starseeker

	* [r50392] configure, misc/CMake/configure_prefix.sh:
	  Tweak the header on the configure script

2012-05-01 21:59  starseeker

	* [r50391] CMakeLists.txt, configure, configure.cmake.sh:
	  Rename configure.cmake.sh to configure

2012-05-01 21:30  starseeker

	* [r50390] misc/CMake/FindX11.cmake:
	  Consolidate the X11 lib checks

2012-05-01 21:16  n_reed

	* [r50389] src/other/step/src/cleditor/STEPfile.cc:
	  reject SCL git df8f8d5 and replace temp array with vector

2012-05-01 21:11  starseeker

	* [r50388] misc/CMake/FindX11.cmake:
	  If we don't have multilib systems, assume /usr/lib is legit for
	  the word size specified

2012-05-01 19:52  n_reed

	* [r50387] src/other/step/src/clstepcore/STEPcomplex.cc:
	  use stringstream to correctly print file id, SCL git 71b3a28

2012-05-01 18:26  erikgreenwald

	* [r50386] CMakeLists.txt, Makefile.am, autogen.sh,
	  bench/CMakeLists.txt, bench/Makefile.am, configure.ac,
	  db/CMakeLists.txt, db/Makefile.am, db/include/Makefile.am,
	  doc/CMakeLists.txt, doc/Makefile.am, doc/html/CMakeLists.txt,
	  doc/html/Makefile.am, doc/html/ReleaseNotes/Makefile.am,
	  doc/html/ReleaseNotes/Rel5.0/Makefile.am,
	  doc/html/ReleaseNotes/Rel5.0/Summary/Makefile.am,
	  doc/html/ReleaseNotes/Rel6.0/Makefile.am,
	  doc/html/manuals/Anim_Tutorial/Makefile.am,
	  doc/html/manuals/Makefile.am,
	  doc/html/manuals/cadwidgets/Makefile.am,
	  doc/html/manuals/libbu/Makefile.am,
	  doc/html/manuals/libdm/Makefile.am,
	  doc/html/manuals/librt/Makefile.am,
	  doc/html/manuals/mged/Makefile.am,
	  doc/html/manuals/mged/animmate/Makefile.am,
	  doc/html/manuals/shaders/Makefile.am, doc/legal/CMakeLists.txt,
	  doc/legal/Makefile.am, include/CMakeLists.txt,
	  include/Makefile.am, include/conf/Makefile.am, m4,
	  misc/CMakeLists.txt, misc/Makefile.am,
	  misc/enigma/CMakeLists.txt, misc/enigma/Makefile.am,
	  misc/libtool.m4, misc/macosx/Makefile.am,
	  misc/macosx/Resources/Makefile.am,
	  misc/macosx/Resources/ReadMe.rtfd/Makefile.am,
	  misc/macosx/Resources/Welcome.rtfd/Makefile.am,
	  misc/pkgconfig/CMakeLists.txt, misc/pkgconfig/Makefile.am,
	  pix/CMakeLists.txt, pix/Makefile.am, regress/CMakeLists.txt,
	  regress/Makefile.am, regress/mged/Makefile.am, sh/CMakeLists.txt,
	  sh/Makefile.am, src/CMakeLists.txt, src/Makefile.am,
	  src/adrt/CMakeLists.txt, src/adrt/Makefile.am,
	  src/anim/CMakeLists.txt, src/anim/Makefile.am,
	  src/archer/CMakeLists.txt, src/archer/Makefile.am,
	  src/archer/plugins/Commands/Makefile.am,
	  src/archer/plugins/Core/Makefile.am,
	  src/archer/plugins/Makefile.am,
	  src/archer/plugins/Utility/Makefile.am,
	  src/archer/plugins/Utility/attrGroupsDisplayUtilityP/Makefile.am,
	  src/archer/plugins/Utility/botUtilityP/Makefile.am,
	  src/archer/plugins/Wizards/Makefile.am,
	  src/archer/plugins/Wizards/humanwizard/Makefile.am,
	  src/archer/plugins/Wizards/tankwizard/Makefile.am,
	  src/archer/plugins/Wizards/tankwizard/images/Makefile.am,
	  src/archer/plugins/Wizards/tirewizard/Makefile.am,
	  src/brlman/CMakeLists.txt, src/brlman/Makefile.am,
	  src/burst/CMakeLists.txt, src/burst/Makefile.am,
	  src/bwish/CMakeLists.txt, src/bwish/Makefile.am,
	  src/canon/CMakeLists.txt, src/canon/Makefile.am,
	  src/conv/CMakeLists.txt, src/conv/Makefile.am,
	  src/conv/iges/CMakeLists.txt, src/conv/iges/Makefile.am,
	  src/conv/intaval/CMakeLists.txt, src/conv/intaval/Makefile.am,
	  src/conv/step/CMakeLists.txt, src/conv/step/Makefile.am,
	  src/conv/vdeck/CMakeLists.txt, src/conv/vdeck/Makefile.am,
	  src/external/Cubit/Makefile.am, src/external/Makefile.am,
	  src/external/ProEngineer/Makefile.am,
	  src/external/Unigraphics/Makefile.am, src/fb/CMakeLists.txt,
	  src/fb/Makefile.am, src/fbed/CMakeLists.txt,
	  src/fbed/Makefile.am, src/fbserv/CMakeLists.txt,
	  src/fbserv/Makefile.am, src/gtools/CMakeLists.txt,
	  src/gtools/Makefile.am, src/gtools/beset/Makefile.am,
	  src/halftone/CMakeLists.txt, src/halftone/Makefile.am,
	  src/irprep/CMakeLists.txt, src/irprep/Makefile.am,
	  src/lgt/CMakeLists.txt, src/lgt/Makefile.am,
	  src/libanalyze/CMakeLists.txt, src/libanalyze/Makefile.am,
	  src/libbn/CMakeLists.txt, src/libbn/Makefile.am,
	  src/libbu/CMakeLists.txt, src/libbu/Makefile.am,
	  src/libcursor/CMakeLists.txt, src/libcursor/Makefile.am,
	  src/libdm/CMakeLists.txt, src/libdm/Makefile.am,
	  src/libfb/CMakeLists.txt, src/libfb/Makefile.am,
	  src/libfft/CMakeLists.txt, src/libfft/Makefile.am,
	  src/libgcv/CMakeLists.txt, src/libgcv/Makefile.am,
	  src/libgcv/wfobj/CMakeLists.txt, src/libgcv/wfobj/Makefile.am,
	  src/libged/CMakeLists.txt, src/libged/Makefile.am,
	  src/libicv/CMakeLists.txt, src/libicv/Makefile.am,
	  src/libmultispectral/CMakeLists.txt,
	  src/libmultispectral/Makefile.am, src/liboptical/CMakeLists.txt,
	  src/liboptical/Makefile.am, src/liborle/CMakeLists.txt,
	  src/liborle/Makefile.am, src/libpc/CMakeLists.txt,
	  src/libpc/Makefile.am, src/libpkg/CMakeLists.txt,
	  src/libpkg/Makefile.am, src/librt/CMakeLists.txt,
	  src/librt/Makefile.am, src/librtserver/CMakeLists.txt,
	  src/librtserver/Makefile.am, src/libsysv/CMakeLists.txt,
	  src/libsysv/Makefile.am, src/libtclcad/CMakeLists.txt,
	  src/libtclcad/Makefile.am, src/libtermio/CMakeLists.txt,
	  src/libtermio/Makefile.am, src/libwdb/CMakeLists.txt,
	  src/libwdb/Makefile.am, src/mged/CMakeLists.txt,
	  src/mged/Makefile.am, src/mged/points/CMakeLists.txt,
	  src/mged/points/Makefile.am, src/nirt/CMakeLists.txt,
	  src/nirt/Makefile.am, src/nirt/sfiles/Makefile.am,
	  src/other/CMakeLists.txt, src/other/Makefile.am,
	  src/proc-db/CMakeLists.txt, src/proc-db/Makefile.am,
	  src/remrt/CMakeLists.txt, src/remrt/Makefile.am,
	  src/rt/CMakeLists.txt, src/rt/Makefile.am,
	  src/rttherm/CMakeLists.txt, src/rttherm/Makefile.am,
	  src/shapes/CMakeLists.txt, src/shapes/Makefile.am,
	  src/sig/CMakeLists.txt, src/sig/Makefile.am,
	  src/tab/CMakeLists.txt, src/tab/Makefile.am,
	  src/tclscripts/CMakeLists.txt, src/tclscripts/Makefile.am,
	  src/tclscripts/archer/CMakeLists.txt,
	  src/tclscripts/archer/Makefile.am,
	  src/tclscripts/archer/images/CMakeLists.txt,
	  src/tclscripts/archer/images/Makefile.am,
	  src/tclscripts/boteditor/CMakeLists.txt,
	  src/tclscripts/boteditor/Makefile.am,
	  src/tclscripts/geometree/CMakeLists.txt,
	  src/tclscripts/geometree/Makefile.am,
	  src/tclscripts/hv3/CMakeLists.txt,
	  src/tclscripts/hv3/Makefile.am,
	  src/tclscripts/lib/CMakeLists.txt,
	  src/tclscripts/lib/Makefile.am,
	  src/tclscripts/mged/CMakeLists.txt,
	  src/tclscripts/mged/Makefile.am,
	  src/tclscripts/pl-dm/CMakeLists.txt,
	  src/tclscripts/pl-dm/Makefile.am,
	  src/tclscripts/rtwizard/CMakeLists.txt,
	  src/tclscripts/rtwizard/Makefile.am,
	  src/tclscripts/rtwizard/examples/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeA/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeB/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeC/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeD/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeE/Makefile.am,
	  src/tclscripts/rtwizard/examples/PictureTypeF/Makefile.am,
	  src/tclscripts/rtwizard/lib/CMakeLists.txt,
	  src/tclscripts/rtwizard/lib/Makefile.am,
	  src/tclscripts/sdialogs/CMakeLists.txt,
	  src/tclscripts/sdialogs/Makefile.am,
	  src/tclscripts/sdialogs/scripts/CMakeLists.txt,
	  src/tclscripts/sdialogs/scripts/Makefile.am,
	  src/tclscripts/swidgets/CMakeLists.txt,
	  src/tclscripts/swidgets/Makefile.am,
	  src/tclscripts/swidgets/images/CMakeLists.txt,
	  src/tclscripts/swidgets/images/Makefile.am,
	  src/tclscripts/swidgets/scripts/CMakeLists.txt,
	  src/tclscripts/swidgets/scripts/Makefile.am,
	  src/tclscripts/util/CMakeLists.txt,
	  src/tclscripts/util/Makefile.am, src/util/CMakeLists.txt,
	  src/util/Makefile.am, src/vfont/CMakeLists.txt,
	  src/vfont/Makefile.am:
	  11 months and a minor, time to purge the autotools build system

2012-05-01 18:22  n_reed

	* [r50385] src/other/step/include/express/basic.h,
	  src/other/step/src/clutils/Str.cc,
	  src/other/step/src/clutils/errordesc.cc,
	  src/other/step/src/express/entity.c,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h:
	  minor string comparison improvements from SCL git 1ad14e1,
	  70a8382, 7a6ba24, c316f21, and 572e9ad

2012-05-01 17:36  brlcad

	* [r50384] CMakeLists.txt:
	  irix is gone now too, so remove unused libgen library check

2012-05-01 17:35  brlcad

	* [r50383] CMakeLists.txt:
	  the SGI graphics library is no more. no longer used, so no point
	  checking for it either.

2012-05-01 17:18  brlcad

	* [r50382] CMakeLists.txt:
	  unclear what this lib check is for too. seems to be unused.

2012-05-01 17:08  brlcad

	* [r50381] CMakeLists.txt:
	  move the opengl header check out of the lib stage into the header
	  stage

2012-05-01 17:05  brlcad

	* [r50380] CMakeLists.txt:
	  m library doesn't exist on windows. test should just fail, no?

2012-05-01 17:03  brlcad

	* [r50379] src/util/CMakeLists.txt:
	  ttcp intentionally does not use libbu. link to socket/nsl/network
	  instead. remote, untested.

2012-05-01 16:58  brlcad

	* [r50378] CMakeLists.txt:
	  rename library variable to just the name of the library for
	  consistency. might want a common prefix or suffix, but would need
	  to review all libs. rename NS to NSL and NETWORK_SOCKET to just
	  NETWORK.

2012-05-01 16:46  brlcad

	* [r50377] CMakeLists.txt:
	  MX is not used, remove it. what is libds? remove it too. rename
	  DLOPEN to DL since it's related to libdl. looks like it's also
	  unused, but it should be for all the dynamic libbu support ..
	  which has probably all just unfortunately gotten left disabled
	  since the conversion to cmake.

2012-05-01 16:02  bob1961

	* [r50376] src/rt/viewedge.c:
	  Don't need the call to db_dirbuild() in viewedge.c/view_init()
	  because the db_open()'s here and in main.c are using mapped
	  files. So the previous call to rt_dirbuild() in main.c has
	  already called db_dirbuild(). This avoids the db_dircheck:
	  Duplicate of ... error messages.

2012-05-01 14:29  brlcad

	* [r50375] src/fbserv/fbserv.c:
	  restructure to avoid forward declarations. also don't need/want
	  win32 protections around the openlog() calls, they should have
	  just been wrapped in a HAVE_SYSLOG_H feature check.

2012-04-30 18:50  starseeker

	* [r50372] misc/CMake/FindX11.cmake:
	  Note that archlinux prompted the tweak to X11 search paths.

2012-04-30 18:00  starseeker

	* [r50371] misc/CMake/FindX11.cmake:
	  Tweak search paths for X11

2012-04-29 02:10  starseeker

	* [r50366] src/libbu/bitv.c, src/libbu/endian.c,
	  src/libbu/fnmatch.c, src/librt/primitives/metaball/metaball.c:
	  Put the inline additions back - will need to find some other
	  approach to avoid strict issues with clang. Not a big deal since
	  we have other issues with clang (offsetof related)

2012-04-28 22:24  starseeker

	* [r50365] src/tab/tabinterp.c:
	  hopefully the last of the quellage errors - looks like we may be
	  down to offsetof and other offset-type issues with gnu89

2012-04-28 22:18  starseeker

	* [r50364] src/lgt/lgt.c, src/lgt/reflect.c:
	  More quellage fun

2012-04-28 21:56  starseeker

	* [r50363] src/libpkg/example/client.c,
	  src/librt/primitives/metaball/metaball.c:
	  Couple more clang strict c89 issues

2012-04-28 21:36  starseeker

	* [r50362] src/fbed/empty.c:
	  Another quellage we can't get away with in clang.

2012-04-28 21:22  starseeker

	* [r50361] src/libpkg/example/server.c:
	  clang doesn't let us get away with this style of quellage - add
	  the UNUSED wrapper.

2012-04-28 21:20  starseeker

	* [r50360] src/libbu/bitv.c, src/libbu/endian.c,
	  src/libbu/fnmatch.c:
	  These uses of inline cause a strict failure with clang 3.0 in c89
	  mode (note that they do work with c99)

2012-04-28 19:57  starseeker

	* [r50359] src/other/incrTcl/itcl/CMake/tcl.cmake,
	  src/other/incrTcl/itk/CMake/tcl.cmake,
	  src/other/sqlite3/tcl/CMake/tcl.cmake,
	  src/other/tk/CMake/tcl.cmake:
	  keep all the tcl.cmake copies the same to avoid surprises

2012-04-28 19:48  starseeker

	* [r50358] misc/CMake/DocBook.cmake:
	  Try to make input paths more 'DocBook friendly'

2012-04-28 18:26  starseeker

	* [r50357] src/other/tcl/CMake/tcl.cmake,
	  src/other/tcl/CMakeLists.txt:
	  Hmm - ieee lib link needs more study. Explicitly add the math
	  library to the list of libs for tcl.

2012-04-28 18:05  starseeker

	* [r50356] src/other/tk/CMakeLists.txt:
	  Use the right FONTCONFIG variable...

2012-04-28 17:51  starseeker

	* [r50355] misc/CMake/FindFontconfig.cmake,
	  src/other/tk/CMake/FindFontconfig.cmake,
	  src/other/tk/CMakeLists.txt:
	  Try explicitly calling out fontconfig in addition to freetype.

2012-04-28 13:33  starseeker

	* [r50353] misc/CMake/distclean.cmake.in,
	  src/archer/CMakeLists.txt, src/conv/step/CMakeLists.txt,
	  src/tclscripts/rtwizard/CMakeLists.txt:
	  Beef up distclean rule

2012-04-27 22:41  bob1961

	* [r50352] src/tclscripts/rtwizard/lib/FbPage.itk:
	  Rtwizard should be using /dev/ogl instead of /dev/X. This mod and
	  the previous fix in libfb/if_ogl.c and libfb/if_wgl.c fixes the
	  issue with rtedge overlays failing to show up in the framebuffer.

2012-04-27 22:39  bob1961

	* [r50351] src/libfb/if_wgl.c:
	  Need this for windows too ---- this fix resolves the issue where
	  an rtedge overlay fails to show up in the framebuffer window.

2012-04-27 22:24  bob1961

	* [r50350] src/libfb/if_ogl.c:
	  This fix resolves the issue where an rtedge overlay fails to show
	  up in the framebuffer window.

2012-04-27 15:35  starseeker

	* [r50344] misc/CMake/BRLCAD_Targets.cmake:
	  Remove debugging messages

2012-04-27 05:20  indianlarry

	* [r50343] src/librt/opennurbs_ext.cpp, src/librt/opennurbs_ext.h:
	  Had to fix flatness criteria for surface subdivision. Flatness
	  was calculated by multiplying a series of Surface normal Dot
	  products at select points on the surface. Hit a case where small
	  cylindrical surface had even numbered negative vdots and were
	  canceling their signs. Simplified to look at each vdot
	  individually.

2012-04-27 05:06  indianlarry

	* [r50342] src/librt/primitives/brep/brep_debug.cpp:
	  Extended 'brep' debugging command to take an index range. You can
	  now enter a dash("1-5") to plot ranges of indexes of
	  surfaces,faces or edges.

2012-04-27 04:36  starseeker

	* [r50341] misc/CMake/BRLCAD_Targets.cmake:
	  Apply the new flags to executables too, if applicable - so far it
	  looks as though only obj-g even mixes C and C++ at the exec
	  target level. Need to check more closely - do I need to apply all
	  the flags to the static library builds? Make a stab at doing so,
	  but need to make sure what the Right Thing is.

2012-04-27 04:35  starseeker

	* [r50340] src/libged/CMakeLists.txt:
	  Presumably we don't actually want to build the headers...

2012-04-27 02:24  starseeker

	* [r50339] misc/CMake/BRLCAD_Targets.cmake:
	  Abstract out the flag appliation logic - may need it in more
	  places than just shared libraries.

2012-04-27 01:56  starseeker

	* [r50338] misc/CMake/BRLCAD_Targets.cmake,
	  src/libdm/CMakeLists.txt, src/libfb/CMakeLists.txt:
	  Generalize the mechanism for passing flags from libraries up to
	  other libraries automatically - had been assuming we could apply
	  all flags to all targets, but libged's polycurve.cpp triggered a
	  build error with clang (and had been warning with gcc) when the
	  std=gnu99 flag got applied. Only a problem with libged currently,
	  but potentially could apply to any mixed C/C++ library. Approach
	  now is more granular - can define C and CXX variables
	  independently to pass up, and BRLCAD_ADDLIB will only apply C
	  flags to C files and CXX flags to C++ files.

2012-04-27 01:40  starseeker

	* [r50337] src/mged/points/CMakeLists.txt:
	  Probably shouldn't be compiling the header here...

2012-04-26 22:18  n_reed

	* [r50335] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/instmgr.cc,
	  src/other/step/src/clstepcore/ExpDict.cc,
	  src/other/step/src/clstepcore/Registry.inline.cc,
	  src/other/step/src/clstepcore/STEPaggregate.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/express/expparse.y,
	  src/other/step/src/fedex_plus/classes.c:
	  apply changes from SCL git f678f0b, but extract assignments used
	  as truth values for benefit of windows

2012-04-26 21:41  bob1961

	* [r50334] src/tclscripts/rtwizard/lib/PictureTypeBase.itcl,
	  src/tclscripts/rtwizard/lib/PictureTypeF.itcl:
	  Needed to split out into otype and fbout.

2012-04-26 20:26  n_reed

	* [r50331] src/other/step/src/cleditor/STEPfile.cc,
	  src/other/step/src/cleditor/STEPfile.h,
	  src/other/step/src/clstepcore/STEPcomplex.cc,
	  src/other/step/src/express/type.c,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes_misc.c,
	  src/other/step/src/fedex_plus/selects.c:
	  add default switch cases as in SCL git b10a697, but avoid using
	  abort if the error can be logged and/or returned

2012-04-26 20:24  tbrowder2

	* [r50330] src/conv/nmg/g-nmg.c:
	  add comment

2012-04-26 19:45  tbrowder2

	* [r50328] src/conv/nmg/g-nmg.c:
	  ws, style

2012-04-26 15:56  n_reed

	* [r50322] src/other/step/src/clstepcore/STEPattribute.cc,
	  src/other/step/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/step/src/express/alg.c,
	  src/other/step/src/express/caseitem.c,
	  src/other/step/src/express/dict.c,
	  src/other/step/src/express/entity.c,
	  src/other/step/src/express/error.c,
	  src/other/step/src/express/expparse.y,
	  src/other/step/src/express/expr.c,
	  src/other/step/src/express/express.c,
	  src/other/step/src/express/expscan.l,
	  src/other/step/src/express/fedex.c,
	  src/other/step/src/express/hash.c,
	  src/other/step/src/express/lexact.c,
	  src/other/step/src/express/linklist.c,
	  src/other/step/src/express/object.c,
	  src/other/step/src/express/schema.c,
	  src/other/step/src/express/scope.c,
	  src/other/step/src/express/stmt.c,
	  src/other/step/src/express/symbol.c,
	  src/other/step/src/express/type.c,
	  src/other/step/src/express/variable.c,
	  src/other/step/src/fedex_plus/classes_wrapper.cc:
	  Remove rcsid strings from sources and don't generate Id comments.
	  SCL git 922a795 and 9367823.

2012-04-26 15:19  bob1961

	* [r50321] src/libtclcad/CMakeLists.txt, src/libtclcad/tclcad.c,
	  src/libtclcad/tclcad_obj.c, src/libtclcad/tclcad_private.h:
	  Added the tclcad_initialized flag to insure that libtclcad
	  doesn't get initialized more than once. This case turned up after
	  an rtwizard enhancement.

2012-04-26 13:49  starseeker

	* [r50319] NEWS, src/other/libpng.dist, src/other/libpng/ANNOUNCE,
	  src/other/libpng/CHANGES, src/other/libpng/CMakeLists.txt,
	  src/other/libpng/LICENSE, src/other/libpng/Makefile.am,
	  src/other/libpng/README, src/other/libpng/configure.ac,
	  src/other/libpng/example.c, src/other/libpng/libpng-manual.txt,
	  src/other/libpng/libpng.3, src/other/libpng/libpngpf.3,
	  src/other/libpng/png.5, src/other/libpng/png.c,
	  src/other/libpng/png.h, src/other/libpng/pngconf.h,
	  src/other/libpng/pngpread.c, src/other/libpng/pngpriv.h,
	  src/other/libpng/pngread.c, src/other/libpng/pngrtran.c,
	  src/other/libpng/pngrutil.c, src/other/libpng/pngset.c,
	  src/other/libpng/pngstruct.h, src/other/libpng/pngtest.c,
	  src/other/libpng/pngtrans.c, src/other/libpng/pngusr.dfa,
	  src/other/libpng/pngwrite.c, src/other/libpng/pngwutil.c,
	  src/other/libpng/projects/vstudio/readme.txt,
	  src/other/libpng/projects/vstudio/zlib.props,
	  src/other/libpng/scripts/README.txt,
	  src/other/libpng/scripts/libpng-config-head.in,
	  src/other/libpng/scripts/libpng.pc.in,
	  src/other/libpng/scripts/makefile.cegcc,
	  src/other/libpng/scripts/makefile.linux,
	  src/other/libpng/scripts/makefile.ne12bsd,
	  src/other/libpng/scripts/makefile.netbsd,
	  src/other/libpng/scripts/makefile.openbsd,
	  src/other/libpng/scripts/options.awk,
	  src/other/libpng/scripts/pnglibconf.dfa,
	  src/other/libpng/scripts/pnglibconf.h.prebuilt,
	  src/other/libpng/scripts/symbols.def:
	  Upgrade libpng to 1.5.10

2012-04-26 12:57  brlcad

	* [r50318] src/conv/ply-g.c:
	  looks like another fastf_t confusion. cid 325 was marked false
	  positive, but a double cast should do the trick.

2012-04-26 12:50  starseeker

	* [r50317] CMakeLists.txt:
	  Start straightening out Java and rtserver enablement now that
	  we're not trying to link Java libs unnecessarily

2012-04-26 12:49  brlcad

	* [r50316] src/liboptical/sh_toyota.c:
	  looks like coverity thinks fastf_t is not a floating point type.
	  cast through double. should finally fix cid 328 false positive.

2012-04-26 03:56  brlcad

	* [r50315] src/liboptical/sh_toyota.c:
	  rename the lambda member to wavelength, remove the unuseful sign
	  bit testing, cast through double to try and head fake cid 328

2012-04-26 03:22  brlcad

	* [r50314] src/util/bwcrop.c:
	  turn the pixel count variables into integral types. done with
	  attempting to quell 1496. seems to be false positive, but not
	  clear how to make it go away. cid 1496.

2012-04-26 01:05  tbrowder2

	* [r50313] src/librt/comb/comb.c:
	  ws

2012-04-25 21:48  tbrowder2

	* [r50309] src/librt/comb/comb.c:
	  ws

2012-04-25 21:47  tbrowder2

	* [r50308] regress/iges.sh:
	  tidy tests, add -f option to make last g-iges test pass

2012-04-25 21:23  n_reed

	* [r50307] src/other/step/src/fedex_plus/multpass.c:
	  remove another unused variable (LISTdo already creates one)
	  identified in SCL git 0153f15

2012-04-25 21:13  n_reed

	* [r50306] src/other/step/src/fedex_plus/classes_wrapper.cc:
	  apply SCL git db70465 removing more unused variables

2012-04-25 20:49  tbrowder2

	* [r50304] src/conv/iges/g-iges.c:
	  typo

2012-04-25 20:48  n_reed

	* [r50303] src/other/step/src/clstepcore/STEPaggregate.cc,
	  src/other/step/src/clstepcore/STEPaggregate.h,
	  src/other/step/src/clutils/gennodearray.cc,
	  src/other/step/src/express/entity.c,
	  src/other/step/src/express/lexact.c,
	  src/other/step/src/fedex_plus/classes.c,
	  src/other/step/src/fedex_plus/classes.h,
	  src/other/step/src/fedex_plus/classes_wrapper.cc,
	  src/other/step/src/fedex_plus/complexSupport.h,
	  src/other/step/src/fedex_plus/multpass.c,
	  src/other/step/src/fedex_plus/selects.c:
	  apply more commented code removal from SCL git c0b2b05, 37bbfd3,
	  9324acc, d7410be, 62304a7, and 0dccb8b

2012-04-25 20:36  bob1961

	* [r50302] src/libdm/dm-generic.c, src/libtclcad/tclcad_obj.c:
	  Added support for creating a nu display manager in libtclcad.

2012-04-25 19:45  jimhunt

	* [r50301] src/librtserver/CMakeLists.txt:
	  Incrementing the SO version since the serialization of RayResult
	  has changed.

2012-04-25 19:21  jimhunt

	* [r50300] src/librtserver/rtserver.c:
	  Added MUVEStoORCA translation matrix to RayResult stream

2012-04-25 19:02  tbrowder2

	* [r50299] src/librt/comb/comb.c:
	  wrap long arg line, correct typo, ws

2012-04-25 18:57  starseeker

	* [r50298] src/rt/viewedge.c:
	  Hmm. icv_image_save_open is causing issues in rtedge at the
	  moment...

2012-04-25 18:30  starseeker

	* [r50296] src/librtserver/CMakeLists.txt:
	  Apparently we don't need to explicitly link these (why did I
	  initially??)

2012-04-25 18:11  n_reed

	* [r50295] src/other/step/src/fedex_plus/classes.c:
	  ignore spaces in generate_attribute_name. SCL git 1ebee6d

2012-04-25 17:50  n_reed

	* [r50294] src/other/step/include/express/alg.h,
	  src/other/step/include/express/hash.h,
	  src/other/step/include/express/symbol.h,
	  src/other/step/src/clutils/scl_hash.cc,
	  src/other/step/src/clutils/scl_hash.h:
	  replace shorts with ints along the lines of SCL git d2baec0, but
	  be more judicious in using unsigned versus signed

2012-04-25 17:28  tbrowder2

	* [r50293] regress/iges.sh:
	  add known failure to regression check for g-iges; fix unknown at
	  the moment

2012-04-25 10:59  tbrowder2

	* [r50292] src/conv/step/OpenNurbsInterfaces.cpp:
	  correct parens (gcc warning pointed to it)

2012-04-25 02:53  brlcad

	* [r50291] src/liboptical/sh_toyota.c:
	  now just reporting as a limited truncation/underflow case, so
	  check for case. should always be high/low, but should handle the
	  sign regardless of values. cid 328.

2012-04-25 02:42  brlcad

	* [r50290] src/util/bwcrop.c:
	  try a different approach, clamp at upper and lower instead of
	  just testing within range. cid 1496, tainted_scalar.

2012-04-25 02:35  brlcad

	* [r50289] src/libbu/convert.c:
	  almost there. looks like the previous range checks worked to
	  untaint, just have to account for the other loop. cid 1500,
	  tainted_scalar.

2012-04-25 02:19  brlcad

	* [r50288] src/librt/search.c:
	  db5_get_attributes may fail. plan for it. coverity noticed this
	  was the 1/15 times where we didn't check. cid 2116,
	  CHECKED_RETURN.

2012-04-25 02:17  brlcad

	* [r50287] src/liboptical/refract.c:
	  similar problem with ms_transmit_color, need to allocate it. use
	  spectrum as the base instead of background fro ms_reflect color.
	  cid 2117-2119.

2012-04-25 01:39  brlcad

	* [r50286] src/liboptical/refract.c:
	  allocate ms_reflect_color tabdata. coverity correctly noticed
	  badness since were never allocating it, finding a path to dead
	  and forward null code. cid 2117, 2119.

2012-04-25 01:35  tbrowder2

	* [r50285] regress/CMakeLists.txt:
	  add new tgms to list

2012-04-25 01:30  tbrowder2

	* [r50284] regress/comgeom.sh:
	  add a regression test for reading a comgeom GIFT V4 tgm format

2012-04-25 01:29  tbrowder2

	* [r50283] src/conv/comgeom/read.c:
	  ws

2012-04-25 01:28  tbrowder2

	* [r50282] regress/tgms/comgeom-tgt-1-v4-documented.cg,
	  regress/tgms/comgeom-tgt-1-v4.cg:
	  add test target for comgeom GIFT V4 format

2012-04-25 01:27  tbrowder2

	* [r50281] src/conv/comgeom/solid.c:
	  correct field width for V4 GIFT solid format

2012-04-25 01:24  tbrowder2

	* [r50280] src/conv/comgeom/solid.c:
	  free name memory on early error returns

2012-04-24 22:17  n_reed

	* [r50279] src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/fedex_plus/complexSupport.h,
	  src/other/step/src/fedex_plus/write.cc,
	  src/other/step/src/test/p21read/p21read.cc:
	  some const char corrections including remaining changes from SCL
	  git 4cf16d7

2012-04-24 21:54  n_reed

	* [r50278] src/other/step/src/cldai/sdaiString.cc,
	  src/other/step/src/clstepcore/ExpDict.h,
	  src/other/step/src/clstepcore/STEPattribute.cc,
	  src/other/step/src/clstepcore/STEPattribute.h,
	  src/other/step/src/clstepcore/STEPattributeList.cc:
	  changes based on SCL git d35f73f and 696d8e3

2012-04-24 19:35  tbrowder2

	* [r50277] TODO:
	  add enhancements needed for vdeck/comgeom-g

2012-04-24 19:34  tbrowder2

	* [r50276] regress/comgeom.sh:
	  make comgeom-g regression check more robust by adding a test for
	  failed conversions

2012-04-24 19:32  tbrowder2

	* [r50275] regress/tgms/cgtest.cg:
	  make comgeom-g test target use only recognized GIFT primitives
	  that should successfully convert to .g format

2012-04-24 15:38  brlcad

	* [r50271] src/liboptical/sh_toyota.c:
	  calculate the ratio first. probably still insufficient for cid328
	  (INTEGER_OVERFLOW)

2012-04-24 15:33  brlcad

	* [r50270] src/util/sun-pix.c:
	  different range check, smaller limit for cid 332
	  (INTEGER_OVERFLOW)

2012-04-24 15:25  brlcad

	* [r50269] src/librt/opennurbs_ext.cpp:
	  free the parent, revengences of leaked memory. cid 488.

2012-04-24 15:12  brlcad

	* [r50268] src/rt/rtshot.c:
	  more tainted data checks, trying to be a little more explicit.
	  cid 1488

2012-04-24 15:03  brlcad

	* [r50267] src/util/bwcrop.c:
	  do the scanf case too. looks like many of the scanf return counts
	  were wrong anyways. fixed.

2012-04-24 14:58  brlcad

	* [r50266] src/util/bwcrop.c:
	  more tainted data crap. hopefully last attempt at cid 1496.

2012-04-24 14:57  brlcad

	* [r50265] src/libgcv/bottess.c:
	  couple more unused args now with the block commented out

2012-04-24 14:55  brlcad

	* [r50264] src/util/sun-pix.c:
	  typo

2012-04-24 14:40  brlcad

	* [r50263] src/util/bwmod.c:
	  check the lower bounds too, cid 1498

2012-04-24 14:35  brlcad

	* [r50262] src/libbu/convert.c:
	  sans p

2012-04-24 14:35  brlcad

	* [r50261] src/libbu/convert.c:
	  another attempt at making sure we don't seem to use tainted data
	  as an index in the isdigit() call.

2012-04-24 14:23  brlcad

	* [r50260] src/util/loop.c:
	  range check argv[1][1] for cid 1506 too

2012-04-24 14:18  brlcad

	* [r50259] src/util/loop.c:
	  reserve the last possible value so we can bounds check cid 1506

2012-04-24 14:13  brlcad

	* [r50258] src/util/sun-pix.c:
	  more TAINTED_SCALAR insanity, hopefully the last of it. cid 1512
	  caugh more loops for ras_maplength show check those too (along
	  with all the other header fields)

2012-04-24 13:50  brlcad

	* [r50257] src/libgcv/bottess.c:
	  ah, that's why coverity is barking. there's a return statement
	  exiting the function early. cid 2115.

2012-04-24 12:06  tbrowder2

	* [r50256] src/conv/comgeom/solid.c:
	  ws, remove debugging statement

2012-04-24 11:56  tbrowder2

	* [r50255] src/conv/comgeom/solid.c:
	  ws

2012-04-24 11:38  starseeker

	* [r50254] src/tclscripts/rtwizard/lib/PictureTypeBase.itcl:
	  Use bu_brlcad_root to find rtedge. The quotes seem to be
	  interfering with the oo definition, so remove them.

2012-04-24 10:08  brlcad

	* [r50253] src/liboptical/photonmap.c:
	  check the upper bounds too, cid 1483 tainted_scalar... that
	  finishes up run 11.

2012-04-24 10:03  brlcad

	* [r50252] src/mged/mged.c:
	  add some explicit sanitization for cid 1485, TAINTED_SCALAR

2012-04-24 09:59  brlcad

	* [r50251] src/rt/rtshot.c:
	  consolidate the input sanitization before use so hopefully it's
	  more clear that inputs are clean. responding to cid 1488
	  (tainted_scalar).

2012-04-24 09:50  brlcad

	* [r50250] src/shapes/wire.c:
	  take crazy measures to make it clear we're sanitizing the
	  user-provided input. might end up with a dead-code condition now
	  since the loop should catch them, or the definite scanf
	  separation might do the trick..

2012-04-24 09:49  brlcad

	* [r50249] src/util/cv.c:
	  need string.h for strlen()

2012-04-24 09:37  brlcad

	* [r50248] src/sig/smod.c:
	  more range checking for tainted_scalar gunk. cid 1493.

2012-04-24 09:32  brlcad

	* [r50247] src/util/bwcrop.c:
	  check the range of xnum/ynum image bounds for TAINTED_SCALAR loop
	  detected by cid 1496.

2012-04-24 09:17  brlcad

	* [r50246] src/libbu/convert.c, src/util/cv.c:
	  looks benign, but go ahead and add some extra sanitization on the
	  input/output patterns to cv in response to cid 15000
	  (TAINTED_SCALAR).

2012-04-24 09:06  brlcad

	* [r50245] src/util/decimate.c:
	  don't forget to check nbytes too, cid 1502 TAINTED_SCALR

2012-04-24 09:04  brlcad

	* [r50244] src/util/decimate.c:
	  bounds check the input sizes along with the output sizes

2012-04-24 08:58  brlcad

	* [r50243] src/util/imgdims.c:
	  more realpath cleansing. cid 1505 TAINTED_SCALAR.

2012-04-24 08:51  brlcad

	* [r50242] src/util/pixhist3d.c:
	  sanitize the rgb color values even if we do expect the entire
	  range. hopefully quell cid 1511 TAINTED_SCALAR with explicit
	  effectively no-op range checks.

2012-04-24 08:40  brlcad

	* [r50241] src/util/ttcp.c:
	  avoid calling exit even if cid 1513 looks like a false positive.

2012-04-24 08:34  brlcad

	* [r50240] src/nirt/command.c:
	  more tainted_string sanitization through bu_realpath() for cid
	  1560.

2012-04-24 08:31  brlcad

	* [r50239] src/rttherm/ssamp-bw.c:
	  do the same for ssamp-bw, sanitizing through bu_realpath() and
	  releasing our now-copied memory.

2012-04-24 08:28  brlcad

	* [r50238] src/rttherm/ssampview.c:
	  er, dead if statement?? init datafile_basename to zero so we
	  don't try to free static memory

2012-04-24 08:26  brlcad

	* [r50237] src/rttherm/ssampview.c:
	  call bu_realpath() to sanitize path

2012-04-24 08:25  brlcad

	* [r50236] src/vfont/getfont.c:
	  take the address of font so we can do the right thing.

2012-04-24 08:14  brlcad

	* [r50235] src/conv/iges/g-iges.c:
	  use libbu instead of directly calling access() to hopefully hide
	  the innocuous TOCTOU issue detected in cid 1588.

2012-04-24 08:03  brlcad

	* [r50234] src/util/dsp_add.c:
	  avoid a time-of-call time-of-use race condition (TOCTOU cid 1592)
	  detected by coverity by calling fstat() instead of stat() after
	  the fopen() calls.

2012-04-24 07:56  brlcad

	* [r50233] src/vfont/getfont.c:
	  initialize the vfont to zero. cid 1613, UNINIT

2012-04-24 07:54  brlcad

	* [r50232] src/irprep/firpass.c:
	  initialize curvature. cid 1615, UNINIT.

2012-04-24 07:51  brlcad

	* [r50231] src/libged/vdraw.c:
	  typos ftl

2012-04-24 07:50  brlcad

	* [r50230] src/conv/intaval/regtab.h:
	  initialize material member in constructors. cid 1647 UNINIT_CTOR.

2012-04-24 07:44  brlcad

	* [r50229] src/libpc/pcNetwork.cpp:
	  initialize v and e in constructor per cid 1656 UNINIT_CTOR

2012-04-24 07:41  brlcad

	* [r50228] src/libpc/pcVariable.cpp:
	  initialize all of the Variable constructor members. cid 1659,
	  UNINIT_CTOR.

2012-04-24 07:38  brlcad

	* [r50227] src/libged/vdraw.c:
	  simplify vlist subcommand argument processing a little to avoid
	  deadcode condition, cid 1737

2012-04-24 07:22  brlcad

	* [r50226] src/conv/euclid/euclid-g.c:
	  avoid bu_exit() so we can avoid coverity false positive (doesn't
	  know bu_bomb() doesn't return), cid 1766 TAINTED_SCALAR. return a
	  return code.conv

2012-04-24 07:13  brlcad

	* [r50225] src/other/lemon/lempar.c:
	  er, not size-1 here because we're testing whether yyruleno is
	  less. avoid infinite loop.

2012-04-24 06:55  brlcad

	* [r50224] src/other/lemon/lempar.c:
	  cid 1860 OVERRUN_STATIC. make sure we don't exceed the size of
	  the yyRuleInfo array.

2012-04-24 06:40  brlcad

	* [r50223] src/other/lemon/lempar.c, src/other/sqlite3/sqlite3.c:
	  checking it for negative implies it might be negative, so change
	  the order of the yytos usage to not set the yytos variable until
	  after we check it.

2012-04-24 06:36  brlcad

	* [r50222] src/other/step/src/clstepcore/ExpDict.h:
	  initialize all of the class members. cid 2014 UNINIT_CTOR.

2012-04-24 06:32  brlcad

	* [r50221] src/fb/gif2fb.c:
	  make sure our line index doesn't exceed the buffer size. assume
	  dumbly clamping it is sufficient. cid 2059 overrun_static.

2012-04-24 06:24  brlcad

	* [r50220] src/libged/dg_obj.c:
	  make sure we don't try to close a null fd. cid 2073 forward_null.

2012-04-24 06:22  brlcad

	* [r50219] src/librt/vshoot.c:
	  HeadSeg cannot be null. cid 2104 deadcode.

2012-04-24 06:19  brlcad

	* [r50218] src/libtclcad/tclcad_obj.c:
	  coverity is right, deadcode on the found_top test since we just
